"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _alertStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _close = _interopRequireDefault(require("../icon/icons/close"));

var _alertStyles = _interopRequireDefault(require("./alert-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Alert = function (_React$PureComponent) {
  _inherits(Alert, _React$PureComponent);

  function Alert(props, context) {
    var _this;

    _classCallCheck(this, Alert);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Alert).call(this, props, context));
    _this.state = {
      dismissed: props.dismissed
    };
    _this.classes = _this.props.classes;
    _this.theme = _this.props.theme;
    _this.handleCloseClick = _this.handleCloseClick.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(Alert, [{
    key: "handleCloseClick",
    value: function handleCloseClick() {
      this.setState({
        dismissed: true
      });
      this.props.dismissedCallback();
    }
  }, {
    key: "renderClose",
    value: function renderClose() {
      if (!this.props.dismissable) {
        return null;
      }

      return _react.default.createElement("button", {
        className: this.classes.close,
        onClick: this.handleCloseClick,
        type: "button"
      }, _react.default.createElement(_close.default, {
        stroke: "#282823",
        width: 10,
        height: 10,
        style: {
          display: 'block'
        }
      }));
    }
  }, {
    key: "render",
    value: function render() {
      if (this.state.dismissed) {
        return null;
      }

      var usedClassName = (0, _classnames.default)(this.classes.alert, _defineProperty({}, "".concat(this.classes[this.props.modifier]), this.props.modifier), this.props.className);
      var headerClassName = (0, _classnames.default)(this.classes.header, _defineProperty({}, this.classes.vertical, this.props.vertical));
      return _react.default.createElement("div", {
        className: usedClassName,
        style: this.props.style
      }, this.props.header ? _react.default.createElement("div", {
        className: headerClassName
      }, this.props.header) : null, _react.default.createElement("div", {
        className: this.classes.body
      }, this.props.children), this.renderClose());
    }
  }]);

  return Alert;
}(_react.default.PureComponent);

exports.Component = Alert;
Alert.propTypes = {
  classes: _propTypes.default.object.isRequired,
  theme: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  modifier: _propTypes.default.oneOf(['info', 'success', 'warning', 'danger']),
  style: _propTypes.default.object,
  header: _propTypes.default.node,
  children: _propTypes.default.node,
  vertical: _propTypes.default.bool,
  dismissable: _propTypes.default.bool,
  dismissed: _propTypes.default.bool,
  dismissedCallback: _propTypes.default.func
};
Alert.defaultProps = {
  style: {},
  vertical: false,
  dismissable: true,
  dismissed: false,
  dismissedCallback: function dismissedCallback() {}
};

var _default = (0, _reactJss.default)(_alertStyles.default, {
  injectTheme: true
})(Alert);

exports.default = _default;