"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _avatar = require("./avatar");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var classes = (0, _.mockClasses)(_avatar.styles);
describe('<Avatar />', function () {
  var defaultProps = {
    classes: classes,
    children: 'ISK'
  };
  test('should render a div', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, defaultProps));
    expect(wrapper.type()).toBe('div');
  });
  test('should have the class "root"', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, defaultProps));
    expect(wrapper.hasClass(classes.root)).toBe(true);
  });
  test('should have the class small by default', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, defaultProps));
    expect(wrapper.hasClass(classes.sm)).toBe(true);
  });
  test('should have the class md if size is set to "md"', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, _extends({}, defaultProps, {
      size: "md"
    })));
    expect(wrapper.hasClass(classes.md)).toBe(true);
  });
  test('should have the class lg if size is set to "lg"', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, _extends({}, defaultProps, {
      size: "lg"
    })));
    expect(wrapper.hasClass(classes.lg)).toBe(true);
  });
  test("should render the text ".concat(defaultProps.children), function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, defaultProps));
    expect(wrapper.text()).toBe(defaultProps.children);
  });
  test('should render a <Avatar /> with custom color', function () {
    var color = '#123456';
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, _extends({}, defaultProps, {
      color: color
    })));
    expect(wrapper.prop('style').backgroundColor).toBe(color);
  });
  test('should be possibe to send in a custom className', function () {
    var className = 'custom-class';
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_avatar.Component, _extends({}, defaultProps, {
      className: className
    })));
    expect(wrapper.hasClass(className)).toBe(true);
  });
});