"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _badge = require("./badge");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Badge />', function () {
  var classes = (0, _.mockClasses)(_badge.styles);
  var wrapper;
  test('should render <span> as container', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes
    }));
    expect(wrapper.type()).toBe('span');
  });
  test('should have the class root', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes
    }));
    expect(wrapper.hasClass(classes.root)).toBe(true);
  });
  test('should render children', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes
    }, "child"));
    expect(wrapper.contains('child')).toBe(true);
  });
  test('should have class success when modifier = sucess', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes,
      modifier: "success"
    }));
    expect(wrapper.hasClass(classes.success)).toBe(true);
  });
  test('should have class badge--danger with danger modifier', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes,
      modifier: "danger"
    }));
    expect(wrapper.hasClass(classes.danger)).toBe(true);
  });
  test('should have class badge--warning with warning modifier', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes,
      modifier: "warning"
    }));
    expect(wrapper.hasClass(classes.warning)).toBe(true);
  });
  test('should have 3 classes if a modifier and className is given', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_badge.Component, {
      classes: classes,
      className: "test",
      modifier: "warning"
    }));
    expect(wrapper.hasClass(classes.root) && wrapper.hasClass(classes.warning) && wrapper.hasClass('test')).toBe(true);
  });
});