"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Component = Button;
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _buttonStyles.default;
  }
});
exports.default = exports.getElementType = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _buttonStyles = _interopRequireDefault(require("./button-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var getElementType = function getElementType(node, href, disabled) {
  if (disabled) {
    return 'button';
  }

  if (node) {
    return node;
  }

  return href ? 'a' : 'button';
};

exports.getElementType = getElementType;

function Button(_ref) {
  var _classNames, _classNames3;

  var classes = _ref.classes,
      variant = _ref.variant,
      block = _ref.block,
      disabled = _ref.disabled,
      className = _ref.className,
      children = _ref.children,
      modifier = _ref.modifier,
      node = _ref.node,
      href = _ref.href,
      icon = _ref.icon,
      iconAbove = _ref.iconAbove,
      size = _ref.size,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "variant", "block", "disabled", "className", "children", "modifier", "node", "href", "icon", "iconAbove", "size", "theme", "sheet"]);

  var Element = getElementType(node, href, disabled);
  var isPrimary = variant === 'primary';
  var isSecondary = variant === 'secondary';
  var isLink = variant === 'link';
  var isAction = modifier === 'action';
  var isSuccess = modifier === 'success';
  var isWarning = modifier === 'warning';
  var isDanger = modifier === 'danger';
  var usedClassName = (0, _classnames.default)(classes.button, (_classNames = {}, _defineProperty(_classNames, classes.block, block), _defineProperty(_classNames, classes.primary, isPrimary), _defineProperty(_classNames, classes.secondary, isSecondary), _defineProperty(_classNames, classes.link, isLink), _defineProperty(_classNames, classes.icon, icon && !children), _defineProperty(_classNames, classes.iconText, icon && children), _defineProperty(_classNames, "action", isAction), _defineProperty(_classNames, "success", isSuccess), _defineProperty(_classNames, "warning", isWarning), _defineProperty(_classNames, "danger", isDanger), _classNames), classes[size], size, className);
  var innerButtonWrapper = (0, _classnames.default)(classes.innerWrapper, _defineProperty({}, classes.iconAbove, iconAbove));
  var iconSpacer = (0, _classnames.default)(classes.innerWrapper, (_classNames3 = {}, _defineProperty(_classNames3, classes.spaceAbove, icon && children && iconAbove), _defineProperty(_classNames3, classes.spaceLeft, icon && children && !iconAbove), _classNames3));
  return _react.default.createElement(Element, _extends({}, rest, {
    className: usedClassName,
    disabled: disabled,
    href: href
  }), _react.default.createElement("div", {
    className: innerButtonWrapper
  }, icon, _react.default.createElement("span", {
    className: iconSpacer
  }, children)));
}

Button.defaultProps = {
  variant: 'primary',
  size: 'sm'
};
Button.propTypes = {
  classes: _propTypes.default.object.isRequired,
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  block: _propTypes.default.bool,
  variant: _propTypes.default.oneOf(['primary', 'secondary', 'link']),
  modifier: _propTypes.default.oneOf(['action', 'success', 'warning', 'danger']),
  node: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.func]),
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg']),
  href: _propTypes.default.string,
  icon: _propTypes.default.node,
  iconAbove: _propTypes.default.bool,
  disabled: _propTypes.default.bool
};

var _default = (0, _reactJss.default)(_buttonStyles.default, {
  injectTheme: true
})(Button);

exports.default = _default;