"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _editableInputStyles.default;
  }
});
exports.Component = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _editableInputStyles = _interopRequireDefault(require("./editable-input-styles"));

var _ = require("../..");

var _helpText = _interopRequireDefault(require("../input/help-text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var EditableInput = function (_React$Component) {
  _inherits(EditableInput, _React$Component);

  function EditableInput(props) {
    var _this;

    _classCallCheck(this, EditableInput);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(EditableInput).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "onEdit", function (event) {
      if (_this.props.sensitive) {
        _this.setState(function (prevState) {
          return {
            originalValue: prevState.value,
            editing: true,
            value: ''
          };
        });
      } else {
        _this.setState(function (prevState) {
          return {
            originalValue: prevState.value,
            editing: true
          };
        });
      }

      if (_this.props.onEdit) {
        _this.props.onEdit(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onFocus", function (event) {
      var value = event.target.value;
      var target = event.target;
      target.value = '';
      target.value = value;

      if (_this.props.onFocus) {
        _this.props.onFocus(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onBlur", function (event) {
      if (_this.props.onBlur) {
        _this.props.onBlur(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onChange", function (event) {
      _this.setState({
        value: event.target.value || _this.props.emptyDefaultValue
      });

      if (_this.props.onChange) {
        _this.props.onChange(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onSubmit", function () {
      var _ref = _asyncToGenerator(regeneratorRuntime.mark(function _callee(event) {
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                event.preventDefault();

                if (_this.props.hasError) {
                  _context.next = 9;
                  break;
                }

                if (!_this.props.onSubmit) {
                  _context.next = 7;
                  break;
                }

                _this.setState({
                  saving: true
                });

                _context.next = 6;
                return _this.props.onSubmit(_this.state.value);

              case 6:
                _this.setState({
                  saving: false
                });

              case 7:
                if (_this.props.sensitive) {
                  _this.setState(function (prevState) {
                    return {
                      value: prevState.originalValue
                    };
                  });
                }

                _this.setState({
                  editing: false
                });

              case 9:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));

      return function (_x) {
        return _ref.apply(this, arguments);
      };
    }());

    _defineProperty(_assertThisInitialized(_this), "onCancel", function () {
      _this.setState(function (prevState) {
        return {
          value: prevState.originalValue
        };
      });

      if (_this.props.onCancel) {
        _this.props.onCancel(_this.state.originalValue);
      }

      _this.setState({
        editing: false
      });
    });

    var SENSITIVE_PLACEHOLDER_VALUE = props.sensitivePlaceholder;
    _this.state = {
      editing: false,
      saving: false,
      value: props.sensitive ? SENSITIVE_PLACEHOLDER_VALUE : props.value,
      originalValue: ''
    };
    return _this;
  }

  _createClass(EditableInput, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.value) this.setState({
        value: nextProps.value
      });
    }
  }, {
    key: "renderHelpText",
    value: function renderHelpText() {
      var modifiers = {
        hasSuccess: this.props.hasSuccess,
        hasWarning: this.props.hasWarning,
        hasError: this.props.hasError
      };
      return !this.props.helpText ? null : _react.default.createElement(_helpText.default, modifiers, this.props.helpText);
    }
  }, {
    key: "render",
    value: function render() {
      var _classNames;

      var _this$props = this.props,
          classes = _this$props.classes,
          theme = _this$props.theme;
      var input = this.state.editing ? _react.default.createElement("form", {
        className: classes.form,
        onSubmit: this.onSubmit
      }, _react.default.createElement(_.Input, {
        autoFocus: true,
        className: classes.input,
        style: this.props.style,
        type: this.props.type,
        variant: this.props.variant,
        disabled: this.props.disabled || this.state.saving,
        label: this.props.label,
        placeholder: this.props.placeholder,
        id: this.props.id,
        value: this.state.value,
        onFocus: this.onFocus,
        onBlur: this.onBlur,
        onChange: this.onChange,
        valueFormatter: this.props.valueFormatter,
        hasSuccess: this.props.hasSuccess,
        hasError: this.props.hasError,
        hasWarning: this.props.hasWarning,
        helpText: this.props.helpText,
        leftAddon: this.props.leftAddon,
        rightAddon: this.props.rightAddon
      })) : _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.readOnly, (_classNames = {}, _defineProperty(_classNames, classes.hasLabel, this.props.label), _defineProperty(_classNames, classes.hasError, this.props.hasError), _classNames)),
        style: this.props.style
      }, _react.default.createElement("div", {
        className: classes.value
      }, this.state.value), this.renderHelpText());
      var buttons = this.state.editing ? _react.default.createElement("div", {
        className: classes.buttons
      }, _react.default.createElement(_.Button, {
        variant: "primary",
        modifier: "action",
        onClick: this.onSubmit,
        disabled: this.props.disabled || this.props.hasError || this.state.saving
      }, this.state.saving ? _react.default.createElement(_.Spinner, {
        size: 13,
        color: theme.palette.white
      }) : this.props.submitLabel), _react.default.createElement(_.Button, {
        variant: "secondary",
        modifier: "action",
        onClick: this.onCancel,
        disabled: this.props.disabled || this.state.saving
      }, this.props.cancelLabel)) : _react.default.createElement(_.Button, {
        className: classes.buttonEdit,
        onClick: this.onEdit,
        variant: "secondary",
        icon: _react.default.createElement(_.Icon.Edit, null),
        disabled: this.props.disabled
      });
      return _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.container, _defineProperty({}, classes.isEditing, this.state.editing), this.props.className)
      }, input, buttons);
    }
  }]);

  return EditableInput;
}(_react.default.Component);

exports.Component = EditableInput;
EditableInput.propTypes = {
  className: _propTypes.default.string,
  style: _propTypes.default.object,
  theme: _propTypes.default.object,
  type: _propTypes.default.string,
  variant: _propTypes.default.oneOf(['primary', 'secondary']),
  disabled: _propTypes.default.bool,
  label: _propTypes.default.node,
  submitLabel: _propTypes.default.node,
  cancelLabel: _propTypes.default.node,
  placeholder: _propTypes.default.string,
  id: _propTypes.default.string,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  onChange: _propTypes.default.func,
  onSubmit: _propTypes.default.func,
  onCancel: _propTypes.default.func,
  onEdit: _propTypes.default.func,
  valueFormatter: _propTypes.default.func,
  hasSuccess: _propTypes.default.bool,
  hasError: _propTypes.default.bool,
  hasWarning: _propTypes.default.bool,
  helpText: _propTypes.default.node,
  leftAddon: _propTypes.default.node,
  rightAddon: _propTypes.default.node,
  emptyDefaultValue: _propTypes.default.string,
  sensitive: _propTypes.default.bool,
  sensitivePlaceholder: _propTypes.default.string,
  classes: _propTypes.default.object.isRequired
};
EditableInput.defaultProps = {
  type: 'text',
  variant: 'secondary',
  submitLabel: 'Submit',
  cancelLabel: 'Cancel',
  emptyDefaultValue: '',
  sensitive: false,
  sensitivePlaceholder: '****'
};

var _default = (0, _reactJss.default)(_editableInputStyles.default, {
  injectTheme: true
})(EditableInput);

exports.default = _default;