"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Component = exports.styles = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _flags = _interopRequireDefault(require("./flags"));

var _currencies = _interopRequireDefault(require("./flags/currencies"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var styles = function styles() {
  return {
    container: {
      display: 'inline-block'
    },
    flagStyle: {
      display: 'block',
      boxSizing: 'border-box'
    },
    roundFlagContainer: {
      display: 'inline-block',
      position: 'relative',
      overflow: 'hidden',
      borderRadius: '50%'
    }
  };
};

exports.styles = styles;

var Flag = function Flag(_ref) {
  var classes = _ref.classes,
      theme = _ref.theme,
      className = _ref.className,
      style = _ref.style,
      countryCode = _ref.countryCode,
      secondaryCountryCode = _ref.secondaryCountryCode,
      size = _ref.size,
      round = _ref.round,
      hideBorder = _ref.hideBorder,
      borderColor = _ref.borderColor,
      rest = _objectWithoutProperties(_ref, ["classes", "theme", "className", "style", "countryCode", "secondaryCountryCode", "size", "round", "hideBorder", "borderColor"]);

  var flagStyle = _objectSpread({}, style, {
    width: size,
    height: size * 0.75,
    marginLeft: round ? -size * 0.125 : null,
    position: round ? 'absolute' : 'relative'
  });

  var roundFlagContainerStyle = {
    width: size * 0.75,
    height: size * 0.75
  };

  if (secondaryCountryCode) {
    return _react.default.createElement(_currencies.default, {
      className: (0, _classnames.default)(classes.flagStyle, className, 'flag'),
      style: flagStyle,
      size: size,
      primaryCC: countryCode.toLowerCase(),
      secondaryCC: secondaryCountryCode.toLowerCase()
    });
  }

  var SvgFlag = _flags.default[countryCode.toLowerCase()];

  if (!SvgFlag) {
    return null;
  }

  var flag = _react.default.createElement(SvgFlag, _extends({
    className: (0, _classnames.default)(classes.flagStyle, className, 'flag'),
    style: flagStyle
  }, rest));

  if (round) {
    return _react.default.createElement("span", {
      style: roundFlagContainerStyle,
      className: classes.roundFlagContainer
    }, flag);
  }

  return _react.default.createElement("div", {
    className: classes.container
  }, flag);
};

exports.Component = Flag;
Flag.defaultProps = {
  countryCode: '',
  size: 32,
  round: false,
  hideBorder: false
};
var countryCodes = ['ca', 'de', 'fr', 'ru', 'gb', 'dk', 'fi', 'no', 'se', 'us', 'jp', 'cn', 'eu', 'CA', 'DE', 'FR', 'RU', 'GB', 'DK', 'FI', 'NO', 'SE', 'US', 'JP', 'CN', 'EU'];
Flag.propTypes = {
  theme: _propTypes.default.object.isRequired,
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  countryCode: _propTypes.default.oneOf(countryCodes),
  secondaryCountryCode: _propTypes.default.oneOf(countryCodes),
  size: _propTypes.default.number,
  style: _propTypes.default.object,
  round: _propTypes.default.bool,
  hideBorder: _propTypes.default.bool,
  borderColor: _propTypes.default.string
};

var _default = (0, _reactJss.default)(styles, {
  injectTheme: true
})(Flag);

exports.default = _default;