"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Component = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = require("react-jss");

var _flags = require("./flags");

var _flagDeprecated = _interopRequireDefault(require("./flag-deprecated"));

var _deprecate = require("../deprecate");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var addBorder = function addBorder(props) {
  return !props.hideBorder && !props.round && !props.secondaryCountryCode;
};

var Flag = function Flag(props) {
  var borderColor = props.borderColor ? props.borderColor : props.theme.palette.gray7;

  var extendedStyle = _objectSpread({}, props.style, {
    border: addBorder(props) ? "1px solid ".concat(borderColor) : null,
    backgroundColor: addBorder(props) ? borderColor : 'rgba(0,0,0,0)'
  });

  if (typeof props.size === 'number') {
    return _react.default.createElement(_flagDeprecated.default, _extends({}, props, {
      style: extendedStyle
    }));
  }

  var className = props.className,
      style = props.style,
      countryCode = props.countryCode,
      secondaryCountryCode = props.secondaryCountryCode,
      size = props.size,
      round = props.round,
      hideBorder = props.hideBorder,
      rest = _objectWithoutProperties(props, ["className", "style", "countryCode", "secondaryCountryCode", "size", "round", "hideBorder"]);

  if (secondaryCountryCode) {
    return _react.default.createElement(_flags.CurrencyFlag, {
      className: className,
      style: extendedStyle,
      size: size,
      primaryCC: countryCode.toLowerCase(),
      secondaryCC: secondaryCountryCode.toLowerCase()
    });
  }

  return _react.default.createElement(_flags.SvgFlag, _extends({
    className: className,
    round: round,
    size: size,
    countryCode: countryCode.toLowerCase(),
    style: extendedStyle
  }, rest));
};

exports.Component = Flag;
Flag.defaultProps = {
  countryCode: '',
  size: 32,
  round: false,
  hideBorder: false,
  borderColor: null
};
var countryCodes = ['ca', 'de', 'fr', 'ru', 'gb', 'dk', 'fi', 'no', 'se', 'us', 'jp', 'cn', 'eu', 'CA', 'DE', 'FR', 'RU', 'GB', 'DK', 'FI', 'NO', 'SE', 'US', 'JP', 'CN', 'EU'];
Flag.propTypes = {
  className: _propTypes.default.string,
  countryCode: _propTypes.default.oneOf(countryCodes),
  secondaryCountryCode: _propTypes.default.oneOf(countryCodes),
  size: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg'])]),
  style: _propTypes.default.object,
  round: _propTypes.default.bool,
  hideBorder: _propTypes.default.bool,
  borderColor: _propTypes.default.string,
  theme: _propTypes.default.shape()
};

var _default = (0, _deprecate.deprecatedProps)('Flag', [{
  prop: 'size',
  message: "size in Flag as a number is deprecated. Please use one of 'xs', 'sm', 'md', 'lg' instead"
}])((0, _reactJss.withTheme)(Flag));

exports.default = _default;