"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _flagDeprecated = require("./flag-deprecated");

var _ = require("../..");

var _styles = require("../../styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var classes = (0, _.mockClasses)(_flagDeprecated.styles);
var theme = (0, _styles.createTheme)();
var defaultProps = {
  classes: classes,
  theme: theme,
  countryCode: 'se'
};

var renderFlag = function renderFlag() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return (0, _enzyme.shallow)(_react.default.createElement(_flagDeprecated.Component, _extends({}, defaultProps, props)));
};

describe('<Flag />', function () {
  test("should be able to style size", function () {
    var size = 50;
    var expectedWidth = size;
    var expectedHeight = size * 0.75;
    var component = renderFlag({
      size: size,
      hideBorder: true
    });
    var flagComponent = component.children().first();
    expect(flagComponent.prop('style').width).toBe(expectedWidth);
    expect(flagComponent.prop('style').height).toBe(expectedHeight);
  });
  test('should have the class "flag"', function () {
    var component = renderFlag();
    var flagComponent = component.children().first();
    expect(component.hasClass(classes.container)).toBe(true);
    expect(flagComponent.hasClass('flag')).toBe(true);
    expect(flagComponent.hasClass(classes.flagStyle)).toBe(true);
    expect(flagComponent.hasClass(classes.roundFlagStyle)).toBe(false);
  });
  test('should add roundClass if round prop provided', function () {
    var newElement = renderFlag({
      round: true
    });
    expect(newElement.hasClass(classes.roundFlagContainer)).toBe(true);
  });
  test('should be possible to show combined flag for currencies', function () {
    var currencyElement = renderFlag({
      countryCode: 'us',
      secondaryCountryCode: 'se'
    });
    expect(currencyElement.html()).not.toBeNull();
  });
});