"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CombinedFlag;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _ = _interopRequireDefault(require("."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function CombinedFlag(_ref) {
  var style = _ref.style,
      primaryCC = _ref.primaryCC,
      secondaryCC = _ref.secondaryCC,
      rest = _objectWithoutProperties(_ref, ["style", "primaryCC", "secondaryCC"]);

  var usedStyle = Object.assign({}, {
    fillRule: 'evenodd',
    clipRule: 'evenodd',
    strokeLinejoin: 'round',
    strokeMiterlimit: 1.41421
  }, style);
  var PrimaryFlag = _.default[primaryCC];
  var SecondaryFlag = _.default[secondaryCC];
  var primaryX = -24;
  var secondaryX = -primaryX;
  return _react.default.createElement("svg", _extends({
    width: "100%",
    height: "100%",
    style: usedStyle,
    "aria-hidden": "true",
    focusable: "false"
  }, rest), _react.default.createElement("g", {
    id: "".concat(primaryCC, "/").concat(secondaryCC)
  }, _react.default.createElement("g", {
    id: "".concat(secondaryCC, "-container")
  }, _react.default.createElement("circle", {
    cx: "116.094",
    cy: "68.031",
    r: "68.031",
    style: {
      fill: '#f6f6f6'
    }
  }), _react.default.createElement("g", {
    id: secondaryCC
  }, _react.default.createElement("clipPath", {
    id: "_clip1"
  }, _react.default.createElement("ellipse", {
    cx: "115.969",
    cy: "68.385",
    rx: "60.887",
    ry: "60.945"
  })), _react.default.createElement("g", {
    clipPath: "url(#_clip1)"
  }, _react.default.createElement("g", null, _react.default.createElement("clipPath", {
    id: "_clip2"
  }, _react.default.createElement("path", {
    d: "M54.523,7.03l122.875,0l0,122.875l-122.875,0l0,-122.875Z"
  })), _react.default.createElement("g", {
    transform: "translate(".concat(secondaryX, ", 0)")
  }, SecondaryFlag ? _react.default.createElement(SecondaryFlag, null) : null))))), _react.default.createElement("g", {
    id: "".concat(primaryCC, "-container")
  }, _react.default.createElement("circle", {
    cx: "68.031",
    cy: "68.031",
    r: "68.031",
    style: {
      fill: '#f6f6f6'
    }
  }), _react.default.createElement("g", {
    id: primaryCC
  }, _react.default.createElement("clipPath", {
    id: "_clip3"
  }, _react.default.createElement("ellipse", {
    cx: "67.666",
    cy: "68.145",
    rx: "60.887",
    ry: "60.945"
  })), _react.default.createElement("g", {
    clipPath: "url(#_clip3)"
  }, _react.default.createElement("clipPath", {
    id: "_clip4"
  }, _react.default.createElement("rect", {
    x: "5.541",
    y: "6.213",
    width: "122.88",
    height: "122.88"
  })), _react.default.createElement("g", {
    transform: "translate(".concat(primaryX, ", 0)")
  }, PrimaryFlag ? _react.default.createElement(PrimaryFlag, null) : null))))));
}

CombinedFlag.defaultProps = {
  viewBox: '0 0 185 137',
  primaryCC: '',
  secondaryCC: ''
};
CombinedFlag.propTypes = {
  viewBox: _propTypes.default.string,
  style: _propTypes.default.object,
  primaryCC: _propTypes.default.string,
  secondaryCC: _propTypes.default.string
};