"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Component = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _currencies = _interopRequireDefault(require("./currencies"));

var _omit = _interopRequireDefault(require("../../../utilities/omit"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Flag = function Flag(props) {
  var size = props.size,
      className = props.className,
      classes = props.classes,
      round = props.round;
  return _react.default.createElement(_currencies.default, _extends({}, (0, _omit.default)(props, 'round'), {
    className: (0, _classnames.default)(className, classes.common, classes[size], _defineProperty({}, classes["rounded".concat(size.toUpperCase())], round))
  }));
};

exports.Component = Flag;
Flag.defaultProps = {
  size: 'sm',
  round: false
};
Flag.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  round: _propTypes.default.bool,
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg'])
};

var _default = (0, _reactJss.default)(_styles.default)(Flag);

exports.default = _default;