"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _currencyFlag = require("./currency-flag");

var _styles = _interopRequireDefault(require("./styles"));

var _ = require("../../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var classes = (0, _.mockClasses)(_styles.default);

var shallowComponent = function shallowComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_currencyFlag.Component, _extends({
    classes: classes,
    countryCode: "se"
  }, props)));
};

describe('<CurrencyFlag />', function () {
  test("should have common and size classes", function () {
    var wrapper = shallowComponent();
    expect(wrapper.hasClass('common')).toBe(true);
    expect(wrapper.hasClass('sm')).toBe(true);
  });
  test("should have rounded class", function () {
    var wrapper = shallowComponent({
      round: true,
      size: 'lg'
    });
    expect(wrapper.hasClass('roundedLG')).toBe(true);
  });
});