"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var sizes = {
  xs: {
    width: 16,
    height: 12
  },
  sm: {
    width: 32,
    height: 24
  },
  md: {
    width: 64,
    height: 48
  },
  lg: {
    width: 128,
    height: 96
  }
};
var rounded = {
  roundedXS: {
    marginLeft: -sizes.xs.width * 0.125,
    position: 'absolute'
  },
  roundedSM: {
    marginLeft: -sizes.sm.width * 0.125,
    position: 'absolute'
  },
  roundedMD: {
    marginLeft: -sizes.md.width * 0.125,
    position: 'absolute'
  },
  roundedLG: {
    marginLeft: -sizes.lg.width * 0.125,
    position: 'absolute'
  }
};
var roundedContainer = {
  roundedContainer: {
    display: 'inline-block',
    position: 'relative',
    overflow: 'hidden',
    borderRadius: '50%'
  },
  roundedContainerXS: {
    width: sizes.xs.width * 0.75,
    height: sizes.xs.width * 0.75
  },
  roundedContainerSM: {
    width: sizes.sm.width * 0.75,
    height: sizes.sm.width * 0.75
  },
  roundedContainerMD: {
    width: sizes.md.width * 0.75,
    height: sizes.md.width * 0.75
  },
  roundedContainerLG: {
    width: sizes.lg.width * 0.75,
    height: sizes.lg.width * 0.75
  }
};

var _default = _objectSpread({
  common: {
    display: 'block',
    boxSizing: 'border-box',
    position: 'relative',
    left: 0
  },
  container: {
    display: 'inline-block'
  }
}, sizes, rounded, roundedContainer);

exports.default = _default;