"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Component = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _ = _interopRequireDefault(require("."));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SvgFlag = function SvgFlag(_ref) {
  var className = _ref.className,
      classes = _ref.classes,
      size = _ref.size,
      countryCode = _ref.countryCode,
      round = _ref.round,
      rest = _objectWithoutProperties(_ref, ["className", "classes", "size", "countryCode", "round"]);

  var Flag = _.default[countryCode];

  if (!Flag) {
    return null;
  }

  if (round) {
    return _react.default.createElement("span", {
      className: (0, _classnames.default)(classes.roundedContainer, classes["roundedContainer".concat(size.toUpperCase())])
    }, _react.default.createElement(Flag, _extends({
      className: (0, _classnames.default)(className, classes.common, classes[size], classes["rounded".concat(size.toUpperCase())])
    }, rest)));
  }

  return _react.default.createElement("span", {
    className: classes.container
  }, _react.default.createElement(Flag, _extends({}, rest, {
    className: (0, _classnames.default)(className, classes.common, classes[size])
  })));
};

exports.Component = SvgFlag;
SvgFlag.defaultProps = {
  size: 'sm',
  round: false
};
SvgFlag.propTypes = {
  classes: _propTypes.default.object.isRequired,
  countryCode: _propTypes.default.string.isRequired,
  className: _propTypes.default.string,
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg']),
  round: _propTypes.default.bool
};

var _default = (0, _reactJss.default)(_styles.default)(SvgFlag);

exports.default = _default;