"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _svgFlag = require("./svg-flag");

var _styles = _interopRequireDefault(require("./styles"));

var _ = require("../../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var classes = (0, _.mockClasses)(_styles.default);

var shallowComponent = function shallowComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_svgFlag.Component, _extends({
    classes: classes,
    countryCode: "se"
  }, props)));
};

describe('<SvgFlag />', function () {
  test("has common class", function () {
    var wrapper = shallowComponent().children().first();
    expect(wrapper.hasClass('common')).toBe(true);
  });
  test('renders small flag by default', function () {
    var wrapper = shallowComponent().children().first();
    expect(wrapper.hasClass('sm')).toBe(true);
  });
  test("rounded container has roundedContainer classes", function () {
    var wrapper = shallowComponent({
      round: true,
      size: 'md'
    });
    expect(wrapper.hasClass('roundedContainer')).toBe(true);
    expect(wrapper.hasClass('roundedContainerMD')).toBe(true);
  });
  test("rounded medium flag has roundedMD class", function () {
    var wrapper = shallowComponent({
      round: true,
      size: 'md'
    });
    var Flag = wrapper.children().first();
    expect(Flag.hasClass('roundedMD')).toBe(true);
  });
});