"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Icon />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.Icon.ArrowLeft, null));
  });
  test('should render an svg', function () {
    expect(wrapper.type()).toBe('svg');
  });
  test('should set default proportions', function () {
    expect(wrapper.prop('width')).toBe('1em');
    expect(wrapper.prop('height')).toBe('1em');
    expect(wrapper.prop('viewBox')).toBe('0 0 16 16');
  });
  test('should be able to override stroke', function () {
    var color = '#123456';
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.Icon.Cloud, {
      stroke: color
    }));
    expect(wrapper.find('g > g').prop('stroke')).toBe(color);
  });
  test('should be able to override fill', function () {
    var color = '#123456';
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.Icon.Trash, {
      fill: color
    }));
    expect(wrapper.find('g > g').prop('fill')).toBe(color);
  });
  test('should have pointerEvents set to none', function () {
    Object.keys(_.Icon).map(function (key) {
      var Component = _.Icon[key];
      var element = (0, _enzyme.shallow)(_react.default.createElement(Component, null));
      return expect(element.props().style.pointerEvents).toBe('none');
    });
  });
});