"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ArrowLeft;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ArrowLeft(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: strokeWidth,
    fill: "none",
    fillRule: "evenodd"
  }, _react.default.createElement("g", {
    transform: "translate(0, 2.7)",
    fillRule: "nonzero",
    fill: fill
  }, _react.default.createElement("g", null, _react.default.createElement("path", {
    d: "M0.589263762,5.00241556 L5.47287655,0.118802768 C5.63159397,-0.0399146481 5.88961151,-0.0399146481 6.04832893,0.118802768 C6.20704634,0.277520183 6.20704634,0.535537726 6.04832893,0.694255142 L1.85981702,4.88276705 L15.1212676,4.88276705 C15.3459137,4.88276705 15.5282353,5.06508859 15.5282353,5.28973478 C15.5282353,5.51438097 15.3459137,5.69670251 15.1212676,5.69670251 L1.85981702,5.69670251 L6.04832893,9.88521442 C6.20704634,10.0439318 6.20704634,10.3019494 6.04832893,10.4606668 C5.96856325,10.5404325 5.86437951,10.5795014 5.76019577,10.5795014 C5.65601203,10.5795014 5.55182829,10.5396185 5.47206262,10.4606668 L0.588449827,5.577054 C0.429732411,5.41833658 0.429732411,5.16031904 0.588449827,5.00160162 L0.589263762,5.00241556 Z"
  })))));
}

ArrowLeft.propTypes = _objectSpread({
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
}, _icon.default.propTypes);
ArrowLeft.defaultProps = _icon.default.defaultProps;