"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Ellipse;

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Ellipse(_ref) {
  var stroke = _ref.stroke,
      strokeWidth = _ref.strokeWidth,
      fill = _ref.fill,
      width = _ref.width,
      height = _ref.height,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "strokeWidth", "fill", "width", "height", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    width: width,
    height: height,
    style: style
  }, rest, {
    viewBox: "0 0 ".concat(width, " ").concat(height)
  }), _react.default.createElement("ellipse", {
    strokeWidth: strokeWidth,
    stroke: stroke,
    fill: fill,
    cx: parseInt(width / 2, 10),
    cy: parseInt(height / 2, 10),
    rx: parseInt((width - strokeWidth) / 2, 10),
    ry: parseInt((height - strokeWidth) / 2, 10),
    style: _objectSpread({}, style)
  }));
}

Ellipse.propTypes = _objectSpread({}, _icon.default.propTypes);
Ellipse.defaultProps = _objectSpread({}, _icon.default.defaultProps, {
  height: 16,
  width: 16,
  strokeWidth: 0
});