"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ExclamationPoint;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ExclamationPoint(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: strokeWidth,
    fill: "none",
    fillRule: "evenodd"
  }, _react.default.createElement("g", {
    fill: fill
  }, _react.default.createElement("path", {
    d: "M8.44459971,10.4000001 L7.57323041,10.4000001 L7.1499939,3.45356103 C7.32913335,3.15302336 7.6154404,3.0018418 8.00891506,3.00001633 C8.40238972,2.99819087 8.68869677,3.14937244 8.86783622,3.45356103 L8.44459971,10.4000001 Z M7.2506163,12.2027673 C7.2506163,11.7009198 7.49957647,11.4499998 7.99750427,11.4499998 C8.23816937,11.4499998 8.42385216,11.5145748 8.55455821,11.6437267 C8.68526426,11.7728787 8.7506163,11.9592237 8.7506163,12.2027673 C8.7506163,12.4389309 8.68422693,12.6225084 8.55144618,12.7535053 C8.41866543,12.8845023 8.23401998,12.9499998 7.99750427,12.9499998 C7.78173556,12.9499998 7.6033141,12.8918823 7.46223456,12.7756456 C7.32115502,12.6594088 7.2506163,12.4684513 7.2506163,12.2027673 Z"
  }))));
}

ExclamationPoint.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
ExclamationPoint.defaultProps = _icon.default.defaultProps;