"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Eye;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Eye(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: fill,
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M13.0534737,9.5838479 C11.8271043,10.4574261 9.95515112,11.499 8,11.499 C6.0440489,11.499 4.1720957,10.4574261 2.94572636,9.5838479 C2.02094948,8.92466438 1.3121672,8.25748106 0.955376116,7.89909002 C1.3121672,7.539899 2.02094948,6.87351566 2.94572636,6.21353216 C3.37051574,5.91113972 3.87050324,5.59034774 4.42648934,5.29835504 C4.1480963,5.8479413 4.0001,6.46232594 4.0001,7.09911002 C4.0001,9.3038549 5.79445514,11.09901 8,11.09901 C10.2047449,11.09901 11.9999,9.3038549 11.9999,7.09911002 C11.9999,6.46232594 11.8511037,5.8479413 11.5727107,5.29835504 C12.1286968,5.59034774 12.6294843,5.9119397 13.0534737,6.21353216 C13.9782505,6.87271568 14.6870328,7.539899 15.0438239,7.89909002 C14.6870328,8.25748106 13.9782505,8.9238644 13.0534737,9.5838479 M10.0591485,4.64957126 C10.7847304,5.259956 11.19992,6.14713382 11.19992,7.09911002 C11.19992,8.8638659 9.76475588,10.29903 8,10.29903 C6.23524412,10.29903 4.80008,8.8638659 4.80008,7.09911002 C4.80008,6.1479338 5.21446964,5.259956 5.9400515,4.64957126 C6.59843504,4.43437664 7.29361766,4.29918002 8,4.29918002 C8.70558236,4.29918002 9.40156496,4.43437664 10.0591485,4.64957126 M15.8974026,7.6318967 C15.8598035,7.58949776 14.9518262,6.5879228 13.5326617,5.57354816 C12.6950826,4.97516312 11.8527037,4.49917502 11.0287243,4.1559836 C9.98475038,3.72079448 8.96557586,3.5 8,3.5 C7.03442414,3.5 6.01444964,3.72079448 4.97047574,4.1559836 C4.14649634,4.49917502 3.3041174,4.9759631 2.46733832,5.57354816 C1.04737382,6.5879228 0.139396515,7.59029774 0.102597435,7.6318967 C-0.034199145,7.7838929 -0.034199145,8.01428714 0.102597435,8.16708332 C0.139396515,8.20868228 1.04737382,9.21025724 2.46733832,10.2246319 C3.3041174,10.8230169 4.14649634,11.299805 4.97047574,11.6421964 C6.01444964,12.0773856 7.03442414,12.29898 8,12.29898 C8.96557586,12.29898 9.98475038,12.0773856 11.0287243,11.6421964 C11.8527037,11.299805 12.6950826,10.8222169 13.5326617,10.2246319 C14.9518262,9.21025724 15.8598035,8.2078823 15.8974026,8.16708332 C16.0341991,8.01428714 16.0341991,7.7838929 15.8974026,7.6318967"
  }), _react.default.createElement("path", {
    d: "M8.08247835,5.10167587 C8.02941945,5.22372597 8,5.35842735 8,5.5 C8,6.05228475 8.44771525,6.5 9,6.5 C9.30428195,6.5 9.57682211,6.36409728 9.7602329,6.14967943 C9.91316973,6.43235888 10,6.75604235 10,7.1000061 C10,8.2045756 9.1045695,9.1000061 8,9.1000061 C6.8954305,9.1000061 6,8.2045756 6,7.1000061 C6,5.9954366 6.8954305,5.1000061 8,5.1000061 C8.0276272,5.1000061 8.05512356,5.10056627 8.08247835,5.10167587 Z"
  })));
}

Eye.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
Eye.defaultProps = _icon.default.defaultProps;