"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Image;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Image(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: stroke,
    strokeWidth: strokeWidth,
    fill: fill
  }, _react.default.createElement("path", {
    d: "M16.2,6 C15.2076,6 14.4,6.8076 14.4,7.8 C14.4,8.7924 15.2076,9.6 16.2,9.6 C17.1924,9.6 18,8.7924 18,7.8 C18,6.8076 17.1924,6 16.2,6 M16.2,10.8 C14.5464,10.8 13.2,9.4536 13.2,7.8 C13.2,6.1464 14.5464,4.8 16.2,4.8 C17.8536,4.8 19.2,6.1464 19.2,7.8 C19.2,9.4536 17.8536,10.8 16.2,10.8"
  }), _react.default.createElement("path", {
    d: "M22.8,22.2 C22.8,22.5312 22.5312,22.8 22.2,22.8 L20.0568,22.8 L7.8636,10.0524 C7.5264,9.6996 7.0776,9.51 6.6,9.516 C6.1224,9.522 5.6784,9.7236 5.3496,10.0848 L1.2012,14.6484 L1.2012,1.8 C1.2012,1.4688 1.47,1.2 1.8012,1.2 L22.2012,1.2 C22.5324,1.2 22.8012,1.4688 22.8012,1.8 L22.8012,22.2 L22.8,22.2 Z M1.2,22.2 L1.2,16.4316 L6.2364,10.8912 C6.3384,10.7796 6.4716,10.7172 6.6132,10.7148 C6.7548,10.7124 6.8904,10.7724 6.9948,10.8816 L18.3948,22.8 L1.7988,22.8 C1.4676,22.8 1.1988,22.5312 1.1988,22.2 L1.2,22.2 Z M22.2,0 L1.8,0 C0.8076,0 0,0.8076 0,1.8 L0,22.2 C0,23.1924 0.8076,24 1.8,24 L22.2,24 C23.1924,24 24,23.1924 24,22.2 L24,1.8 C24,0.8076 23.1924,0 22.2,0 Z"
  })));
}

Image.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
Image.defaultProps = _objectSpread({}, _icon.default.defaultProps, {
  viewBox: '0 0 25 25'
});