"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Info;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Info(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    id: "Page-1",
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, _react.default.createElement("g", {
    id: "info",
    fill: stroke
  }, _react.default.createElement("g", {
    id: "exclamation-mark"
  }, _react.default.createElement("path", {
    d: "M10,12.75 L6.5,12.75 L6.5,11.25 L7.5,11.25 L7.5,7.75 L6.5,7.75 L6.5,6.25 L8.5,6.25 C8.77614237,6.25 9,6.47385763 9,6.75 L9,11.25 L10,11.25 L10,12.75 Z M7,4.25369004 C7,3.58456 7.33194689,3.25 7.99585062,3.25 C8.31673743,3.25 8.56431448,3.3361 8.73858921,3.50830258 C8.91286394,3.68050517 9,3.92896517 9,4.25369004 C9,4.56857476 8.91148083,4.81334476 8.73443983,4.98800738 C8.55739884,5.16267 8.3112049,5.25 7.99585062,5.25 C7.708159,5.25 7.47026373,5.17251 7.28215768,5.01752768 C7.09405162,4.86254535 7,4.60793535 7,4.25369004 Z",
    id: "shape"
  }), _react.default.createElement("path", {
    d: "M13.6572632,2.34273684 C12.1465263,0.832 10.1372632,0 8,0 C5.86273684,0 3.85431579,0.832 2.34273684,2.34273684 C0.831157895,3.85347368 0,5.86273684 0,7.99915789 C0,10.1355789 0.832,12.1448421 2.34273684,13.6564211 C3.85347368,15.168 5.86273684,15.9991579 8,15.9991579 C10.1372632,15.9991579 12.1456842,15.1671579 13.6572632,13.6564211 C15.1688421,12.1456842 16,10.1364211 16,7.99915789 C16,5.86189474 15.168,3.85347368 13.6572632,2.34273684 Z M8,15.1578947 C4.05305263,15.1578947 0.842105263,11.9469474 0.842105263,8 C0.842105263,4.05305263 4.05305263,0.842105263 8,0.842105263 C11.9469474,0.842105263 15.1578947,4.05305263 15.1578947,8 C15.1578947,11.9469474 11.9469474,15.1578947 8,15.1578947 Z",
    id: "Shape",
    fillRule: "nonzero"
  })))));
}

Info.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
Info.defaultProps = _objectSpread({}, _icon.default.defaultProps);