"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = LightBulb;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function LightBulb(_ref) {
  var fill = _ref.fill,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["fill", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    fillRule: "nonzero",
    fill: fill
  }, _react.default.createElement("path", {
    d: "M6.5001,20.0003 L5.5001,20.0003 C5.2241,20.0003 5.0001,19.7763 5.0001,19.5003 C5.0001,19.2243 5.2241,19.0003 5.5001,19.0003 L6.5001,19.0003 C6.7761,19.0003 7.0001,19.2243 7.0001,19.5003 C7.0001,19.7763 6.7761,20.0003 6.5001,20.0003"
  }), _react.default.createElement("path", {
    d: "M10.085,9.385 C9.788,9.879 9.382,10.721 9.18,11.261 L8.383,13.388 C8.263,13.708 7.842,14 7.5,14 L4.5,14 C4.158,14 3.737,13.708 3.617,13.388 L2.819,11.261 C2.617,10.721 2.211,9.88 1.914,9.385 C1.905,9.37 1,7.84 1,6 C1,3.243 3.243,1 6,1 C8.757,1 11,3.243 11,6 C11,7.829 10.094,9.371 10.085,9.385 M8,15.5 C8,15.777 7.776,16 7.5,16 L4.5,16 C4.224,16 4,15.777 4,15.5 C4,15.224 4.224,15 4.5,15 L7.5,15 C7.776,15 8,15.224 8,15.5 M7.5,18 L4.5,18 C4.224,18 4,17.777 4,17.5 C4,17.224 4.224,17 4.5,17 L7.5,17 C7.776,17 8,17.224 8,17.5 C8,17.777 7.776,18 7.5,18 M6,0 C2.692,0 0,2.693 0,6 C0,8.114 1.014,9.828 1.057,9.901 C1.323,10.344 1.702,11.128 1.883,11.613 L2.681,13.739 C2.802,14.061 3.034,14.352 3.322,14.573 C3.121,14.828 3,15.151 3,15.5 C3,15.884 3.145,16.235 3.383,16.5 C3.145,16.766 3,17.116 3,17.5 C3,18.327 3.673,19 4.5,19 L7.5,19 C8.327,19 9,18.327 9,17.5 C9,17.116 8.856,16.766 8.617,16.5 C8.856,16.235 9,15.884 9,15.5 C9,15.151 8.879,14.828 8.678,14.573 C8.966,14.352 9.198,14.063 9.319,13.739 L10.116,11.613 C10.298,11.128 10.676,10.344 10.942,9.901 C10.985,9.828 12,8.114 12,6 C12,2.693 9.308,0 6,0"
  })));
}

LightBulb.propTypes = _objectSpread({}, _icon.default.propTypes, {
  fill: _propTypes.default.string
});
LightBulb.defaultProps = _objectSpread({}, _icon.default.defaultProps, {
  viewBox: '0 0 12 20'
});