"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MagnifierMinus;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function MagnifierMinus(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: strokeWidth,
    fill: "none",
    fillRule: "evenodd"
  }, _react.default.createElement("g", {
    fillRule: "nonzero",
    fill: fill
  }, _react.default.createElement("path", {
    d: "M0.788684211,6 C0.788684211,3.1328 3.09078947,0.8 5.92026316,0.8 C8.74973684,0.8 11.0518421,3.1328 11.0518421,6 C11.0518421,8.8672 8.74973684,11.2 5.92026316,11.2 C3.09078947,11.2 0.788684211,8.8672 0.788684211,6 Z M14.8957895,15.3296 L10.2039474,10.1424 C11.2610526,9.0216 11.8421053,7.556 11.8421053,6 C11.8421053,4.3976 11.2263158,2.8904 10.1076316,1.7576 C8.98894737,0.6248 7.50236842,0 5.92105263,0 C4.33973684,0 2.85236842,0.624 1.73447368,1.7576 C0.616578947,2.8912 0,4.3976 0,6 C0,7.6024 0.615789474,9.1096 1.73447368,10.2424 C2.85315789,11.3752 4.33973684,12 5.92105263,12 C7.28368421,12 8.57526316,11.5368 9.62210526,10.684 L14.3139474,15.8704 C14.3921053,15.9568 14.4978947,16 14.6052632,16 C14.7007895,16 14.7963158,15.9656 14.8721053,15.8952 C15.0331579,15.7456 15.0434211,15.4928 14.8965789,15.3304 L14.8957895,15.3296 Z",
    id: "Fill-3077"
  }), _react.default.createElement("path", {
    d: "M9.07815789,6.4 L2.76236842,6.4 C2.54447368,6.4 2.36763158,6.2208 2.36763158,6 C2.36763158,5.7792 2.54447368,5.6 2.76236842,5.6 L9.07815789,5.6 C9.29605263,5.6 9.47289474,5.7792 9.47289474,6 C9.47289474,6.2208 9.29605263,6.4 9.07815789,6.4",
    id: "Fill-3078"
  }))));
}

MagnifierMinus.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
MagnifierMinus.defaultProps = _icon.default.defaultProps;