"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Profile;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Profile(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    transform: "translate(-1.08, 0.5)",
    stroke: stroke,
    strokeWidth: strokeWidth
  }, _react.default.createElement("path", {
    d: "M1.5,14.7018843 C1.5,14.7018843 1.69396973,9.84849077 8.15808105,10.0036421 C14.6221924,10.1587935 14.6221924,14.7350875 14.6221924,14.7350875",
    strokeLinecap: "round"
  }), _react.default.createElement("circle", {
    cx: "8",
    cy: "5",
    r: "3.5"
  })));
}

Profile.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
Profile.defaultProps = _objectSpread({}, _icon.default.defaultProps, {
  viewBox: '0 0 14 14'
});