"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SendMessage;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function SendMessage(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, _react.default.createElement("g", {
    fill: fill
  }, _react.default.createElement("path", {
    d: "M12.8308265,15.9016722 L9.25600072,12.3718467 L16.4866529,3.47348245 L12.8308265,15.9007722 L12.8308265,15.9016722 Z M6.30037938,10.6717344 L14.7739406,4.15388736 L8.29929381,12.1234449 C8.29929381,12.1234449 8.29929381,12.1243449 8.2983938,12.1243449 L6.30037938,14.5831626 L6.30037938,10.6717344 Z M14.5174387,3.21518058 L5.76577552,9.94812919 L1.72654636,8.60171947 L14.5174387,3.21518058 Z M17.8501628,1.11456542 C17.7214618,0.998464581 17.5369605,0.96786436 17.3758593,1.03536485 L0.275735888,8.23541682 C0.102934641,8.30831735 -0.00686615182,8.48021859 0.000333900153,8.66741994 C0.00753395213,8.85462129 0.129934836,9.01842248 0.308136122,9.0769229 L5.40037288,10.7752352 L5.40037288,15.8503718 C5.40037288,16.0411732 5.52007375,16.2112744 5.70007505,16.2742749 C5.7495754,16.292275 5.79997577,16.300375 5.85037613,16.300375 C5.9844771,16.300375 6.11227802,16.2409746 6.19957865,16.1347738 L8.68719661,13.0729517 L12.7345258,17.0707806 C12.8191264,17.1553812 12.9325273,17.1994815 13.0495281,17.1994815 C13.0873284,17.1994815 13.1251286,17.1949815 13.1620289,17.1859814 C13.31503,17.1463812 13.4365309,17.0284803 13.4815312,16.8763792 L17.9815637,1.57626875 C18.0310641,1.40976755 17.9788637,1.22976625 17.8492628,1.11366541 L17.8501628,1.11456542 Z"
  }))));
}

SendMessage.propTypes = _objectSpread({}, _icon.default.propTypes, {
  fill: _propTypes.default.string
});
SendMessage.defaultProps = _objectSpread({}, _icon.default.defaultProps, {
  width: 18,
  height: 18,
  viewBox: '0 0 18 18'
});