"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SocialFacebook;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function SocialFacebook(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, _icon.default.defaultProps.style);

  return _react.default.createElement("svg", _extends({
    style: style
  }, rest), _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: 1,
    fill: fill,
    fillRule: "evenodd"
  }, _react.default.createElement("path", {
    d: "M15.1169528,0 L0.883047202,0 C0.395243055,0 0,0.395243055 0,0.883047202 L0,15.1169528 C0,15.604637 0.395243055,16 0.883047202,16 L8.54607447,16 L8.54607447,9.80398211 L6.460992,9.80398211 L6.460992,7.38924067 L8.54607447,7.38924067 L8.54607447,5.60845879 C8.54607447,3.54184058 9.80829843,2.4165399 11.6518468,2.4165399 C12.534894,2.4165399 13.2939069,2.48230384 13.5150584,2.51167879 L13.5150584,4.67139763 L12.2364684,4.67199712 C11.2338232,4.67199712 11.0397086,5.14841098 11.0397086,5.84753498 L11.0397086,7.38924067 L13.4308902,7.38924067 L13.1195156,9.80398211 L11.0397086,9.80398211 L11.0397086,16 L15.1169528,16 C15.604637,16 16,15.604637 16,15.1169528 L16,0.883047202 C16,0.395243055 15.604637,0 15.1169528,0"
  })));
}

SocialFacebook.propTypes = _objectSpread({}, _icon.default.propTypes, {
  stroke: _propTypes.default.string,
  fill: _propTypes.default.string,
  strokeWidth: _propTypes.default.number
});
SocialFacebook.defaultProps = _icon.default.defaultProps;