"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Component = Checkbox;
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactJss = require("react-jss");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Checkbox(props) {
  var checked = props.checked,
      disabled = props.disabled,
      theme = props.theme;
  var classes = (0, _classnames.default)('checkbox', {
    'checkbox--is-checked': checked,
    'checkbox--is-disabled': disabled
  }, props.className);

  var icon = _react.default.createElement(_.Icon.Checkmark, {
    stroke: theme.palette.white,
    style: {
      display: 'block'
    }
  });

  return _react.default.createElement("span", {
    className: classes
  }, checked ? icon : null);
}

Checkbox.propTypes = {
  checked: _propTypes.default.bool,
  disabled: _propTypes.default.bool,
  className: _propTypes.default.string,
  theme: _propTypes.default.shape()
};

var _default = (0, _reactJss.withTheme)(Checkbox);

exports.default = _default;