"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _checkbox = require("./checkbox");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var renderComponent = function renderComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_checkbox.Component, _extends({}, props, {
    theme: {
      palette: {
        color: {
          white: '#FFFFFF'
        }
      }
    }
  })));
};

describe('<Checkbox />', function () {
  test('has class checkbox', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('checkbox')).toBe(true);
  });
  test('has class checkbox--is-checked when checked is true', function () {
    var wrapper = renderComponent({
      checked: true
    });
    expect(wrapper.hasClass('checkbox--is-checked')).toBe(true);
  });
  test('has class checkbox--is-disabled when disabled is true', function () {
    var wrapper = renderComponent({
      disabled: true
    });
    expect(wrapper.hasClass('checkbox--is-disabled')).toBe(true);
  });
  test('renders checkmark when checked is true', function () {
    var wrapper = renderComponent({
      checked: true
    });
    expect(wrapper.find('Checkmark')).toHaveLength(1);
  });
  test('renders no checkmark when checked is false', function () {
    var wrapper = renderComponent({
      checked: false
    });
    expect(wrapper.find('Checkmark')).toHaveLength(0);
  });
});