"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _fakePlaceholder = _interopRequireDefault(require("./fake-placeholder"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var defaultProps = {
  classes: {
    selectable: 'selectable'
  }
};

var renderComponent = function renderComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_fakePlaceholder.default, _extends({}, defaultProps, props)));
};

describe('<FakePlaceholder />', function () {
  test('has class input__placeholder', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('input__placeholder')).toBe(true);
  });
  test('has class selectable when selectable is true', function () {
    var wrapper = renderComponent({
      selectable: true
    });
    expect(wrapper.hasClass('selectable')).toBe(true);
  });
  test('renders placeholder when set', function () {
    var placeholder = 'test321';
    var wrapper = renderComponent({
      placeholder: placeholder
    });
    expect(wrapper.text()).toBe(placeholder);
  });
  test('renders label if placeholder is not set', function () {
    var label = 'test321';
    var wrapper = renderComponent({
      label: label
    });
    expect(wrapper.text()).toBe(label);
  });
});