"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.styles = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = function styles(theme) {
  var palette = theme.palette;
  return {
    'help-text': _objectSpread({
      display: 'block',
      width: '100%',
      textAlign: 'right',
      bottom: '-16px',
      color: palette.gray0
    }, theme.typography.tertiary()),
    success: {
      color: palette.positive
    },
    warning: {
      color: palette.negative
    },
    error: {
      color: palette.negative
    }
  };
};

exports.styles = styles;

function HelpText(_ref) {
  var _classNames;

  var classes = _ref.classes,
      children = _ref.children,
      hasSuccess = _ref.hasSuccess,
      hasWarning = _ref.hasWarning,
      hasError = _ref.hasError,
      isCheckbox = _ref.isCheckbox,
      isRadio = _ref.isRadio;
  var className = (0, _classnames.default)(['help-text', classes['help-text']], (_classNames = {}, _defineProperty(_classNames, classes.success, hasSuccess), _defineProperty(_classNames, classes.warning, hasWarning), _defineProperty(_classNames, classes.error, hasError), _defineProperty(_classNames, 'help-text--checkbox-radio', isCheckbox || isRadio), _classNames));

  if (children) {
    return _react.default.createElement("span", {
      className: className
    }, children);
  }

  return null;
}

HelpText.propTypes = {
  classes: _propTypes.default.object.isRequired,
  children: _propTypes.default.node,
  hasSuccess: _propTypes.default.bool,
  hasWarning: _propTypes.default.bool,
  hasError: _propTypes.default.bool,
  isCheckbox: _propTypes.default.bool,
  isRadio: _propTypes.default.bool
};
var Component = HelpText;
exports.Component = Component;

var _default = (0, _reactJss.default)(styles, {
  injectTheme: true
})(HelpText);

exports.default = _default;