"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _helpText = require("./help-text");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var classes = (0, _.mockClasses)(_helpText.styles);
var defaultProps = {
  classes: classes,
  theme: _.theme,
  children: 'HELP'
};

var renderComponent = function renderComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_helpText.Component, _extends({}, defaultProps, props)));
};

describe('<HelpText />', function () {
  test('has class help-text', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('help-text')).toBe(true);
  });
  test('has class classes[help-text]', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('help-text')).toBe(true);
  });
  test('has class classes.success when hasSuccess is set', function () {
    var wrapper = renderComponent({
      hasSuccess: true
    });
    expect(wrapper.hasClass(classes.success)).toBe(true);
  });
  test('has class classes.warning when hasWarning is set', function () {
    var wrapper = renderComponent({
      hasWarning: true
    });
    expect(wrapper.hasClass(classes.warning)).toBe(true);
  });
  test('has class classes.error when hasError is set', function () {
    var wrapper = renderComponent({
      hasError: true
    });
    expect(wrapper.hasClass(classes.error)).toBe(true);
  });
  test('has class help-text--checkbox-radio when isCheckbox is set', function () {
    var wrapper = renderComponent({
      isCheckbox: true
    });
    expect(wrapper.hasClass('help-text--checkbox-radio')).toBe(true);
  });
  test('has class help-text--checkbox-radio when isRadio is set', function () {
    var wrapper = renderComponent({
      isRadio: true
    });
    expect(wrapper.hasClass('help-text--checkbox-radio')).toBe(true);
  });
  test('renders nothing if there are no children', function () {
    var wrapper = renderComponent({
      children: undefined
    });
    expect(wrapper.type()).toBeNull();
  });
});