"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _inputCheckboxRadioStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = require("lodash");

var _checkbox = _interopRequireDefault(require("./checkbox"));

var _radio = _interopRequireDefault(require("./radio"));

var _inputCheckboxRadioStyles = _interopRequireDefault(require("./input-checkbox-radio-styles"));

var _helpText = _interopRequireDefault(require("./help-text"));

var _omit = _interopRequireDefault(require("../../utilities/omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var InputCheckboxRadio = function (_React$PureComponent) {
  _inherits(InputCheckboxRadio, _React$PureComponent);

  function InputCheckboxRadio(props, context) {
    var _this;

    _classCallCheck(this, InputCheckboxRadio);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(InputCheckboxRadio).call(this, props, context));
    _this.state = {
      checked: props.checked,
      disabled: props.disabled,
      hasSuccess: !!props.hasSuccess,
      hasWarning: !!props.hasWarning,
      hasError: !!props.hasError
    };
    _this.onChange = _this.onChange.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(InputCheckboxRadio, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      this.setState({
        checked: nextProps.checked ? nextProps.checked : false,
        disabled: nextProps.disabled ? nextProps.disabled : false,
        hasSuccess: !!nextProps.hasSuccess,
        hasWarning: !!nextProps.hasWarning,
        hasError: !!nextProps.hasError
      });
    }
  }, {
    key: "onChange",
    value: function onChange(event) {
      this.setState({
        checked: event.target.checked
      });

      if (this.props.onChange) {
        this.props.onChange(event);
      }
    }
  }, {
    key: "renderHelpText",
    value: function renderHelpText() {
      var props = {
        hasSuccess: this.state.hasSuccess,
        hasWarning: this.state.hasWarning,
        hasError: this.state.hasError,
        isCheckbox: this.props.type === 'checkbox',
        isRadio: this.props.type === 'radio'
      };

      if (!this.props.helpText) {
        return null;
      }

      return _react.default.createElement(_helpText.default, props, this.props.helpText);
    }
  }, {
    key: "renderFakeInput",
    value: function renderFakeInput() {
      switch (this.props.type) {
        case 'checkbox':
          return _react.default.createElement(_checkbox.default, this.state);

        case 'radio':
          return _react.default.createElement(_radio.default, this.state);

        default:
          return null;
      }
    }
  }, {
    key: "renderInput",
    value: function renderInput() {
      return _react.default.createElement("div", {
        className: "input-checkbox-radio__element"
      }, _react.default.createElement("input", _extends({}, (0, _omit.default)(this.props, 'hasSuccess', 'hasError', 'isCheckbox', 'isRadio', 'helpText', 'sheet', 'classes', 'theme', 'variant'), {
        type: this.props.type,
        checked: this.state.checked,
        disabled: this.state.disabled,
        value: this.props.value,
        onChange: this.onChange,
        "aria-labelledby": "".concat((0, _lodash.kebabCase)(this.props.label), "-label")
      })), this.renderFakeInput());
    }
  }, {
    key: "renderLabel",
    value: function renderLabel() {
      if (!this.props.label) return null;
      return _react.default.createElement("span", {
        id: "".concat((0, _lodash.kebabCase)(this.props.label), "-label"),
        className: "input-checkbox-radio__label"
      }, this.props.label);
    }
  }, {
    key: "render",
    value: function render() {
      var classes = this.props.classes;
      var className = (0, _classnames.default)(classes['input-checkbox-radio'], {
        'input-checkbox-radio--has-success': this.state.hasSuccess,
        'input-checkbox-radio--has-error': this.state.hasError,
        'input-checkbox-radio--is-disabled': this.state.disabled
      }, this.props.className);
      return _react.default.createElement("span", null, _react.default.createElement("label", {
        className: className
      }, this.renderInput(), this.renderLabel()), this.renderHelpText());
    }
  }]);

  return InputCheckboxRadio;
}(_react.default.PureComponent);

exports.Component = InputCheckboxRadio;
InputCheckboxRadio.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  type: _propTypes.default.string,
  checked: _propTypes.default.bool,
  disabled: _propTypes.default.bool,
  value: _propTypes.default.string,
  label: _propTypes.default.node,
  onChange: _propTypes.default.func,
  hasSuccess: _propTypes.default.bool,
  hasError: _propTypes.default.bool,
  hasWarning: _propTypes.default.bool,
  helpText: _propTypes.default.node
};
InputCheckboxRadio.defaultProps = {
  checked: false,
  disabled: false
};

var _default = (0, _reactJss.default)(_inputCheckboxRadioStyles.default, {
  injectTheme: true
})(InputCheckboxRadio);

exports.default = _default;