"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _inputDefault = require("./input-default");

var _ = require("../..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var classes = (0, _.mockClasses)(_inputDefault.styles);
var defaultProps = {
  classes: classes,
  theme: _.theme
};

var renderComponent = function renderComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_inputDefault.Component, _extends({}, defaultProps, props)));
};

describe('<InputDefault />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = renderComponent();
  });
  afterEach(function () {
    wrapper = null;
  });
  test('has class input', function () {
    expect(wrapper.hasClass('input')).toBe(true);
  });
  test('adds value class when there is a value', function () {
    var nonEmtpyValues = ['a string', false, 7, [3], {
      someProp: 'a value'
    }];
    nonEmtpyValues.forEach(function (v) {
      wrapper = renderComponent({
        value: v
      });
      wrapper.setProps({
        value: v
      });
      expect(wrapper.hasClass('input--has-value')).toBe(true);
    });
  });
  test('does not add a value class when value is empty', function () {
    var emtpyValues = [undefined, null, '', [], {}];
    emtpyValues.forEach(function (v) {
      wrapper.setProps({
        value: v
      });
      expect(wrapper.hasClass('input--has-value')).toBe(false);
    });
  });
});