"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _inputSelectStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = require("lodash");

var _chevronUp = _interopRequireDefault(require("../icon/icons/chevronUp"));

var _chevronDown = _interopRequireDefault(require("../icon/icons/chevronDown"));

var _inputSelectStyles = _interopRequireDefault(require("./input-select-styles"));

var _omit = _interopRequireDefault(require("../../utilities/omit"));

var _utils = require("./utils");

var _inputAddon = _interopRequireDefault(require("./input-addon"));

var _label = _interopRequireDefault(require("./label"));

var _helpText = _interopRequireDefault(require("./help-text"));

var _fakePlaceholder = _interopRequireDefault(require("./fake-placeholder"));

var _selectOption = _interopRequireDefault(require("./select-option"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var InputSelect = function (_React$Component) {
  _inherits(InputSelect, _React$Component);

  function InputSelect(props) {
    var _this;

    _classCallCheck(this, InputSelect);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(InputSelect).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "onFocus", function (event) {
      _this.setState({
        hasFocus: true
      });

      if (_this.props.onFocus) {
        _this.props.onFocus(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onBlur", function (event) {
      _this.setState({
        hasFocus: false
      });

      if (_this.props.onBlur) {
        _this.props.onBlur(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onChange", function (event) {
      _this.setState({
        value: event.target.value,
        hasValue: (0, _utils.hasValue)(event.target.value)
      });

      if (_this.props.onChange) {
        _this.props.onChange(event);
      }
    });

    _this.state = {
      value: (0, _utils.isUndefined)(props.value) ? '' : props.value,
      hasFocus: false,
      hasSuccess: !!props.hasSuccess,
      hasWarning: !!props.hasWarning,
      hasError: !!props.hasError,
      hasAddon: !!props.rightAddon || !!props.leftAddon
    };
    _this.state.hasValue = (0, _utils.hasValue)(_this.state.value);
    return _this;
  }

  _createClass(InputSelect, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(_ref) {
      var hasSuccess = _ref.hasSuccess,
          hasWarning = _ref.hasWarning,
          hasError = _ref.hasError,
          rightAddon = _ref.rightAddon,
          leftAddon = _ref.leftAddon,
          value = _ref.value;
      this.setState(function (prevState) {
        return {
          hasSuccess: !!hasSuccess,
          hasWarning: !!hasWarning,
          hasError: !!hasError,
          hasAddon: !!rightAddon || !!leftAddon,
          hasValue: (0, _utils.hasValue)(value),
          value: (0, _utils.isUndefined)(value) ? prevState.value : value
        };
      });
    }
  }, {
    key: "getSelectedOption",
    value: function getSelectedOption() {
      var _this2 = this;

      return this.props.options.reduce(function (prev, opt) {
        return [].concat(_toConsumableArray(prev), _toConsumableArray(opt.options ? opt.options : [opt]));
      }, []).find(function (opt) {
        return "".concat(opt.value) === "".concat(_this2.state.value);
      });
    }
  }, {
    key: "getTitle",
    value: function getTitle() {
      if (this.state.value) {
        var option = this.getSelectedOption();

        if (option && option.label) {
          return option.label;
        }
      }

      return this.props.placeholder || this.props.label;
    }
  }, {
    key: "showValue",
    value: function showValue() {
      var _this$state = this.state,
          value = _this$state.value,
          hasFocus = _this$state.hasFocus;
      var hasStringValue = typeof value === 'string' && value.length;
      var isObject = _typeof(value) === 'object';
      var isNumber = typeof value === 'number';

      if (hasFocus || hasStringValue || isNumber || isObject) {
        return true;
      }

      return false;
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          theme = _this$props.theme,
          classes = _this$props.classes,
          helpText = _this$props.helpText,
          id = _this$props.id,
          label = _this$props.label,
          style = _this$props.style,
          className = _this$props.className,
          placeholder = _this$props.placeholder,
          leftAddon = _this$props.leftAddon,
          rightAddon = _this$props.rightAddon,
          variant = _this$props.variant,
          type = _this$props.type,
          disabled = _this$props.disabled,
          selectablePlaceholder = _this$props.selectablePlaceholder,
          options = _this$props.options;
      var _this$state2 = this.state,
          hasSuccess = _this$state2.hasSuccess,
          hasWarning = _this$state2.hasWarning,
          hasError = _this$state2.hasError,
          hasFocus = _this$state2.hasFocus,
          stateHasValue = _this$state2.hasValue,
          hasAddon = _this$state2.hasAddon,
          value = _this$state2.value;
      var title = this.getTitle();
      var selectedOption = this.getSelectedOption();
      var rootClassName = (0, _classnames.default)(['input', classes.input], {
        'input--has-focus': hasFocus,
        'input--has-value': stateHasValue,
        'input--has-addon': hasAddon,
        'input--has-success': hasSuccess,
        'input--has-warning': hasWarning,
        'input--has-error': hasError,
        'input--is-disabled': disabled
      }, "input--".concat((0, _lodash.kebabCase)(type)), classes[variant], className);
      var selectProps = (0, _omit.default)(this.props, 'hasSuccess', 'hasWarning', 'hasError', 'helpText', 'leftAddon', 'rightAddon', 'classes', 'theme', 'sheet', 'options', 'variant', 'selectablePlaceholder');
      var helpTextModifiers = {
        hasSuccess: hasSuccess,
        hasWarning: hasWarning,
        hasError: hasError
      };
      var SelectArrow = hasFocus ? _chevronUp.default : _chevronDown.default;
      var elementId = id || (0, _lodash.kebabCase)(label);
      return _react.default.createElement("div", {
        className: rootClassName,
        style: style
      }, _react.default.createElement("div", {
        className: "input__field"
      }, _react.default.createElement(_inputAddon.default, {
        content: leftAddon,
        position: "left"
      }), _react.default.createElement("div", {
        className: (0, _classnames.default)([classes['select-wrapper']], 'input__element-wrapper'),
        title: title
      }, _react.default.createElement("select", _extends({}, selectProps, {
        id: elementId,
        className: "input__element input__element--select",
        onFocus: this.onFocus,
        onBlur: this.onBlur,
        onChange: this.onChange,
        placeholder: placeholder,
        value: value,
        label: label,
        type: type
      }), placeholder && _react.default.createElement("option", {
        value: "",
        disabled: !selectablePlaceholder
      }, placeholder), options.map(function (option, index) {
        return _react.default.createElement(_selectOption.default, _extends({
          optionKey: option.key,
          key: option.key || option.value || "".concat((0, _lodash.kebabCase)(option.label), "-").concat(index)
        }, option));
      })), stateHasValue ? null : _react.default.createElement(_fakePlaceholder.default, {
        placeholder: placeholder,
        label: label,
        classes: classes,
        selectable: selectablePlaceholder
      }), this.showValue() && selectedOption && _react.default.createElement("span", {
        className: "input__value-label"
      }, selectedOption.label), _react.default.createElement(SelectArrow, {
        className: "input__select-arrow",
        stroke: theme.palette.cta
      })), _react.default.createElement(_label.default, {
        id: elementId,
        label: label,
        placeholder: placeholder,
        hasFocus: hasFocus,
        hasValue: stateHasValue
      }), _react.default.createElement(_inputAddon.default, {
        content: rightAddon,
        position: "right"
      })), _react.default.createElement(_helpText.default, helpTextModifiers, helpText));
    }
  }]);

  return InputSelect;
}(_react.default.Component);

exports.Component = InputSelect;
InputSelect.propTypes = {
  classes: _propTypes.default.object.isRequired,
  theme: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  style: _propTypes.default.object,
  options: _propTypes.default.arrayOf(_propTypes.default.shape({
    label: _propTypes.default.string.isRequired,
    key: _propTypes.default.string,
    value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.object]),
    options: _propTypes.default.arrayOf(_propTypes.default.shape({
      label: _propTypes.default.string.isRequired,
      key: _propTypes.default.string,
      value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.object]).isRequired
    }))
  })),
  variant: _propTypes.default.oneOf(['primary', 'secondary']),
  selectablePlaceholder: _propTypes.default.bool,
  type: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  label: _propTypes.default.node,
  placeholder: _propTypes.default.string,
  id: _propTypes.default.string,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.bool, _propTypes.default.array, _propTypes.default.object]),
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  onChange: _propTypes.default.func,
  hasSuccess: _propTypes.default.bool,
  hasError: _propTypes.default.bool,
  hasWarning: _propTypes.default.bool,
  helpText: _propTypes.default.node,
  leftAddon: _propTypes.default.node,
  rightAddon: _propTypes.default.node
};
InputSelect.defaultProps = {
  options: [{
    label: '',
    value: ''
  }],
  variant: 'primary',
  type: 'select',
  selectablePlaceholder: false
};

var _default = (0, _reactJss.default)(_inputSelectStyles.default, {
  injectTheme: true
})(InputSelect);

exports.default = _default;