"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Component = Input;
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _inputDefault = _interopRequireDefault(require("./input-default"));

var _inputSelect = _interopRequireDefault(require("./input-select"));

var _inputCheckboxRadio = _interopRequireDefault(require("./input-checkbox-radio"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Input(props) {
  switch (props.type) {
    case 'select':
      return _react.default.createElement(_inputSelect.default, props);

    case 'checkbox':
    case 'radio':
      return _react.default.createElement(_inputCheckboxRadio.default, props);

    default:
      return _react.default.createElement(_inputDefault.default, props);
  }
}

Input.propTypes = {
  className: _propTypes.default.string,
  style: _propTypes.default.object,
  type: _propTypes.default.string,
  variant: _propTypes.default.oneOf(['primary', 'secondary']),
  disabled: _propTypes.default.bool,
  label: _propTypes.default.node,
  placeholder: _propTypes.default.string,
  id: _propTypes.default.string,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.bool, _propTypes.default.array, _propTypes.default.object]),
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  onChange: _propTypes.default.func,
  lineCount: _propTypes.default.number,
  selectablePlaceholder: _propTypes.default.bool,
  valueFormatter: _propTypes.default.func,
  hasSuccess: _propTypes.default.bool,
  hasError: _propTypes.default.bool,
  hasWarning: _propTypes.default.bool,
  helpText: _propTypes.default.node,
  leftAddon: _propTypes.default.node,
  rightAddon: _propTypes.default.node
};
Input.defaultProps = {
  type: 'text',
  variant: 'primary'
};
var _default = Input;
exports.default = _default;