"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var NativeInput = function NativeInput(_ref) {
  var id = _ref.id,
      value = _ref.value,
      placeholder = _ref.placeholder,
      label = _ref.label,
      type = _ref.type,
      onFocus = _ref.onFocus,
      onBlur = _ref.onBlur,
      onChange = _ref.onChange,
      className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["id", "value", "placeholder", "label", "type", "onFocus", "onBlur", "onChange", "className"]);

  var Tag = type === 'textarea' ? 'textarea' : 'input';
  return _react.default.createElement(Tag, _extends({
    className: (0, _classnames.default)('input__element', "input__element--".concat(type), className),
    id: id,
    type: type,
    placeholder: placeholder || label,
    onFocus: onFocus,
    onBlur: onBlur,
    onChange: onChange,
    value: value
  }, rest));
};

NativeInput.propTypes = {
  className: _propTypes.default.string,
  id: _propTypes.default.string,
  type: _propTypes.default.string.isRequired,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.bool, _propTypes.default.array, _propTypes.default.object]),
  placeholder: _propTypes.default.string,
  label: _propTypes.default.string,
  onFocus: _propTypes.default.func.isRequired,
  onBlur: _propTypes.default.func.isRequired,
  onChange: _propTypes.default.func.isRequired
};
var _default = NativeInput;
exports.default = _default;