"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _radio = _interopRequireDefault(require("./radio"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var renderComponent = function renderComponent(props) {
  return (0, _enzyme.shallow)(_react.default.createElement(_radio.default, props));
};

describe('<Radio />', function () {
  test('has class radio', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('radio')).toBe(true);
  });
  test('has class radio--is-checked when checked is true', function () {
    var wrapper = renderComponent({
      checked: true
    });
    expect(wrapper.hasClass('radio--is-checked')).toBe(true);
  });
  test('has class radio--is-disabled when disabled is true', function () {
    var wrapper = renderComponent({
      disabled: true
    });
    expect(wrapper.hasClass('radio--is-disabled')).toBe(true);
  });
});