"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _lodash = require("lodash");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SelectOption = function SelectOption(_ref) {
  var label = _ref.label,
      value = _ref.value,
      optionKey = _ref.optionKey,
      options = _ref.options,
      rest = _objectWithoutProperties(_ref, ["label", "value", "optionKey", "options"]);

  if (options) {
    var key = optionKey || (0, _lodash.kebabCase)(label);
    return _react.default.createElement("optgroup", _extends({}, rest, {
      key: key,
      label: label
    }), options.map(function (option) {
      return _react.default.createElement(SelectOption, _extends({
        key: option.key || (0, _lodash.kebabCase)(option.label)
      }, option));
    }));
  }

  return _react.default.createElement("option", _extends({}, rest, {
    value: value
  }), label);
};

SelectOption.propTypes = {
  label: _propTypes.default.string.isRequired,
  optionKey: _propTypes.default.string,
  value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.object]),
  options: _propTypes.default.arrayOf(_propTypes.default.shape({
    label: _propTypes.default.string.isRequired,
    key: _propTypes.default.string,
    value: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number, _propTypes.default.object]).isRequired
  }))
};
var _default = SelectOption;
exports.default = _default;