"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Component = exports.styles = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _ = require("../..");

var _omit = _interopRequireDefault(require("../../utilities/omit"));

var _deprecate = require("../deprecate");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = function styles(theme) {
  var _backgroundCircle, _badge, _icon, _exclamationPoint, _subText;

  var palette = theme.palette,
      typography = theme.typography,
      mixins = theme.mixins;
  return {
    sm: {},
    md: {},
    backgroundCircle: (_backgroundCircle = {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      borderRadius: '50%',
      backgroundColor: palette.gray6,
      height: 45,
      width: 45
    }, _defineProperty(_backgroundCircle, mixins.media('md'), {
      height: 70,
      width: 70
    }), _defineProperty(_backgroundCircle, '&$sm', {
      height: 45,
      width: 45
    }), _defineProperty(_backgroundCircle, '&$md', {
      height: 70,
      width: 70
    }), _backgroundCircle),
    wrapper: _objectSpread({}, typography.primary(), mixins.basicBoxSizing, {
      display: 'flex',
      flexDirection: function flexDirection(_ref) {
        var subTextPlacement = _ref.subTextPlacement;
        return subTextPlacement === 'below' ? 'column' : 'row';
      },
      alignItems: 'center'
    }),
    badgeWrapper: {
      display: 'flex',
      position: 'relative',
      alignSelf: 'center',
      justifyContent: 'center'
    },
    badge: (_badge = {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      width: 39,
      height: 39
    }, _defineProperty(_badge, mixins.media('md'), {
      width: 55,
      height: 55
    }), _defineProperty(_badge, '$sm &', {
      width: 35,
      height: 35
    }), _defineProperty(_badge, '$md &', {
      width: 55,
      height: 55
    }), _badge),
    hexagon: {
      color: function color(_ref2) {
        var qualified = _ref2.qualified,
            _ref2$qualifiedColor = _ref2.qualifiedColor,
            qualifiedColor = _ref2$qualifiedColor === void 0 ? palette.positive : _ref2$qualifiedColor,
            _ref2$unqualifiedColo = _ref2.unqualifiedColor,
            unqualifiedColor = _ref2$unqualifiedColo === void 0 ? palette.negative : _ref2$unqualifiedColo;
        return qualified ? qualifiedColor : unqualifiedColor;
      }
    },
    iconWrapper: {
      position: 'absolute',
      width: '100%',
      height: '100%',
      top: 0
    },
    icon: (_icon = {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      height: '100%',
      color: palette.white,
      '& > svg': {
        width: 15,
        height: 18
      }
    }, _defineProperty(_icon, mixins.media('md'), {
      '& > svg': {
        width: 24,
        height: 18
      }
    }), _defineProperty(_icon, '$sm &', {
      '& > svg': {
        width: 15,
        height: 18
      }
    }), _defineProperty(_icon, '$md &', {
      '& > svg': {
        width: 24,
        height: 18
      }
    }), _icon),
    exclamationPoint: (_exclamationPoint = {
      width: 22,
      height: 22,
      '& > svg': {
        width: 22,
        height: 22
      }
    }, _defineProperty(_exclamationPoint, mixins.media('md'), {
      width: 28,
      height: 34,
      '& > svg': {
        width: 28,
        height: 34
      }
    }), _defineProperty(_exclamationPoint, '$sm &', {
      width: 22,
      height: 22,
      '& > svg': {
        width: 22,
        height: 22
      }
    }), _defineProperty(_exclamationPoint, '$md &', {
      width: 28,
      height: 34,
      '& > svg': {
        width: 28,
        height: 34
      }
    }), _exclamationPoint),
    subText: (_subText = {
      color: function color(_ref3) {
        var qualified = _ref3.qualified,
            _ref3$qualifiedColor = _ref3.qualifiedColor,
            qualifiedColor = _ref3$qualifiedColor === void 0 ? palette.positive : _ref3$qualifiedColor,
            _ref3$unqualifiedColo = _ref3.unqualifiedColor,
            unqualifiedColor = _ref3$unqualifiedColo === void 0 ? palette.negative : _ref3$unqualifiedColo;
        return qualified ? qualifiedColor : unqualifiedColor;
      },
      textAlign: function textAlign(_ref4) {
        var subTextPlacement = _ref4.subTextPlacement;
        return subTextPlacement === 'below' ? 'center' : 'left';
      },
      marginLeft: function marginLeft(_ref5) {
        var subTextPlacement = _ref5.subTextPlacement;
        return subTextPlacement === 'below' ? 0 : 4;
      },
      fontSize: function fontSize(_ref6) {
        var _ref6$subTextFontSize = _ref6.subTextFontSize,
            subTextFontSize = _ref6$subTextFontSize === void 0 ? 10 : _ref6$subTextFontSize;
        return subTextFontSize;
      }
    }, _defineProperty(_subText, mixins.media('md'), {
      fontSize: function fontSize(_ref7) {
        var _ref7$subTextFontSize = _ref7.subTextFontSize,
            subTextFontSize = _ref7$subTextFontSize === void 0 ? 16 : _ref7$subTextFontSize;
        return subTextFontSize;
      }
    }), _defineProperty(_subText, '$sm &', {
      fontSize: function fontSize(_ref8) {
        var _ref8$subTextFontSize = _ref8.subTextFontSize,
            subTextFontSize = _ref8$subTextFontSize === void 0 ? 10 : _ref8$subTextFontSize;
        return subTextFontSize;
      }
    }), _defineProperty(_subText, '$md &', {
      fontSize: function fontSize(_ref9) {
        var _ref9$subTextFontSize = _ref9.subTextFontSize,
            subTextFontSize = _ref9$subTextFontSize === void 0 ? 16 : _ref9$subTextFontSize;
        return subTextFontSize;
      }
    }), _subText)
  };
};

exports.styles = styles;

var getIconProps = function getIconProps(_ref10) {
  var strokeWidth = _ref10.strokeWidth;
  return {
    strokeWidth: strokeWidth,
    fill: 'currentColor',
    stroke: 'currentColor'
  };
};

var InstrumentBadge = function (_React$Component) {
  _inherits(InstrumentBadge, _React$Component);

  function InstrumentBadge() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, InstrumentBadge);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(InstrumentBadge)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "renderQualifyBadge", function () {
      var _this$props = _this.props,
          qualified = _this$props.qualified,
          size = _this$props.size,
          classes = _this$props.classes;
      return qualified ? _react.default.createElement(_.Icon.Checkmark, getIconProps({
        size: size,
        strokeWidth: 1
      })) : _react.default.createElement("div", {
        className: classes.exclamationPoint
      }, _react.default.createElement(_.Icon.ExclamationPoint, getIconProps({
        size: size,
        strokeWidth: 2
      })));
    });

    _defineProperty(_assertThisInitialized(_this), "renderInstrumentBadge", function () {
      var _this$props2 = _this.props,
          subText = _this$props2.subText,
          classes = _this$props2.classes;
      return _react.default.createElement("div", {
        className: classes.wrapper
      }, _react.default.createElement("div", {
        className: classes.badgeWrapper
      }, _react.default.createElement("div", {
        className: classes.iconWrapper
      }, _react.default.createElement("div", {
        className: classes.icon
      }, _this.renderQualifyBadge())), _react.default.createElement("div", {
        className: classes.badge
      }, _react.default.createElement(_.Icon.Hexagon, {
        className: classes.hexagon,
        stroke: "currentColor",
        fill: "currentColor",
        width: "100%",
        height: "100%",
        strokeWidth: 5
      }))), _react.default.createElement("span", {
        className: classes.subText
      }, subText));
    });

    return _this;
  }

  _createClass(InstrumentBadge, [{
    key: "render",
    value: function render() {
      var _this$props3 = this.props,
          tooltipContent = _this$props3.tooltipContent,
          tooltipPlacement = _this$props3.tooltipPlacement,
          showBackgroundCircle = _this$props3.showBackgroundCircle,
          size = _this$props3.size,
          className = _this$props3.className,
          classes = _this$props3.classes;
      return _react.default.createElement("div", _extends({
        className: (0, _classnames.default)(classes[size], className, _defineProperty({}, classes.backgroundCircle, showBackgroundCircle))
      }, (0, _omit.default)(this.props, 'sheet', 'classes', 'theme', 'qualified', 'subText', 'tooltipContent', 'tooltipPlacement', 'subTextPlacement', 'subTextFontSize', 'showBackgroundCircle', 'qualifiedColor', 'unqualifiedColor')), tooltipContent ? _react.default.createElement(_.Tooltip, {
        style: {
          display: 'flex',
          alignItems: 'center'
        },
        content: tooltipContent,
        placement: tooltipPlacement
      }, this.renderInstrumentBadge()) : this.renderInstrumentBadge());
    }
  }]);

  return InstrumentBadge;
}(_react.default.Component);

exports.Component = InstrumentBadge;
InstrumentBadge.propTypes = {
  tooltipContent: _propTypes.default.node,
  tooltipPlacement: _propTypes.default.oneOf(['above', 'below', 'right', 'left']),
  qualified: _propTypes.default.bool,
  subText: _propTypes.default.string,
  showBackgroundCircle: _propTypes.default.bool,
  size: _propTypes.default.string,
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  theme: _propTypes.default.object.isRequired,
  subTextPlacement: _propTypes.default.oneOf(['below', 'right']),
  subTextFontSize: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string]),
  qualifiedColor: _propTypes.default.string,
  unqualifiedColor: _propTypes.default.string
};
InstrumentBadge.defaultProps = {
  tooltipPlacement: 'above',
  qualified: false,
  subTextPlacement: 'below',
  showBackgroundCircle: false,
  size: ''
};

var _default = (0, _reactJss.default)(styles, {
  injectTheme: true
})((0, _deprecate.deprecatedComponent)('InstrumentBadge', 'See https://github.com/nordnet/nordnet-ui-kit/blob/v3.0.0/docs/migrations/v3.0.0.md for migration guide.')(InstrumentBadge));

exports.default = _default;