"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../..");

var _labeledValue = require("./labeled-value");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<LabeledValue />', function () {
  var classes = (0, _.mockClasses)(_labeledValue.styles);
  var wrapper;
  beforeEach(function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_labeledValue.Component, {
      classes: classes,
      className: "testclass",
      label: "label"
    }, "myvalue"));
  });
  test('should render a <div />', function () {
    expect(wrapper.type()).toBe('div');
  });
  test('should have class root', function () {
    expect(wrapper.hasClass(classes.root)).toBe(true);
  });
  test('should have input classname', function () {
    expect(wrapper.hasClass('testclass')).toBe(true);
  });
  test('should render input child as value', function () {
    expect(wrapper.find("span.".concat(classes.value)).childAt(0).text()).toBe('myvalue');
  });
  test('should render input label', function () {
    expect(wrapper.find("span.".concat(classes.label)).childAt(0).text()).toBe('label');
  });
  test('should have value node with md as default size', function () {
    var valueNode = wrapper.find("span.".concat(classes.value)).first();
    expect(valueNode.hasClass(classes['value-md'])).toBe(true);
  });
  ['xs', 'sm', 'md', 'lg'].forEach(function (size) {
    test("value should have class \"value-".concat(size, "\" if prop size is ").concat(size), function () {
      wrapper.setProps({
        size: size
      });
      var valueNode = wrapper.find("span.".concat(classes.value)).first();
      expect(valueNode.hasClass(classes["value-".concat(size)])).toBe(true);
    });
  });
});