"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Component = Li;
exports.default = exports.styles = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = function styles(theme) {
  return {
    li: _objectSpread({}, theme.mixins.basicBoxSizing, {
      listStyle: 'none',
      borderBottom: "1px solid ".concat(theme.palette.gray6),
      margin: 0,
      '&:last-child': {
        borderBottom: 0
      },
      color: theme.palette.gray0
    })
  };
};

exports.styles = styles;

function Li(_ref) {
  var classes = _ref.classes,
      children = _ref.children,
      style = _ref.style,
      className = _ref.className,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "children", "style", "className", "theme", "sheet"]);

  return _react.default.createElement("li", _extends({}, rest, {
    className: (0, _classnames.default)('ul', className, classes.li),
    style: style
  }), children);
}

Li.propTypes = {
  classes: _propTypes.default.object.isRequired,
  children: _propTypes.default.node,
  style: _propTypes.default.object,
  className: _propTypes.default.string
};

var _default = (0, _reactJss.default)(styles, {
  injectTheme: true
})(Li);

exports.default = _default;