"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _logo = _interopRequireDefault(require("./logo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Logo />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_logo.default, null));
  });
  test('should render a NordnetLogo', function () {
    expect(wrapper.find('NordnetLogo')).toHaveLength(1);
  });
  test('should have a default height', function () {
    expect(wrapper.prop('height')).toBe(27);
  });
  test('should be possible to customize the height', function () {
    var customHeight = 200;
    var newElement = (0, _enzyme.shallow)(_react.default.createElement(_logo.default, {
      height: customHeight
    }));
    expect(newElement.prop('height')).toBe(customHeight);
  });
  test('should be possible to get just the icon and not the text', function () {
    var newElement = (0, _enzyme.shallow)(_react.default.createElement(_logo.default, {
      onlyIcon: true
    }));
    expect(newElement.prop('viewBox')).toBe('0 0 64 64');
  });
});