"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var getElementType = function getElementType(url, disabled) {
  if (disabled) {
    return 'button';
  }

  return url ? 'a' : 'button';
};

var getButtonProps = function getButtonProps(url, disabled) {
  if (disabled) {
    return {
      type: 'button',
      disabled: disabled
    };
  }

  if (url) {
    return {
      href: url
    };
  }

  return {
    type: 'button'
  };
};

var ButtonNode = function ButtonNode(_ref) {
  var node = _ref.node,
      defaultProps = _ref.defaultProps,
      getNode = _ref.getNode,
      children = _ref.children,
      url = _ref.url,
      disabled = _ref.disabled;

  if (getNode && !disabled) {
    return getNode(url, children, _objectSpread({}, defaultProps));
  }

  var Default = node || getElementType(url, disabled);
  var buttonProps = getButtonProps(url, disabled);

  var combinedProps = _objectSpread({}, defaultProps, buttonProps);

  return _react.default.createElement(Default, combinedProps, children);
};

ButtonNode.propTypes = {
  children: _propTypes.default.node.isRequired,
  disabled: _propTypes.default.bool.isRequired,
  url: _propTypes.default.string,
  node: _propTypes.default.func,
  getNode: _propTypes.default.func,
  defaultProps: _propTypes.default.object
};
ButtonNode.defaultProps = {
  url: null,
  node: null,
  getNode: null,
  defaultProps: {}
};
var _default = ButtonNode;
exports.default = _default;