"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../../..");

var _2 = _interopRequireDefault(require("."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

describe('<ButtonNode />', function () {
  var defaultProps = {
    disabled: false,
    url: null,
    getNode: null,
    defaultNode: null,
    defaultProps: {}
  };

  var shallowComponent = function shallowComponent(customProps) {
    return (0, _enzyme.shallow)(_react.default.createElement(_2.default, _extends({}, defaultProps, customProps)));
  };

  test('should render a default button', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find('button').props().type).toBe('button');
  });
  test('should render a default link', function () {
    var wrapper = shallowComponent({
      url: '?page=4'
    });
    expect(wrapper.find('a').props().href).toBe('?page=4');
  });
  test('should render a default button if disabled', function () {
    var wrapper = shallowComponent({
      url: '?page=4',
      disabled: true
    });
    expect(wrapper.find('button').props().disabled).toBe(true);
  });
  test('should render a default button with type prop if disabled', function () {
    var wrapper = shallowComponent({
      url: '?page=4',
      disabled: true
    });
    expect(wrapper.find('button').props().type).toBe('button');
  });
  test('should render Button component', function () {
    var wrapper = shallowComponent({
      node: _.Button
    });
    expect(wrapper.find(_.Button)).toHaveLength(1);
  });
  test('should render Button component from getNode function', function () {
    var wrapper = shallowComponent({
      defaultNode: _.Button,
      getNode: function getNode() {
        return _react.default.createElement(_.Button, null, "test");
      }
    });
    expect(wrapper.find(_.Button).childAt(0).text()).toBe('test');
  });
});