"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../../..");

var _ellipsis = require("./ellipsis");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

describe('<Ellipsis />', function () {
  var classes = (0, _.mockClasses)(_ellipsis.styles);
  var defaultProps = {
    classes: classes
  };

  var shallowComponent = function shallowComponent(customProps) {
    return (0, _enzyme.shallow)(_react.default.createElement(_ellipsis.Component, _extends({}, defaultProps, customProps)));
  };

  test('should render a li element', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find("li.".concat(classes.item))).toHaveLength(1);
  });
  test('should not render a li element with class hiddenOnDesktop', function () {
    var wrapper = shallowComponent({
      hiddenOnDesktop: false
    });
    expect(wrapper.find("li.".concat(classes.item, ".").concat(classes.hiddenOnDesktop))).toHaveLength(0);
  });
  test('should render a li element with class hiddenOnDesktop', function () {
    var wrapper = shallowComponent({
      hiddenOnDesktop: true
    });
    expect(wrapper.find("li.".concat(classes.item, ".").concat(classes.hiddenOnDesktop))).toHaveLength(1);
  });
  test('should render ...', function () {
    var wrapper = shallowComponent({
      children: 'Next'
    });
    expect(wrapper.childAt(0).text()).toBe('...');
  });
});