"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var buttonSize = 45;
var buttonBorderSize = 1;

var _default = function _default(_ref) {
  var palette = _ref.palette,
      typography = _ref.typography,
      mixins = _ref.mixins;
  return {
    item: _defineProperty({
      margin: [0, 5],
      display: 'none',
      alignItems: 'center'
    }, mixins.media('md'), {
      display: 'flex'
    }),
    itemAlwaysVisible: {
      display: 'flex'
    },
    button: _objectSpread({
      display: 'block',
      color: palette.gray0,
      backgroundColor: palette.white,
      padding: 0,
      width: buttonSize,
      height: buttonSize,
      border: "".concat(buttonBorderSize, "px solid ").concat(palette.gray4),
      borderRadius: 0,
      textAlign: 'center',
      cursor: 'pointer',
      boxSizing: 'border-box',
      outline: 'none',
      'a&': {
        textDecoration: 'none'
      },
      '&:hover': {
        background: palette.cta,
        borderColor: palette.cta,
        color: palette.white
      },
      '&:focus': {
        borderColor: palette.cta
      }
    }, typography.primary(), {
      lineHeight: "".concat(buttonSize - buttonBorderSize * 2, "px")
    }),
    buttonSelected: {
      background: palette.cta,
      borderColor: palette.cta,
      color: palette.white,
      cursor: 'inherit',
      fontWeight: typography.primary({
        weight: 'bold'
      }).fontWeight
    }
  };
};

exports.default = _default;