"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _pageStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _buttonNode = _interopRequireDefault(require("../button-node"));

var _pageStyles = _interopRequireDefault(require("./page-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Page = function (_Component) {
  _inherits(Page, _Component);

  function Page() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Page);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Page)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "onPageClick", function (e) {
      var _this$props = _this.props,
          pageNumber = _this$props.pageNumber,
          selectHandler = _this$props.selectHandler;
      selectHandler(pageNumber, 'PAGE', e);
    });

    return _this;
  }

  _createClass(Page, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          classes = _this$props2.classes,
          isSelected = _this$props2.isSelected,
          isFirst = _this$props2.isFirst,
          isLast = _this$props2.isLast,
          labelText = _this$props2.labelText,
          url = _this$props2.url,
          getNode = _this$props2.getNode,
          children = _this$props2.children;
      var pageProps = {
        className: (0, _classnames.default)(classes.button, _defineProperty({}, classes.buttonSelected, isSelected)),
        onClick: this.onPageClick,
        'aria-label': labelText
      };
      return _react.default.createElement("li", {
        className: (0, _classnames.default)(classes.item, _defineProperty({}, classes.itemAlwaysVisible, isSelected || isFirst || isLast))
      }, _react.default.createElement(_buttonNode.default, {
        getNode: getNode,
        url: url,
        disabled: isSelected,
        defaultProps: pageProps
      }, children));
    }
  }]);

  return Page;
}(_react.Component);

exports.Component = Page;
Page.propTypes = {
  classes: _propTypes.default.object.isRequired,
  isSelected: _propTypes.default.bool.isRequired,
  isFirst: _propTypes.default.bool.isRequired,
  isLast: _propTypes.default.bool.isRequired,
  selectHandler: _propTypes.default.func.isRequired,
  pageNumber: _propTypes.default.number.isRequired,
  labelText: _propTypes.default.string.isRequired,
  url: _propTypes.default.string,
  children: _propTypes.default.node.isRequired,
  getNode: _propTypes.default.func
};
Page.defaultProps = {
  url: null,
  getNode: null
};
var enhance = (0, _reactJss.default)(_pageStyles.default);

var _default = enhance(Page);

exports.default = _default;