"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _rangeStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _page = _interopRequireDefault(require("../page"));

var _ellipsis = _interopRequireDefault(require("../ellipsis"));

var _rangeStyles = _interopRequireDefault(require("./range-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Range = function (_Component) {
  _inherits(Range, _Component);

  function Range() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Range);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Range)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "renderEllipsis", function (hiddenOnDesktop, pos) {
      return _react.default.createElement(_ellipsis.default, {
        key: "ellipsis-".concat(pos),
        hiddenOnDesktop: hiddenOnDesktop || !_this.isAdvancedPagination()
      });
    });

    return _this;
  }

  _createClass(Range, [{
    key: "calcPagesToDraw",
    value: function calcPagesToDraw() {
      var _this$props = this.props,
          anchors = _this$props.anchors,
          selectedSiblings = _this$props.selectedSiblings;
      return 1 + anchors * 2 + selectedSiblings * 2;
    }
  }, {
    key: "isAdvancedPagination",
    value: function isAdvancedPagination() {
      var pagesCount = this.props.pagesCount;
      var pagesToDraw = this.calcPagesToDraw();
      return pagesCount > pagesToDraw;
    }
  }, {
    key: "renderPage",
    value: function renderPage(pageNumber) {
      var _this$props2 = this.props,
          selectHandler = _this$props2.selectHandler,
          pagesCount = _this$props2.pagesCount,
          selected = _this$props2.selected,
          pageLabelText = _this$props2.pageLabelText,
          pageLabelTextSelected = _this$props2.pageLabelTextSelected,
          urlGenerator = _this$props2.urlGenerator,
          getNode = _this$props2.getNode;
      return _react.default.createElement(_page.default, {
        key: pageNumber,
        pageNumber: pageNumber,
        selectHandler: selectHandler,
        isSelected: pageNumber === selected,
        isFirst: pageNumber === 1,
        isLast: pageNumber === pagesCount,
        labelText: pageNumber === selected ? "".concat(pageLabelTextSelected, " ").concat(pageNumber) : "".concat(pageLabelText, " ").concat(pageNumber),
        url: urlGenerator(pageNumber),
        getNode: getNode
      }, _react.default.createElement("span", null, pageNumber));
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props3 = this.props,
          classes = _this$props3.classes,
          anchors = _this$props3.anchors,
          selectedSiblings = _this$props3.selectedSiblings,
          selected = _this$props3.selected,
          pagesCount = _this$props3.pagesCount;
      var selectedPageIsOnTheLeftSide = selected - selectedSiblings <= 2;
      var selectedPageIsOnTheRightSide = selected + selectedSiblings >= pagesCount - 1;
      var pagesToDraw = this.calcPagesToDraw();
      var items = [];

      if (!this.isAdvancedPagination()) {
        for (var i = 1; i <= pagesCount; i += 1) {
          items.push(this.renderPage(i));
        }
      } else {
        for (var _i = 1; _i <= pagesCount; _i += 1) {
          var emptySpotsRemaining = pagesToDraw > items.length + 1;

          if (_i <= anchors || _i === selected || _i > pagesCount - anchors || _i >= selected - selectedSiblings && _i <= selected + selectedSiblings || selectedPageIsOnTheLeftSide && emptySpotsRemaining || selectedPageIsOnTheRightSide && emptySpotsRemaining && _i > pagesCount - pagesToDraw + emptySpotsRemaining) {
            items.push(this.renderPage(_i));
          }
        }
      }

      if (selected > 2) {
        items.splice(anchors, 0, this.renderEllipsis(selectedPageIsOnTheLeftSide, 'left'));
      }

      if (selected < pagesCount - 1) {
        items.splice(items.length - anchors, 0, this.renderEllipsis(selectedPageIsOnTheRightSide, 'right'));
      }

      return _react.default.createElement("ul", {
        className: classes.list
      }, items);
    }
  }]);

  return Range;
}(_react.Component);

exports.Component = Range;
Range.propTypes = {
  classes: _propTypes.default.object.isRequired,
  anchors: _propTypes.default.number.isRequired,
  selected: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]).isRequired,
  selectedSiblings: _propTypes.default.number.isRequired,
  pagesCount: _propTypes.default.number.isRequired,
  selectHandler: _propTypes.default.func.isRequired,
  pageLabelText: _propTypes.default.string.isRequired,
  pageLabelTextSelected: _propTypes.default.string.isRequired,
  urlGenerator: _propTypes.default.func.isRequired,
  getNode: _propTypes.default.func
};
Range.defaultProps = {
  getNode: null
};
var enhance = (0, _reactJss.default)(_rangeStyles.default);

var _default = enhance(Range);

exports.default = _default;