"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _stepperStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _ = require("../../..");

var _buttonNode = _interopRequireDefault(require("../button-node"));

var _stepperStyles = _interopRequireDefault(require("./stepper-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Stepper = function Stepper(_ref) {
  var classes = _ref.classes,
      disabled = _ref.disabled,
      clickHandler = _ref.clickHandler,
      children = _ref.children,
      url = _ref.url,
      getNode = _ref.getNode;
  var stepperProps = {
    className: classes.button,
    onClick: clickHandler,
    variant: 'link',
    modifier: 'action'
  };
  return _react.default.createElement(_buttonNode.default, {
    node: _.Button,
    getNode: getNode,
    url: url,
    disabled: disabled,
    defaultProps: stepperProps
  }, children);
};

exports.Component = Stepper;
Stepper.propTypes = {
  classes: _propTypes.default.object.isRequired,
  disabled: _propTypes.default.bool.isRequired,
  clickHandler: _propTypes.default.func.isRequired,
  children: _propTypes.default.node.isRequired,
  url: _propTypes.default.string,
  getNode: _propTypes.default.func
};
Stepper.defaultProps = {
  url: null,
  getNode: null
};
var enhance = (0, _reactJss.default)(_stepperStyles.default);

var _default = enhance(Stepper);

exports.default = _default;