"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../../..");

var _stepper = require("./stepper");

var _buttonNode = _interopRequireDefault(require("../button-node"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

describe('<Stepper />', function () {
  var classes = (0, _.mockClasses)(_stepper.styles);
  var defaultProps = {
    classes: classes,
    clickHandler: function clickHandler() {},
    disabled: false,
    url: '?page=4',
    getNode: function getNode() {}
  };

  var shallowComponent = function shallowComponent(customProps) {
    return (0, _enzyme.shallow)(_react.default.createElement(_stepper.Component, _extends({}, defaultProps, customProps)));
  };

  test('should render ButtonNode component', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(_buttonNode.default)).toHaveLength(1);
  });
  test('should have node prop as Button component', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(_buttonNode.default).props().node).toBe(_.Button);
  });
  test('should have getNode prop in ButtonNode component', function () {
    var testFunc = function testFunc() {
      return true;
    };

    var wrapper = shallowComponent({
      getNode: testFunc
    });
    expect(wrapper.find(_buttonNode.default).props().getNode).toBe(testFunc);
  });
  test('should render url prop to ButtonNode component', function () {
    var wrapper = shallowComponent({
      url: 'www.test.com'
    });
    expect(wrapper.find(_buttonNode.default).props().url).toBe('www.test.com');
  });
  test('should render disabled prop to ButtonNode component', function () {
    var wrapper = shallowComponent({
      disabled: true
    });
    expect(wrapper.find(_buttonNode.default).props().disabled).toBe(true);
  });
  test('should have variant in defaultProps', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(_buttonNode.default).props().defaultProps.variant).toBe('link');
  });
  test('should have modifier in defaultProps', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(_buttonNode.default).props().defaultProps.modifier).toBe('action');
  });
});