"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = function _default(theme) {
  var palette = theme.palette,
      mixins = theme.mixins,
      typography = theme.typography;
  return {
    pane: _objectSpread({}, mixins.basicBoxSizing, {
      background: palette.white
    }, typography.primary()),
    tabs: {
      display: 'flex',
      margin: 0,
      padding: 0,
      listStyle: 'none',
      color: palette.gray0,
      borderBottom: "1px solid ".concat(palette.gray6)
    },
    tab: {
      display: 'inline-block',
      textAlign: 'center',
      cursor: 'pointer',
      letterSpacing: 1,
      flexGrow: 1
    },
    xs: _objectSpread({
      padding: 4,
      borderBottom: '2px solid transparent'
    }, typography.tertiary()),
    sm: _objectSpread({
      padding: 6,
      borderBottom: '2px solid transparent'
    }, typography.tertiary()),
    md: _objectSpread({
      padding: 8,
      borderBottom: '2px solid transparent'
    }, typography.secondary()),
    lg: _objectSpread({
      padding: 10,
      borderBottom: '2px solid transparent'
    }, typography.primary()),
    active: {
      color: palette.gray0,
      fontWeight: typography.primary({
        weight: 'bold'
      }).fontWeight,
      borderColor: palette.cta
    }
  };
};

exports.default = _default;