"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _paneStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = require("lodash");

var _paneStyles = _interopRequireDefault(require("./pane-styles"));

var _deprecate = require("../deprecate");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Pane = function (_React$PureComponent) {
  _inherits(Pane, _React$PureComponent);

  function Pane(props, context) {
    var _this;

    _classCallCheck(this, Pane);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Pane).call(this, props, context));
    _this.state = {
      activeTab: props.activeTab
    };
    _this.handleTabClick = _this.handleTabClick.bind(_assertThisInitialized(_this));
    _this.classes = _this.props.classes;
    return _this;
  }

  _createClass(Pane, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.activeTab !== nextProps.activeTab && nextProps.activeTab !== this.state.activeTab) {
        this.setState({
          activeTab: nextProps.activeTab
        });
      }
    }
  }, {
    key: "handleTabClick",
    value: function handleTabClick(index) {
      this.setState({
        activeTab: index
      });
    }
  }, {
    key: "renderTabs",
    value: function renderTabs() {
      var _this2 = this;

      return _react.default.createElement("ul", {
        className: this.classes.tabs
      }, this.props.tabs.map(function (tab, index) {
        return _react.default.createElement("li", {
          key: "".concat((0, _lodash.kebabCase)(tab.label), "_").concat(index),
          className: (0, _classnames.default)(_this2.classes.tab, _this2.classes[_this2.props.size], _defineProperty({}, _this2.classes.active, _this2.state.activeTab === index)),
          onClick: function onClick() {
            return _this2.handleTabClick(index);
          }
        }, tab.label);
      }));
    }
  }, {
    key: "renderBody",
    value: function renderBody() {
      var _this3 = this;

      if (this.props.tabs && this.props.tabs.length > 0) {
        return _react.default.createElement("div", null, this.props.tabs.map(function (tab, index) {
          return _react.default.createElement("div", {
            key: "".concat((0, _lodash.kebabCase)(tab.label), "_body_").concat(index),
            style: {
              display: _this3.state.activeTab === index ? 'block' : 'none'
            }
          }, tab.body);
        }));
      }

      return null;
    }
  }, {
    key: "render",
    value: function render() {
      var className = (0, _classnames.default)(this.classes.pane, this.props.className);

      if (this.props.tabs && this.props.tabs.length > 0) {
        return _react.default.createElement("div", {
          className: className
        }, this.renderTabs(), this.renderBody());
      }

      return null;
    }
  }]);

  return Pane;
}(_react.default.PureComponent);

exports.Component = Pane;
Pane.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  activeTab: _propTypes.default.number,
  tabs: _propTypes.default.arrayOf(_propTypes.default.shape({
    label: _propTypes.default.node,
    body: _propTypes.default.node
  })),
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg'])
};
Pane.defaultProps = {
  size: 'md',
  activeTab: 0
};

var _default = (0, _reactJss.default)(_paneStyles.default)((0, _deprecate.deprecatedComponent)('Pane', 'See https://github.com/nordnet/nordnet-ui-kit/blob/v3.0.0/docs/migrations/v3.0.0.md for migration guide.')(Pane));

exports.default = _default;