"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _popupMenu.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _popupMenu = _interopRequireDefault(require("./popup-menu.styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var PopupMenuItem = function PopupMenuItem(_ref) {
  var node = _ref.node,
      children = _ref.children,
      topBorder = _ref.topBorder,
      linkTo = _ref.linkTo,
      onClick = _ref.onClick,
      onKeyDown = _ref.onKeyDown,
      listItemRef = _ref.listItemRef,
      disabled = _ref.disabled,
      classes = _ref.classes,
      onFocus = _ref.onFocus,
      className = _ref.className;
  var Element = disabled ? 'button' : node;
  var elementProps = Element === 'button' ? {
    type: 'button',
    disabled: disabled
  } : {
    to: linkTo
  };
  return _react.default.createElement("li", {
    className: (0, _classnames.default)(classes.item, className)
  }, topBorder && _react.default.createElement("hr", {
    className: classes.hr
  }), _react.default.createElement("span", {
    ref: function ref(_ref2) {
      return _ref2 && listItemRef && listItemRef(_ref2.childNodes[0]);
    }
  }, _react.default.createElement(Element, _extends({}, elementProps, {
    className: classes.link,
    onClick: onClick,
    onFocus: onFocus,
    onKeyDown: onKeyDown
  }), children)));
};

exports.Component = PopupMenuItem;
PopupMenuItem.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  node: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.func]),
  onClick: _propTypes.default.func,
  linkTo: _propTypes.default.string,
  topBorder: _propTypes.default.bool,
  children: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.string, _propTypes.default.number]),
  disabled: _propTypes.default.bool,
  onFocus: _propTypes.default.func,
  onKeyDown: _propTypes.default.func,
  listItemRef: _propTypes.default.func
};
PopupMenuItem.defaultProps = {
  onClick: function onClick() {},
  node: 'button',
  children: '',
  linkTo: '#',
  topBorder: false,
  disabled: false,
  onFocus: null,
  onKeyDown: null,
  listItemRef: null
};

var _default = (0, _reactJss.default)(_popupMenu.default)(PopupMenuItem);

exports.default = _default;