"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var triangleIndent = 15;

var _default = function _default(_ref) {
  var palette = _ref.palette,
      typography = _ref.typography,
      mixins = _ref.mixins,
      transitions = _ref.transitions;
  return {
    menuPopup: {
      position: 'absolute',
      display: 'inline-block',
      top: '100%',
      right: '50%',
      background: palette.white,
      boxShadow: '0 2px 4px 2px rgba(0, 0, 0, .1)',
      listStyle: 'none',
      padding: 15,
      marginTop: 10,
      overflow: 'hidden',
      zIndex: 1,
      transform: "translateX(".concat(triangleIndent + 20 / 2, "px)"),
      '&::before': {
        position: 'absolute',
        right: triangleIndent,
        transform: 'translateX(-3px) rotate(45deg)',
        boxShadow: '-1px -1px 1px rgba(0, 0, 0, .08)',
        display: 'block',
        content: '""',
        width: 0,
        height: 0,
        zIndex: 5,
        top: -7,
        borderLeft: "7px solid ".concat(palette.white),
        borderRight: "7px solid ".concat(palette.white),
        borderBottom: "7px solid ".concat(palette.white),
        borderTop: "7px solid ".concat(palette.white)
      }
    },
    menuContainer: {
      position: 'relative',
      display: 'flex'
    },
    menuItemContainer: _objectSpread({
      display: 'block',
      borderBottom: "1px solid ".concat(palette.gray5),
      color: palette.gray0,
      '&:last-child': {
        borderBottom: 'none'
      }
    }, typography.tertiary()),
    menuButton: {
      color: palette.gray0,
      textDecoration: 'none',
      background: 'none',
      border: 'none',
      cursor: 'pointer',
      outline: 'none'
    },
    menuSlideDown: {
      '&-enter': {
        opacity: 0.01,
        transform: 'translate(0, -5px)',
        '&-active': {
          opacity: 1,
          transform: 'translate(0, 0)',
          transitionProperty: transitions.create(['opacity', 'transform']),
          transition: 'opacity 300ms ease-in'
        }
      },
      '&-exit': {
        opacity: 1,
        '&-active': {
          opacity: 0.01,
          transitionProperty: transitions.create(['opacity']),
          transition: 'opacity 300ms ease-in'
        }
      }
    },
    menuItems: {
      listStyle: 'none',
      color: palette.gray0,
      padding: 0,
      margin: 0
    },
    item: _objectSpread({
      textDecoration: 'none'
    }, typography.secondary()),
    link: _objectSpread({}, mixins.basicBoxSizing, {
      display: 'block',
      padding: 10,
      width: '100%',
      color: palette.gray0,
      '&:hover:not([disabled])': {
        background: palette.gray7
      },
      '&:focus:not([disabled])': {
        background: palette.gray6
      },
      '&[disabled]': {
        color: palette.gray5,
        cursor: 'default',
        pointerEvents: 'none'
      },
      textDecoration: 'none',
      background: 'none',
      border: 'none',
      cursor: 'pointer',
      outline: 'none',
      textAlign: 'left'
    }, typography.secondary())
  };
};

exports.default = _default;