"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Component = ProgressBar;
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _progressBarStyles.default;
  }
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _lodash = require("lodash");

var _progressBarStyles = _interopRequireDefault(require("./progress-bar-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ProgressBar(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      variant = _ref.variant,
      size = _ref.size,
      value = _ref.value,
      max = _ref.max,
      printNumbers = _ref.printNumbers,
      highlightActive = _ref.highlightActive,
      clickables = _ref.clickables,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "className", "variant", "size", "value", "max", "printNumbers", "highlightActive", "clickables", "theme", "sheet"]);

  var getElementType = function getElementType(clickable) {
    if (clickable && clickable.href) {
      return 'a';
    }

    if (clickable && (clickable.onClick || clickable.disabled)) {
      return 'button';
    }

    return 'span';
  };

  var containerClasses = (0, _classnames.default)(classes.progressBarContainer, className);
  return _react.default.createElement("div", _extends({}, rest, {
    className: containerClasses
  }), _react.default.createElement("div", {
    "aria-hidden": clickables.length === 0 ? 'true' : 'false',
    className: (0, _classnames.default)(classes.progressBar)
  }, (0, _lodash.times)(max, function (i) {
    var _classNames;

    var Element = getElementType(clickables[i]);

    var _ref2 = clickables[i] || {},
        label = _ref2.label,
        reached = _ref2.reached,
        active = _ref2.active,
        clickablesRest = _objectWithoutProperties(_ref2, ["label", "reached", "active"]);

    var elementClassNames = (0, _classnames.default)(classes.progressStep, (_classNames = {}, _defineProperty(_classNames, classes.clickable, Element !== 'span'), _defineProperty(_classNames, classes.primary, true), _defineProperty(_classNames, classes.reached, typeof reached !== 'undefined' ? reached : i < value), _defineProperty(_classNames, classes.active, typeof active !== 'undefined' ? active : highlightActive && i === value - 1), _classNames));
    return _react.default.createElement(Element, _extends({
      key: i,
      className: elementClassNames
    }, clickablesRest), printNumbers && !label ? _react.default.createElement("span", null, i + 1) : null, label ? _react.default.createElement("span", null, label) : null);
  })), _react.default.createElement("progress", {
    value: value,
    max: max,
    className: (0, _classnames.default)(classes.ariaProgressBar)
  }));
}

ProgressBar.defaultProps = {
  variant: 'primary',
  size: 'xs',
  value: 0,
  printNumbers: false,
  highlightActive: false,
  clickables: []
};
ProgressBar.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  variant: _propTypes.default.oneOf(['primary']),
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg']),
  value: _propTypes.default.number,
  max: _propTypes.default.number.isRequired,
  printNumbers: _propTypes.default.bool,
  highlightActive: _propTypes.default.bool,
  clickables: _propTypes.default.arrayOf(_propTypes.default.object)
};

var _default = (0, _reactJss.default)(_progressBarStyles.default, {
  injectTheme: true
})(ProgressBar);

exports.default = _default;