"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _rating.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _2 = require("../..");

var _rating = _interopRequireDefault(require("./rating.styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

var Rating = function Rating(_ref) {
  var _ref$icon = _ref.icon,
      Icon = _ref$icon === void 0 ? _2.Icon.Star : _ref$icon,
      size = _ref.size,
      rating = _ref.rating,
      maxRating = _ref.maxRating,
      minRating = _ref.minRating,
      classes = _ref.classes;
  return _react.default.createElement("div", {
    className: classes.rating
  }, Number.isInteger(rating) && rating >= minRating ? _toConsumableArray(Array(maxRating)).map(function (_, index) {
    var _cn;

    var classNames = (0, _classnames.default)((_cn = {}, _defineProperty(_cn, classes.active, index < rating), _defineProperty(_cn, classes.inactive, index >= rating), _defineProperty(_cn, classes.ratingIcon, true), _cn));
    return _react.default.createElement(Icon, {
      key: index,
      className: classNames,
      fill: "currentColor",
      stroke: "currentColor",
      width: size,
      height: size
    });
  }) : '–');
};

exports.Component = Rating;
Rating.defaultProps = {
  maxRating: 5,
  minRating: 0,
  size: 16
};
Rating.propTypes = {
  rating: _propTypes.default.number.isRequired,
  maxRating: _propTypes.default.number,
  minRating: _propTypes.default.number,
  icon: _propTypes.default.func,
  size: _propTypes.default.number,
  classes: _propTypes.default.shape().isRequired
};

var _default = (0, _reactJss.default)(_rating.default)(Rating);

exports.default = _default;