"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = function _default(theme) {
  var palette = theme.palette,
      typography = theme.typography;
  return {
    root: {
      borderRadius: 0,
      display: 'inline-flex',
      '& input': {
        opacity: 0,
        position: 'absolute',
        left: 0,
        width: '100%',
        height: '100%',
        margin: 0,
        cursor: 'pointer'
      }
    },
    radio: {
      '& label': {
        '& svg': {
          paddingTop: '8px'
        },
        display: 'block'
      }
    },
    label: _objectSpread({}, typography.tertiary({
      weight: 'bold'
    }), {
      '&.primary': {
        textAlign: 'center',
        outline: 'none',
        borderTop: "2px solid ".concat(palette.gray4),
        borderBottom: "2px solid ".concat(palette.gray4),
        color: palette.gray0,
        backgroundColor: 'inherit',
        position: 'relative',
        '& + &': {
          borderLeft: "1px solid ".concat(palette.gray4)
        },
        '& label': {
          cursor: 'pointer',
          margin: '0 12px',
          lineHeight: '28px'
        }
      },
      '&.secondary': {
        textAlign: 'center',
        outline: 'none',
        color: palette.gray0,
        backgroundColor: 'inherit',
        position: 'relative',
        '& selected': {
          backgroundColor: palette.gray6
        },
        '& + &': {
          marginLeft: 27
        }
      }
    }),
    selected: {
      '&.primary': {
        backgroundColor: palette.cta,
        color: palette.white
      },
      '&.secondary': {
        color: palette.gray0,
        paddingBottom: 2,
        borderBottom: "2px solid ".concat(palette.cta)
      }
    },
    focus: {
      '&.primary': {
        boxShadow: "inset 0 0 1px 1px ".concat(palette.cta)
      }
    },
    buttonLeft: {
      '&.primary': {
        borderRadius: 0,
        borderLeft: "2px solid ".concat(palette.gray4)
      }
    },
    buttonRight: {
      '&.primary': {
        borderRadius: 0,
        borderRight: "2px solid ".concat(palette.gray4)
      }
    }
  };
};

exports.default = _default;