"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _sharevilleLogo = _interopRequireDefault(require("./shareville-logo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<SharevilleLogo />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_sharevilleLogo.default, null));
  });
  test('should render a SharevilleLogo', function () {
    expect(wrapper.find('.svLogoGradientWtClass-1')).toHaveLength(1);
  });
  test('should have a default height', function () {
    expect(wrapper.prop('height')).toBe(27);
  });
  test('should be possible to customize the height', function () {
    var customHeight = 200;
    var newElement = (0, _enzyme.shallow)(_react.default.createElement(_sharevilleLogo.default, {
      height: customHeight
    }));
    expect(newElement.prop('height')).toBe(customHeight);
  });
  test('should be possible to get just the icon and not the text', function () {
    var newElement = (0, _enzyme.shallow)(_react.default.createElement(_sharevilleLogo.default, {
      onlyIcon: true
    }));
    expect(newElement.prop('viewBox')).toBe('0 0 166.54 203.5');
  });
});