"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _ = require("../..");

var _showMoreStyles = _interopRequireDefault(require("./show-more-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ShowMore = function (_React$PureComponent) {
  _inherits(ShowMore, _React$PureComponent);

  function ShowMore() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, ShowMore);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(ShowMore)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      isOverflowing: false,
      showMoreClicked: false
    });

    _defineProperty(_assertThisInitialized(_this), "handleResize", function () {
      _this.checkIfOverflowing();
    });

    _defineProperty(_assertThisInitialized(_this), "checkIfOverflowing", function () {
      var _this$state = _this.state,
          showMoreClicked = _this$state.showMoreClicked,
          isOverflowing = _this$state.isOverflowing;

      if (!showMoreClicked) {
        var overflowing = _this.descriptionContainer.clientHeight < _this.descriptionContainer.scrollHeight;
        if (isOverflowing !== overflowing) _this.setState({
          isOverflowing: overflowing
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "handleShowMore", function () {
      var onShowMore = _this.props.onShowMore;
      onShowMore();

      _this.setState({
        showMoreClicked: true
      });
    });

    return _this;
  }

  _createClass(ShowMore, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var children = this.props.children;

      if (children) {
        this.checkIfOverflowing();
      }

      window.addEventListener('resize', this.handleResize);
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      var children = this.props.children;

      if (children !== prevProps.children) {
        this.checkIfOverflowing();
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.handleResize);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this,
          _cn;

      var _this$props = this.props,
          children = _this$props.children,
          showMoreButtonContent = _this$props.showMoreButtonContent,
          cutoffHeight = _this$props.cutoffHeight,
          className = _this$props.className,
          classes = _this$props.classes;
      var _this$state2 = this.state,
          isOverflowing = _this$state2.isOverflowing,
          showMoreClicked = _this$state2.showMoreClicked;
      var showMoreButton = isOverflowing && !showMoreClicked;
      return _react.default.createElement("div", {
        className: className
      }, _react.default.createElement("div", {
        ref: function ref(elem) {
          _this2.descriptionContainer = elem;
        },
        className: (0, _classnames.default)(classes.text, (_cn = {}, _defineProperty(_cn, classes.textShowAll, showMoreClicked), _defineProperty(_cn, classes.disableOverlay, !showMoreButton), _cn)),
        style: {
          maxHeight: showMoreClicked ? 'none' : cutoffHeight
        }
      }, children), showMoreButton ? _react.default.createElement(_.Button, {
        variant: "link",
        modifier: "action",
        onClick: this.handleShowMore,
        className: classes.button
      }, showMoreButtonContent) : null);
    }
  }]);

  return ShowMore;
}(_react.default.PureComponent);

exports.Component = ShowMore;
ShowMore.defaultProps = {
  children: null,
  className: '',
  showMoreButtonContent: 'Show more',
  cutoffHeight: 200,
  backgroundColor: '#FFFFFF',
  onShowMore: function onShowMore() {}
};
ShowMore.propTypes = {
  children: _propTypes.default.node,
  className: _propTypes.default.string,
  showMoreButtonContent: _propTypes.default.node,
  onShowMore: _propTypes.default.func,
  cutoffHeight: _propTypes.default.number,
  backgroundColor: _propTypes.default.string,
  classes: _propTypes.default.shape().isRequired
};

var _default = (0, _reactJss.default)(_showMoreStyles.default)(ShowMore);

exports.default = _default;