"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../..");

var _spinner = require("./spinner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Spinner />', function () {
  var classes = (0, _.mockClasses)(_spinner.styles);
  var wrapper;
  beforeEach(function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_spinner.Component, {
      classes: classes,
      theme: _.theme
    }));
  });
  test('should render <span> as container', function () {
    expect(wrapper.type()).toBe('span');
  });
  test("should have the class ".concat(classes.spinner), function () {
    expect(wrapper.hasClass(classes.spinner)).toBe(true);
  });
  test('should have a height of 16', function () {
    expect(wrapper.prop('style').width).toBe(16);
  });
  test('should have a width of 16', function () {
    expect(wrapper.prop('style').height).toBe(16);
  });
  describe('<Spinner size={ 100 } />', function () {
    beforeEach(function () {
      wrapper = (0, _enzyme.shallow)(_react.default.createElement(_spinner.Component, {
        classes: classes,
        theme: _.theme,
        size: 100
      }));
    });
    test('should have a height of 100', function () {
      expect(wrapper.prop('style').width).toBe(100);
    });
    test('should have a width of 10px', function () {
      expect(wrapper.prop('style').height).toBe(100);
    });
  });
  describe('<Spinner gradientStops={ 90 } />', function () {
    beforeEach(function () {
      wrapper = (0, _enzyme.shallow)(_react.default.createElement(_spinner.Component, {
        classes: classes,
        theme: _.theme,
        gradientStops: 90
      }));
    });
    test('should have 90 gradient stops in total', function () {
      expect(wrapper.find('.spinner__gradient rect')).toHaveLength(90);
    });
  });
});