"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _subsectionStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icons = _interopRequireDefault(require("../icon/icons"));

var _spinner = _interopRequireDefault(require("../spinner"));

var _subsectionStyles = _interopRequireDefault(require("./subsection-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Subsection = function (_React$Component) {
  _inherits(Subsection, _React$Component);

  function Subsection(props) {
    var _this;

    _classCallCheck(this, Subsection);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Subsection).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "toggle", function (toggled) {
      _this.setState({
        toggleActive: true
      }, function () {
        setTimeout(function () {
          return _this.setState({
            toggleActive: false,
            toggled: toggled
          });
        }, _this.state.toggleDuration);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleToggle", function () {
      if (!_this.props.loading) {
        _this.toggle(!_this.state.toggled);
      }
    });

    _this.state = {
      toggleActive: false,
      toggleDuration: _this.props.theme.transitions.duration.shorter * 1.1,
      toggled: _this.props.toggled
    };
    return _this;
  }

  _createClass(Subsection, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.toggled !== nextProps.toggled) {
        this.toggle(nextProps.toggled);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          Title = _this$props.title,
          CustomIcon = _this$props.icon,
          children = _this$props.children,
          loading = _this$props.loading,
          noSeparator = _this$props.noSeparator,
          estimatedHeight = _this$props.estimatedHeight,
          classes = _this$props.classes;
      var _this$state = this.state,
          toggled = _this$state.toggled,
          toggleActive = _this$state.toggleActive;
      return _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.root, _defineProperty({}, classes.noSeparator, noSeparator))
      }, _react.default.createElement("div", {
        className: classes.wrapper
      }, CustomIcon && _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.icon, classes.desktopOnly)
      }, _react.default.createElement(CustomIcon, null)), _react.default.createElement("div", {
        className: classes.mainSection
      }, _react.default.createElement("button", {
        className: (0, _classnames.default)(classes.title, _defineProperty({}, classes.loading, loading)),
        onClick: this.handleToggle,
        type: "button"
      }, _react.default.createElement("div", {
        className: classes.titleContent
      }, _react.default.createElement("div", {
        className: classes.titleLeft
      }, CustomIcon && _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.icon, classes.mobileOnly)
      }, _react.default.createElement(CustomIcon, null)), _react.default.createElement(Title, null)), _react.default.createElement("div", {
        className: classes.titleRight
      }, loading && _react.default.createElement(_spinner.default, null), !loading && _react.default.createElement("div", {
        className: (0, _classnames.default)(classes.chevron, classes.mobileOnly)
      }, toggled ? _react.default.createElement(_icons.default.ChevronUp, null) : _react.default.createElement(_icons.default.ChevronDown, null))))), _react.default.createElement("div", {
        style: toggleActive ? {
          maxHeight: estimatedHeight,
          overflow: 'hidden'
        } : {},
        className: (0, _classnames.default)(classes.children, _defineProperty({}, classes.toggled, toggled))
      }, children))));
    }
  }]);

  return Subsection;
}(_react.default.Component);

exports.Component = Subsection;
Subsection.propTypes = {
  title: _propTypes.default.func.isRequired,
  icon: _propTypes.default.func,
  toggled: _propTypes.default.bool,
  loading: _propTypes.default.bool,
  estimatedHeight: _propTypes.default.number,
  noSeparator: _propTypes.default.bool,
  children: _propTypes.default.node,
  classes: _propTypes.default.object.isRequired,
  theme: _propTypes.default.object.isRequired
};
Subsection.defaultProps = {
  icon: null,
  toggled: false,
  loading: false,
  estimatedHeight: 100,
  noSeparator: false,
  children: null
};
var enhance = (0, _reactJss.default)(_subsectionStyles.default, {
  injectTheme: true
});

var _default = enhance(Subsection);

exports.default = _default;