"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = require("../../..");

var _tableCell = require("./table-cell");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<TableCell />', function () {
  var classes = (0, _.mockClasses)(_tableCell.styles);
  var wrapper;
  beforeEach(function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_tableCell.Component, {
      tagName: "td",
      classes: classes
    }));
  });
  test('should render a <td />', function () {
    expect(wrapper.type()).toBe('td');
  });
  test("should render a component with the ".concat(classes.td, " class"), function () {
    expect(wrapper.hasClass(classes.td)).toBe(true);
  });
  test('should render a component with ellipsis class by default', function () {
    expect(wrapper.find('div.ellipsis')).toHaveLength(1);
  });
  test('should not render a component with td--ellipsis, when ellipsis have false input', function () {
    wrapper = (0, _enzyme.shallow)(_react.default.createElement(_tableCell.Component, {
      tagName: "td",
      classes: classes,
      ellipsis: false
    }));
    expect(wrapper.find('div.ellipsis')).toHaveLength(0);
  });
});