"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _tableStyles = _interopRequireDefault(require("./table-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Table(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      children = _ref.children,
      size = _ref.size,
      minWidth = _ref.minWidth,
      style = _ref.style,
      tableLayoutFixed = _ref.tableLayoutFixed,
      maxHeight = _ref.maxHeight,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "className", "children", "size", "minWidth", "style", "tableLayoutFixed", "maxHeight", "theme", "sheet"]);

  var usedClassName = (0, _classnames.default)(classes.table, size, _defineProperty({}, classes.tableLayoutFixed, tableLayoutFixed), className);
  var rootStyle = Object.assign(maxHeight ? {
    maxHeight: maxHeight,
    overflowY: 'scroll'
  } : {});
  return _react.default.createElement("div", {
    className: classes.root,
    style: rootStyle
  }, _react.default.createElement("table", _extends({}, rest, {
    style: style,
    className: usedClassName
  }), children));
}

Table.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg']),
  minWidth: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string]),
  style: _propTypes.default.object,
  tableLayoutFixed: _propTypes.default.bool,
  maxHeight: _propTypes.default.number
};
Table.defaultProps = {
  size: 'sm',
  minWidth: 700,
  tableLayoutFixed: false,
  maxHeight: null
};

var _default = (0, _reactJss.default)(_tableStyles.default, {
  injectTheme: true
})(Table);

exports.default = _default;