"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _tfootStyles = _interopRequireDefault(require("./tfoot-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Tfoot(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      children = _ref.children,
      size = _ref.size,
      hiddenOnMobile = _ref.hiddenOnMobile,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "className", "children", "size", "hiddenOnMobile", "theme", "sheet"]);

  var usedClassName = (0, _classnames.default)(classes.tfoot, size, _defineProperty({}, classes.hiddenOnMobile, hiddenOnMobile), className);
  return _react.default.createElement("tfoot", _extends({}, rest, {
    className: usedClassName
  }), children);
}

Tfoot.defaultProps = {
  hiddenOnMobile: false
};
Tfoot.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  size: _propTypes.default.oneOf(['xs', 'sm', 'md', 'lg']),
  hiddenOnMobile: _propTypes.default.bool
};

var _default = (0, _reactJss.default)(_tfootStyles.default, {
  injectTheme: true
})(Tfoot);

exports.default = _default;