"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stickyOffset = exports.default = void 0;

var _styleUtilities = _interopRequireDefault(require("../style-utilities"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var normal = function normal(theme) {
  var mixins = theme.mixins,
      typography = theme.typography,
      palette = theme.palette;
  return {
    tr: _objectSpread({}, mixins.basicBoxSizing, _styleUtilities.default.sizes({
      typography: typography
    }), _defineProperty({
      borderCollapse: 'collapse',
      flexWrap: 'wrap',
      overflow: 'hidden'
    }, mixins.maxMedia('md'), {
      display: 'flex',
      flexFlow: 'row wrap'
    })),
    border: {
      borderStyle: 'solid',
      borderWidth: 1,
      borderColor: palette.gray5
    },
    sticky: {
      '& td': {
        position: 'sticky',
        top: 0,
        backgroundColor: palette.white
      }
    },
    stickyBorder: {
      border: 0,
      '& td:after': {
        content: '""',
        position: 'absolute',
        left: 0,
        bottom: 0,
        width: '100%',
        borderBottom: "2px solid ".concat(palette.gray2)
      }
    }
  };
};

exports.default = normal;

var stickyOffset = function stickyOffset(theme) {
  return _objectSpread({}, normal(theme), {
    stickyOffset: {
      '& td': {
        top: function top(props) {
          return props.stickyOffset;
        }
      }
    }
  });
};

exports.stickyOffset = stickyOffset;