"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var borderHeight = 2;

var _default = function _default(_ref) {
  var palette = _ref.palette,
      typography = _ref.typography,
      mixins = _ref.mixins;
  return {
    root: {
      padding: [0, 10],
      '&:first-child': {
        paddingLeft: 0
      },
      '&:last-child': {
        paddingRight: 0
      }
    },
    tab: _objectSpread({
      position: 'relative',
      display: 'block',
      color: palette.gray0,
      paddingBottom: 2,
      whiteSpace: 'nowrap',
      cursor: 'pointer',
      outline: 'none',
      'button&': {
        background: 'none',
        border: 0
      },
      'a&': {
        textDecoration: 'none'
      },
      '&[aria-selected="true"]': {
        color: palette.gray0,
        borderBottom: [2, 'solid', palette.cta],
        marginBottom: -2
      }
    }, typography.secondary({
      weight: 'bold'
    })),
    primary: {
      flex: '0 0 auto'
    },
    secondary: {
      flex: '1 1 auto',
      textAlign: 'center',
      paddingLeft: 0,
      paddingRight: 0,
      '& $tab': {
        paddingLeft: 10,
        paddingRight: 10
      }
    },
    tertiary: {
      padding: [0, '5%'],
      '&:first-child': {
        paddingLeft: 0,
        marginLeft: 'auto'
      },
      '&:last-child': {
        paddingRight: 0,
        marginRight: 'auto'
      },
      '& $tab': _defineProperty({
        paddingBottom: 8
      }, mixins.media('md'), {
        padding: [0, 12, 8, 12]
      }),
      '& $tab::before': _defineProperty({
        height: borderHeight
      }, mixins.media('md'), {
        height: borderHeight
      })
    }
  };
};

exports.default = _default;