"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _tabpanelStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _tabpanelStyles = _interopRequireDefault(require("./tabpanel-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Tabpanel = function Tabpanel(_ref) {
  var classes = _ref.classes,
      selected = _ref.selected,
      singlePanel = _ref.singlePanel,
      id = _ref.id,
      index = _ref.index,
      children = _ref.children,
      className = _ref.className;
  return _react.default.createElement("section", {
    className: (0, _classnames.default)(classes.root, className),
    id: id || "tabs-tabpanel-".concat(index),
    role: "tabpanel",
    "aria-labelledby": singlePanel ? null : "tabs-tab-".concat(index),
    hidden: singlePanel ? null : !selected
  }, children);
};

exports.Component = Tabpanel;
Tabpanel.propTypes = {
  classes: _propTypes.default.object.isRequired,
  children: _propTypes.default.node.isRequired,
  selected: _propTypes.default.bool.isRequired,
  singlePanel: _propTypes.default.bool,
  id: _propTypes.default.string,
  index: _propTypes.default.number.isRequired,
  className: _propTypes.default.string
};
Tabpanel.defaultProps = {
  singlePanel: false,
  id: null,
  className: ''
};

var _default = (0, _reactJss.default)(_tabpanelStyles.default)(Tabpanel);

exports.default = _default;