"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _tabsStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames = _interopRequireDefault(require("classnames"));

var _ = require("../..");

var _tabsStyles = _interopRequireDefault(require("./tabs-styles"));

var _deprecate = require("../deprecate");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Tabs = function (_Component) {
  _inherits(Tabs, _Component);

  function Tabs() {
    _classCallCheck(this, Tabs);

    return _possibleConstructorReturn(this, _getPrototypeOf(Tabs).apply(this, arguments));
  }

  _createClass(Tabs, [{
    key: "injectContextProps",
    value: function injectContextProps(displayName) {
      var _this$props = this.props,
          childrenFromProp = _this$props.children,
          value = _this$props.value,
          variant = _this$props.variant,
          singlePanel = _this$props.singlePanel,
          onChange = _this$props.onChange;
      var index = 0;
      return _react.default.Children.map(childrenFromProp, function (child) {
        if (child.type.InnerComponent.name !== displayName || !_react.default.isValidElement(child)) {
          return null;
        }

        var childrenWithContext = _react.default.cloneElement(child, {
          selected: value === index,
          index: index,
          variant: variant,
          singlePanel: singlePanel,
          changeHandler: child.type.InnerComponent.name === _.Tab.InnerComponent.name ? onChange : null
        });

        index += 1;
        return childrenWithContext;
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          classes = _this$props2.classes,
          className = _this$props2.className,
          variant = _this$props2.variant;
      var tabs = this.injectContextProps(_.Tab.InnerComponent.name);
      var tabpanels = this.injectContextProps(_.Tabpanel.InnerComponent.name);
      return _react.default.createElement("div", null, _react.default.createElement("ul", {
        className: (0, _classnames.default)(classes.list, classes[variant], className),
        role: "tablist"
      }, tabs), tabpanels);
    }
  }]);

  return Tabs;
}(_react.Component);

exports.Component = Tabs;
Tabs.defaultProps = {
  variant: 'primary',
  className: null,
  onChange: function onChange() {},
  singlePanel: false
};
Tabs.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  value: _propTypes.default.number.isRequired,
  variant: _propTypes.default.oneOf(['primary', 'secondary', 'tertiary']),
  singlePanel: _propTypes.default.bool,
  onChange: _propTypes.default.func,
  children: _propTypes.default.node.isRequired
};

var _default = (0, _reactJss.default)(_tabsStyles.default)((0, _deprecate.deprecatedComponent)('Tabs', 'See https://github.com/nordnet/nordnet-ui-kit/blob/v3.0.0/docs/migrations/v3.0.0.md for migration guide.')(Tabs));

exports.default = _default;