"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "styles", {
  enumerable: true,
  get: function get() {
    return _tooltipStyles.default;
  }
});
exports.default = exports.Component = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactJss = _interopRequireDefault(require("react-jss"));

var _classnames3 = _interopRequireDefault(require("classnames"));

var _questionmark = _interopRequireDefault(require("../icon/icons/questionmark"));

var _tooltipStyles = _interopRequireDefault(require("./tooltip-styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Tooltip = function (_Component) {
  _inherits(Tooltip, _Component);

  function Tooltip(props) {
    var _this;

    _classCallCheck(this, Tooltip);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Tooltip).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "checkPosition", {
      above: function above(rect) {
        return rect.top > 0;
      },
      left: function left(rect) {
        return rect.left > 0 && _this.checkPosition.below(rect) && _this.checkPosition.above(rect);
      },
      right: function right(rect) {
        return (window.innerWidth || document.documentElement.clientWidth) - rect.right > 0 && _this.checkPosition.below(rect) && _this.checkPosition.above(rect);
      },
      below: function below(rect) {
        return (window.innerHeight || document.documentElement.clientHeight) - rect.bottom > 0;
      }
    });

    _defineProperty(_assertThisInitialized(_this), "state", {
      hover: false,
      toggled: false
    });

    _defineProperty(_assertThisInitialized(_this), "getPlacement", function () {
      var placement = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'below';

      var rect = _this.popup.getBoundingClientRect();

      if (_this.placement && _this.checkPosition[_this.placement](rect)) {
        return _this.placement;
      }

      if (_this.checkPosition[placement](rect)) {
        return placement;
      }

      if (_this.checkPosition.below(rect)) {
        return 'below';
      }

      if (_this.checkPosition.above(rect)) {
        return 'above';
      }

      if (_this.checkPosition.right(rect)) {
        return 'right';
      }

      if (_this.checkPosition.left(rect)) {
        return 'left';
      }

      return 'below';
    });

    _defineProperty(_assertThisInitialized(_this), "handleClick", function () {
      var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
          target = _ref.target;

      if (target && _this.onOutsideElement && !_this.onOutsideElement.contains(target)) {
        _this.handleClickOutside();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "handleClickOutside", function () {
      if (_this.state.toggled) {
        _this.setState({
          toggled: false
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "toggleShow", function () {
      if (!_this.props.sticky) {
        return;
      }

      _this.setState(function (prevState) {
        return {
          toggled: !prevState.toggled,
          hover: false
        };
      });
    });

    _defineProperty(_assertThisInitialized(_this), "mouseEnter", function () {
      if (!_this.state.toggled) {
        _this.setState({
          hover: true
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "mouseLeave", function () {
      if (!_this.state.toggled) {
        _this.setState({
          hover: false
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "renderPopup", function (content, placement, tooltipStyle) {
      var _classnames, _classnames2;

      if (_this.container && (placement === 'below' || placement === 'above')) {
        if (_this.state.hover) {
          var popupRect = _this.popup.getBoundingClientRect();

          var adjustedLeft = popupRect.left - _this.left;
          var adjustedRight = popupRect.right - _this.left;
          var pxDiff = Math.min(window.innerWidth - popupRect.width, 20);
          var gutter = pxDiff > 0 ? pxDiff / 2 : 0;

          if (adjustedLeft < 0) {
            _this.left = gutter - adjustedLeft;
          } else if (adjustedRight > window.innerWidth) {
            _this.left = window.innerWidth - adjustedRight - gutter;
          } else {
            _this.left = 0;
          }
        }
      }

      var _this$props = _this.props,
          fixedWidth = _this$props.fixedWidth,
          desktopOnly = _this$props.desktopOnly,
          mobilePlacement = _this$props.mobilePlacement;
      var _this$state = _this.state,
          hover = _this$state.hover,
          toggled = _this$state.toggled;

      var wrapperStyle = _objectSpread({
        opacity: hover || toggled ? 1 : 0,
        pointerEvents: hover || toggled ? 'all' : 'none',
        width: fixedWidth || 'auto'
      }, tooltipStyle);

      var classes = _this.classes;
      var wrapperClasses = (0, _classnames3.default)(classes.popup, !mobilePlacement && classes[placement], mobilePlacement && classes["".concat(mobilePlacement, "Mobile")], mobilePlacement && classes["".concat(placement, "Desktop")], (_classnames = {}, _defineProperty(_classnames, classes.popupFixed, fixedWidth), _defineProperty(_classnames, classes.popupDesktopOnly, desktopOnly), _classnames));

      var contentStyle = _objectSpread({}, !mobilePlacement ? {
        left: _this.left
      } : {});

      var vertical = placement === 'above' || placement === 'below';
      var verticalMobile = mobilePlacement === 'above' || mobilePlacement === 'below';
      return _react.default.createElement("div", {
        className: wrapperClasses,
        style: wrapperStyle
      }, _react.default.createElement("div", {
        style: contentStyle,
        className: (0, _classnames3.default)(classes.popupContent, !mobilePlacement && classes[placement], mobilePlacement && classes["".concat(mobilePlacement, "Mobile")], mobilePlacement && classes["".concat(placement, "Desktop")], (_classnames2 = {}, _defineProperty(_classnames2, classes.popupContentFixed, fixedWidth), _defineProperty(_classnames2, classes.popupContentVertical, !mobilePlacement && vertical && fixedWidth), _defineProperty(_classnames2, classes.popupContentVerticalMobile, mobilePlacement && verticalMobile && fixedWidth), _defineProperty(_classnames2, classes.popupContentVerticalDesktop, mobilePlacement && vertical && fixedWidth), _defineProperty(_classnames2, classes.popupContentAbove, !mobilePlacement && placement === 'above'), _defineProperty(_classnames2, classes.popupContentAboveMobile, mobilePlacement && placement === 'above'), _defineProperty(_classnames2, classes.popupContentAboveDesktop, mobilePlacement && placement === 'above'), _classnames2)),
        ref: function ref(popup) {
          _this.popup = popup;
        }
      }, _react.default.createElement("div", null, content)));
    });

    _this.placement = props.placement;
    _this.classes = props.classes;
    _this.left = 0;
    return _this;
  }

  _createClass(Tooltip, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.addEventListener('click', this.handleClick);
      document.addEventListener('touchstart', this.handleClick);
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      return nextState.hover !== this.state.hover || nextState.toggled !== this.state.toggled || nextProps.children !== this.props.children;
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      document.removeEventListener('click', this.handleClick);
      document.removeEventListener('touchstart', this.handleClick);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props2 = this.props,
          children = _this$props2.children,
          content = _this$props2.content,
          className = _this$props2.className,
          placement = _this$props2.placement,
          mobilePlacement = _this$props2.mobilePlacement,
          style = _this$props2.style,
          tooltipStyle = _this$props2.tooltipStyle;

      if (this.container && this.popup && this.state.hover) {
        this.placement = placement || this.getPlacement(placement);
      }

      return _react.default.createElement("div", {
        className: (0, _classnames3.default)(this.classes.tooltip, className),
        ref: function ref(element) {
          _this2.onOutsideElement = element;
        },
        onMouseEnter: this.mouseEnter,
        onMouseLeave: this.mouseLeave,
        style: style
      }, _react.default.createElement("div", {
        ref: function ref(container) {
          _this2.container = container;
        },
        className: (0, _classnames3.default)(this.classes.container, !mobilePlacement && this.classes[placement], mobilePlacement && this.classes["".concat(mobilePlacement, "Mobile")], mobilePlacement && this.classes["".concat(placement, "Desktop")]),
        onClick: this.toggleShow
      }, children), this.renderPopup(content, this.placement, tooltipStyle));
    }
  }]);

  return Tooltip;
}(_react.Component);

exports.Component = Tooltip;
Tooltip.defaultProps = {
  children: _react.default.createElement(_questionmark.default, {
    width: 16,
    height: 16
  }),
  placement: 'below',
  mobilePlacement: null,
  sticky: true,
  desktopOnly: false
};
Tooltip.propTypes = {
  classes: _propTypes.default.object.isRequired,
  className: _propTypes.default.string,
  style: _propTypes.default.object,
  tooltipStyle: _propTypes.default.object,
  content: _propTypes.default.node,
  children: _propTypes.default.node,
  sticky: _propTypes.default.bool,
  placement: _propTypes.default.oneOf(['above', 'below', 'right', 'left']),
  mobilePlacement: _propTypes.default.oneOf(['above', 'below', 'right', 'left']),
  fixedWidth: _propTypes.default.number,
  desktopOnly: _propTypes.default.bool
};

var _default = (0, _reactJss.default)(_tooltipStyles.default)(Tooltip);

exports.default = _default;