"use strict";

var _wrapStylesInMediaQueries = require("./wrapStylesInMediaQueries");

var mixins = {
  media: function media() {
    return 'media';
  },
  maxMedia: function maxMedia() {
    return 'maxMedia';
  }
};
describe('wrapStylesInMediaQueries', function () {
  test('wrapInMobileMediaQuery should wrap all top level keys ', function () {
    var actual = (0, _wrapStylesInMediaQueries.wrapInMobileMediaQuery)(mixins, {
      a: {
        a1: 1
      },
      b: {
        b1: 2,
        b2: {
          obj: 'asd'
        }
      },
      c: 0
    });
    expect(actual.a).toEqual({
      maxMedia: {
        a1: 1
      }
    });
    expect(actual.b).toEqual({
      maxMedia: {
        b1: 2,
        b2: {
          obj: 'asd'
        }
      }
    });
    expect(actual.c).toEqual({
      maxMedia: 0
    });
  });
  test('wrapInDesktopMediaQuery should wrap all top level keys ', function () {
    var actual = (0, _wrapStylesInMediaQueries.wrapInDesktopMediaQuery)(mixins, {
      a: {
        a1: 1
      },
      b: {
        b1: 2,
        b2: {
          obj: 'asd'
        }
      },
      c: 0
    });
    expect(actual.a).toEqual({
      media: {
        a1: 1
      }
    });
    expect(actual.b).toEqual({
      media: {
        b1: 2,
        b2: {
          obj: 'asd'
        }
      }
    });
    expect(actual.c).toEqual({
      media: 0
    });
  });
});