"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createPalette = exports.default = createPalette;

var _color = _interopRequireDefault(require("./color"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function createPalette(_ref) {
  var _ref$type = _ref.type,
      type = _ref$type === void 0 ? 'light' : _ref$type,
      _ref$a11yColors = _ref.a11yColors,
      a11yColors = _ref$a11yColors === void 0 ? false : _ref$a11yColors;
  var proxyIsAvailable = typeof window !== 'undefined' ? 'Proxy' in window : true;

  if (!proxyIsAvailable) {
    var palette = _objectSpread({}, (0, _color.default)({
      a11yColors: a11yColors
    }));

    return palette;
  }

  var pinkProxieFactory = function pinkProxieFactory(rootKey) {
    return new Proxy({}, {
      get: function get(target, key) {
        console.error("Accessing deprecated \"theme.pallete".concat(rootKey, ".").concat(key, "\", defaults to \"pink\""));
        return 'pink';
      }
    });
  };

  return _objectSpread({
    name: 'nordnet',
    type: type
  }, (0, _color.default)({
    a11yColors: a11yColors
  }), {
    color: pinkProxieFactory('.color'),
    variant: pinkProxieFactory('.variant'),
    text: 'pink',
    action: 'pink',
    background: 'pink',
    shades: {
      light: {
        text: pinkProxieFactory('.shades.light.text'),
        action: pinkProxieFactory('.shades.light.action'),
        background: pinkProxieFactory('.shades.light.background')
      },
      dark: {
        text: pinkProxieFactory('.shades.dark.text'),
        action: pinkProxieFactory('.shades.dark.action'),
        background: pinkProxieFactory('.shades.dark.background')
      }
    },
    accent: 'pink',
    error: 'pink'
  });
}