"use strict";

var _color = _interopRequireDefault(require("./color"));

var _palette = require("./palette");

var _ = require(".");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

describe('theme', function () {
  test('should expose a createTheme function', function () {
    expect(_typeof(_.createTheme)).toBe('function');
  });
  describe('createTheme', function () {
    test('should have a palette', function () {
      var theme = (0, _.createTheme)();
      expect(theme.palette).toBeDefined();
    });
    test('should be possible to override the palette', function () {
      var theme = (0, _.createTheme)({
        palette: (0, _palette.createPalette)({
          primary: _color.default.gray
        })
      });
      expect(theme.palette.primary).toBe(_color.default.gray);
    });
  });
});