"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _easings = _interopRequireDefault(require("./easings"));

var _durations = _interopRequireDefault(require("./durations"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  easing: _easings.default,
  duration: _durations.default,
  create: function create() {
    var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : ['all'];

    var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
        _ref$easing = _ref.easing,
        easing = _ref$easing === void 0 ? _easings.default.easeInOut : _ref$easing,
        _ref$duration = _ref.duration,
        duration = _ref$duration === void 0 ? _durations.default.standard : _ref$duration,
        _ref$delay = _ref.delay,
        delay = _ref$delay === void 0 ? 0 : _ref$delay;

    return props.map(function (prop) {
      return "".concat(prop, " ").concat(duration, "ms ").concat(easing, " ").concat(delay, "ms");
    }).join(',');
  },
  getAutoHeightDuration: function getAutoHeightDuration(height) {
    if (!height) {
      return 0;
    }

    var constant = height / 36;
    var duration = (4 + 15 * Math.pow(constant, 0.25) + constant / 5) * 10;
    return Math.round(duration);
  }
};
exports.default = _default;