"use strict";

var _omit = _interopRequireDefault(require("./omit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var obj = {
  a: 1,
  b: 2,
  c: 3
};
describe('omit', function () {
  test('should handle empty object', function () {
    expect((0, _omit.default)({}, 'a')).toEqual({});
  });
  test('should handle no key arguments', function () {
    expect((0, _omit.default)(obj)).toEqual(obj);
  });
  test('should be a pure function', function () {
    expect((0, _omit.default)(obj, 'a')).not.toBe(obj);
  });
  test('should be able to remove a single key', function () {
    expect((0, _omit.default)(obj, 'a')).toEqual({
      b: 2,
      c: 3
    });
  });
  test('should be able to remove multiple keys', function () {
    expect((0, _omit.default)(obj, 'a', 'b')).toEqual({
      c: 3
    });
  });
  test('should not produce errors for keys not in object', function () {
    expect((0, _omit.default)(obj, 'a', 'b', 'z')).toEqual({
      c: 3
    });
  });
});