function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export default (function (theme) {
  var palette = theme.palette,
      mixins = theme.mixins;
  return {
    alert: _objectSpread({}, mixins.basicBoxSizing, {
      background: palette.gray7,
      padding: '4px 8px',
      position: 'relative',
      marginBottom: '16px',
      color: palette.gray0
    }, theme.typography.tertiary()),
    header: _objectSpread({
      display: 'inline-block'
    }, theme.typography.tertiary({
      weight: 'bold'
    }), {
      padding: [4, 20, 4, 4],
      color: palette.complementaryBlue1,
      '&$vertical': {
        color: 'inherit'
      }
    }),
    vertical: {
      display: 'block'
    },
    body: {
      display: 'inline-block',
      padding: [4, 20, 4, 4]
    },
    close: {
      all: 'initial',
      background: 'none repeat scroll 0 0 transparent',
      border: 'none',
      borderSpacing: 0,
      listStyle: 'none',
      display: 'block',
      position: 'absolute',
      top: 0,
      right: 0,
      padding: '12px',
      cursor: 'pointer'
    },
    info: {
      borderLeft: "4px solid ".concat(palette.complementaryBlue1),
      '& $header:not($vertical)': {
        color: palette.complementaryBlue1
      }
    },
    success: {
      borderLeft: "4px solid ".concat(palette.positive),
      '& $header:not($vertical)': {
        color: palette.positive
      }
    },
    warning: {
      borderLeft: "4px solid ".concat(palette.index),
      '& $header:not($vertical)': {
        color: palette.gray0
      }
    },
    danger: {
      borderLeft: "4px solid ".concat(palette.negative),
      '& $header:not($vertical)': {
        color: palette.negative
      }
    }
  };
});