function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import IconClose from '../icon/icons/close';
import styles from './alert-styles';

var Alert = function (_React$PureComponent) {
  _inherits(Alert, _React$PureComponent);

  function Alert(props, context) {
    var _this;

    _classCallCheck(this, Alert);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Alert).call(this, props, context));
    _this.state = {
      dismissed: props.dismissed
    };
    _this.classes = _this.props.classes;
    _this.theme = _this.props.theme;
    _this.handleCloseClick = _this.handleCloseClick.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(Alert, [{
    key: "handleCloseClick",
    value: function handleCloseClick() {
      this.setState({
        dismissed: true
      });
      this.props.dismissedCallback();
    }
  }, {
    key: "renderClose",
    value: function renderClose() {
      if (!this.props.dismissable) {
        return null;
      }

      return React.createElement("button", {
        className: this.classes.close,
        onClick: this.handleCloseClick,
        type: "button"
      }, React.createElement(IconClose, {
        stroke: "#282823",
        width: 10,
        height: 10,
        style: {
          display: 'block'
        }
      }));
    }
  }, {
    key: "render",
    value: function render() {
      if (this.state.dismissed) {
        return null;
      }

      var usedClassName = classNames(this.classes.alert, _defineProperty({}, "".concat(this.classes[this.props.modifier]), this.props.modifier), this.props.className);
      var headerClassName = classNames(this.classes.header, _defineProperty({}, this.classes.vertical, this.props.vertical));
      return React.createElement("div", {
        className: usedClassName,
        style: this.props.style
      }, this.props.header ? React.createElement("div", {
        className: headerClassName
      }, this.props.header) : null, React.createElement("div", {
        className: this.classes.body
      }, this.props.children), this.renderClose());
    }
  }]);

  return Alert;
}(React.PureComponent);

Alert.propTypes = {
  classes: PropTypes.object.isRequired,
  theme: PropTypes.object.isRequired,
  className: PropTypes.string,
  modifier: PropTypes.oneOf(['info', 'success', 'warning', 'danger']),
  style: PropTypes.object,
  header: PropTypes.node,
  children: PropTypes.node,
  vertical: PropTypes.bool,
  dismissable: PropTypes.bool,
  dismissed: PropTypes.bool,
  dismissedCallback: PropTypes.func
};
Alert.defaultProps = {
  style: {},
  vertical: false,
  dismissable: true,
  dismissed: false,
  dismissedCallback: function dismissedCallback() {}
};
export { Alert as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(Alert);