function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import cn from 'classnames';
export var styles = function styles(theme) {
  var palette = theme.palette,
      typography = theme.typography,
      mixins = theme.mixins;
  return {
    root: _objectSpread({}, mixins.basicBoxSizing, {
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      color: palette.white,
      backgroundColor: palette.gray0,
      overflow: 'hidden',
      borderRadius: '50%',
      textTransform: 'capitalize',
      height: '2.4em',
      width: '2.4em'
    }),
    xs: _objectSpread({
      height: 24,
      width: 24
    }, typography.caption(), {
      lineHeight: '24px'
    }),
    sm: _objectSpread({
      height: 32,
      width: 32
    }, typography.secondary(), {
      lineHeight: '32px'
    }),
    md: _objectSpread({
      height: 48,
      width: 48
    }, typography.primary(), {
      lineHeight: '48px'
    }),
    lg: _objectSpread({
      height: 56,
      width: 56
    }, typography.title3({
      weight: 'regular'
    }), {
      lineHeight: '56px'
    })
  };
};

function Avatar(_ref) {
  var classes = _ref.classes,
      children = _ref.children,
      classNameProp = _ref.className,
      styleProp = _ref.style,
      size = _ref.size,
      color = _ref.color,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "children", "className", "style", "size", "color", "theme", "sheet"]);

  var style = Object.assign({}, {
    backgroundColor: color
  }, styleProp);
  var className = cn(classes.root, [classes["".concat(size)]], classNameProp);
  return React.createElement("div", _extends({
    className: className,
    style: style
  }, rest), children);
}

Avatar.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  style: PropTypes.object,
  children: PropTypes.node,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  color: PropTypes.string
};
Avatar.defaultProps = {
  size: 'sm'
};
export { Avatar as Component };
export default injectSheet(styles, {
  injectTheme: true
})(Avatar);