function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { shallow } from 'enzyme';
import { Component as Avatar, styles } from './avatar';
import { mockClasses } from '../..';
var classes = mockClasses(styles);
describe('<Avatar />', function () {
  var defaultProps = {
    classes: classes,
    children: 'ISK'
  };
  test('should render a div', function () {
    var wrapper = shallow(React.createElement(Avatar, defaultProps));
    expect(wrapper.type()).toBe('div');
  });
  test('should have the class "root"', function () {
    var wrapper = shallow(React.createElement(Avatar, defaultProps));
    expect(wrapper.hasClass(classes.root)).toBe(true);
  });
  test('should have the class small by default', function () {
    var wrapper = shallow(React.createElement(Avatar, defaultProps));
    expect(wrapper.hasClass(classes.sm)).toBe(true);
  });
  test('should have the class md if size is set to "md"', function () {
    var wrapper = shallow(React.createElement(Avatar, _extends({}, defaultProps, {
      size: "md"
    })));
    expect(wrapper.hasClass(classes.md)).toBe(true);
  });
  test('should have the class lg if size is set to "lg"', function () {
    var wrapper = shallow(React.createElement(Avatar, _extends({}, defaultProps, {
      size: "lg"
    })));
    expect(wrapper.hasClass(classes.lg)).toBe(true);
  });
  test("should render the text ".concat(defaultProps.children), function () {
    var wrapper = shallow(React.createElement(Avatar, defaultProps));
    expect(wrapper.text()).toBe(defaultProps.children);
  });
  test('should render a <Avatar /> with custom color', function () {
    var color = '#123456';
    var wrapper = shallow(React.createElement(Avatar, _extends({}, defaultProps, {
      color: color
    })));
    expect(wrapper.prop('style').backgroundColor).toBe(color);
  });
  test('should be possibe to send in a custom className', function () {
    var className = 'custom-class';
    var wrapper = shallow(React.createElement(Avatar, _extends({}, defaultProps, {
      className: className
    })));
    expect(wrapper.hasClass(className)).toBe(true);
  });
});