function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React from 'react';
import cn from 'classnames';
import injectSheet from 'react-jss';
export var styles = function styles(theme) {
  var palette = theme.palette,
      typography = theme.typography,
      mixins = theme.mixins;
  return {
    root: _objectSpread({}, mixins.basicBoxSizing, {
      display: 'inline-block',
      padding: '2.5px 10px',
      minWidth: '80px',
      color: palette.white,
      textAlign: 'center',
      whiteSpace: 'nowrap',
      verticalAlign: 'middle',
      backgroundColor: palette.complementaryBlue1
    }, typography.tertiary()),
    success: {
      backgroundColor: palette.positive
    },
    warning: {
      backgroundColor: palette.index,
      color: palette.gray0
    },
    danger: {
      backgroundColor: palette.negative
    }
  };
};

function Badge(_ref) {
  var _cn;

  var classes = _ref.classes,
      modifier = _ref.modifier,
      children = _ref.children,
      classNameProp = _ref.className,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "modifier", "children", "className", "theme", "sheet"]);

  var className = cn([classes.root], (_cn = {}, _defineProperty(_cn, classes.success, modifier === 'success'), _defineProperty(_cn, classes.warning, modifier === 'warning'), _defineProperty(_cn, classes.danger, modifier === 'danger'), _cn), classNameProp);
  return React.createElement("span", _extends({}, rest, {
    className: className
  }), children);
}

Badge.propTypes = {
  classes: PropTypes.object.isRequired,
  children: PropTypes.node,
  className: PropTypes.string,
  modifier: PropTypes.oneOf(['success', 'warning', 'danger'])
};
export { Badge as Component };
export default injectSheet(styles, {
  injectTheme: true
})(Badge);