import React from 'react';
import { shallow } from 'enzyme';
import { Component as Badge, styles } from './badge';
import { mockClasses } from '../..';
describe('<Badge />', function () {
  var classes = mockClasses(styles);
  var wrapper;
  test('should render <span> as container', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes
    }));
    expect(wrapper.type()).toBe('span');
  });
  test('should have the class root', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes
    }));
    expect(wrapper.hasClass(classes.root)).toBe(true);
  });
  test('should render children', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes
    }, "child"));
    expect(wrapper.contains('child')).toBe(true);
  });
  test('should have class success when modifier = sucess', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes,
      modifier: "success"
    }));
    expect(wrapper.hasClass(classes.success)).toBe(true);
  });
  test('should have class badge--danger with danger modifier', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes,
      modifier: "danger"
    }));
    expect(wrapper.hasClass(classes.danger)).toBe(true);
  });
  test('should have class badge--warning with warning modifier', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes,
      modifier: "warning"
    }));
    expect(wrapper.hasClass(classes.warning)).toBe(true);
  });
  test('should have 3 classes if a modifier and className is given', function () {
    wrapper = shallow(React.createElement(Badge, {
      classes: classes,
      className: "test",
      modifier: "warning"
    }));
    expect(wrapper.hasClass(classes.root) && wrapper.hasClass(classes.warning) && wrapper.hasClass('test')).toBe(true);
  });
});