function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import styles from './button-styles';
export var getElementType = function getElementType(node, href, disabled) {
  if (disabled) {
    return 'button';
  }

  if (node) {
    return node;
  }

  return href ? 'a' : 'button';
};

function Button(_ref) {
  var _classNames, _classNames3;

  var classes = _ref.classes,
      variant = _ref.variant,
      block = _ref.block,
      disabled = _ref.disabled,
      className = _ref.className,
      children = _ref.children,
      modifier = _ref.modifier,
      node = _ref.node,
      href = _ref.href,
      icon = _ref.icon,
      iconAbove = _ref.iconAbove,
      size = _ref.size,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "variant", "block", "disabled", "className", "children", "modifier", "node", "href", "icon", "iconAbove", "size", "theme", "sheet"]);

  var Element = getElementType(node, href, disabled);
  var isPrimary = variant === 'primary';
  var isSecondary = variant === 'secondary';
  var isLink = variant === 'link';
  var isAction = modifier === 'action';
  var isSuccess = modifier === 'success';
  var isWarning = modifier === 'warning';
  var isDanger = modifier === 'danger';
  var usedClassName = classNames(classes.button, (_classNames = {}, _defineProperty(_classNames, classes.block, block), _defineProperty(_classNames, classes.primary, isPrimary), _defineProperty(_classNames, classes.secondary, isSecondary), _defineProperty(_classNames, classes.link, isLink), _defineProperty(_classNames, classes.icon, icon && !children), _defineProperty(_classNames, classes.iconText, icon && children), _defineProperty(_classNames, "action", isAction), _defineProperty(_classNames, "success", isSuccess), _defineProperty(_classNames, "warning", isWarning), _defineProperty(_classNames, "danger", isDanger), _classNames), classes[size], size, className);
  var innerButtonWrapper = classNames(classes.innerWrapper, _defineProperty({}, classes.iconAbove, iconAbove));
  var iconSpacer = classNames(classes.innerWrapper, (_classNames3 = {}, _defineProperty(_classNames3, classes.spaceAbove, icon && children && iconAbove), _defineProperty(_classNames3, classes.spaceLeft, icon && children && !iconAbove), _classNames3));
  return React.createElement(Element, _extends({}, rest, {
    className: usedClassName,
    disabled: disabled,
    href: href
  }), React.createElement("div", {
    className: innerButtonWrapper
  }, icon, React.createElement("span", {
    className: iconSpacer
  }, children)));
}

Button.defaultProps = {
  variant: 'primary',
  size: 'sm'
};
Button.propTypes = {
  classes: PropTypes.object.isRequired,
  children: PropTypes.node,
  className: PropTypes.string,
  block: PropTypes.bool,
  variant: PropTypes.oneOf(['primary', 'secondary', 'link']),
  modifier: PropTypes.oneOf(['action', 'success', 'warning', 'danger']),
  node: PropTypes.oneOfType([PropTypes.string, PropTypes.func]),
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  href: PropTypes.string,
  icon: PropTypes.node,
  iconAbove: PropTypes.bool,
  disabled: PropTypes.bool
};
export { Button as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(Button);