function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import cn from 'classnames';
import flags from './flags';
import CurrencyFlag from './flags/currencies';
export var styles = function styles() {
  return {
    container: {
      display: 'inline-block'
    },
    flagStyle: {
      display: 'block',
      boxSizing: 'border-box'
    },
    roundFlagContainer: {
      display: 'inline-block',
      position: 'relative',
      overflow: 'hidden',
      borderRadius: '50%'
    }
  };
};

var Flag = function Flag(_ref) {
  var classes = _ref.classes,
      theme = _ref.theme,
      className = _ref.className,
      style = _ref.style,
      countryCode = _ref.countryCode,
      secondaryCountryCode = _ref.secondaryCountryCode,
      size = _ref.size,
      round = _ref.round,
      hideBorder = _ref.hideBorder,
      borderColor = _ref.borderColor,
      rest = _objectWithoutProperties(_ref, ["classes", "theme", "className", "style", "countryCode", "secondaryCountryCode", "size", "round", "hideBorder", "borderColor"]);

  var flagStyle = _objectSpread({}, style, {
    width: size,
    height: size * 0.75,
    marginLeft: round ? -size * 0.125 : null,
    position: round ? 'absolute' : 'relative'
  });

  var roundFlagContainerStyle = {
    width: size * 0.75,
    height: size * 0.75
  };

  if (secondaryCountryCode) {
    return React.createElement(CurrencyFlag, {
      className: cn(classes.flagStyle, className, 'flag'),
      style: flagStyle,
      size: size,
      primaryCC: countryCode.toLowerCase(),
      secondaryCC: secondaryCountryCode.toLowerCase()
    });
  }

  var SvgFlag = flags[countryCode.toLowerCase()];

  if (!SvgFlag) {
    return null;
  }

  var flag = React.createElement(SvgFlag, _extends({
    className: cn(classes.flagStyle, className, 'flag'),
    style: flagStyle
  }, rest));

  if (round) {
    return React.createElement("span", {
      style: roundFlagContainerStyle,
      className: classes.roundFlagContainer
    }, flag);
  }

  return React.createElement("div", {
    className: classes.container
  }, flag);
};

Flag.defaultProps = {
  countryCode: '',
  size: 32,
  round: false,
  hideBorder: false
};
var countryCodes = ['ca', 'de', 'fr', 'ru', 'gb', 'dk', 'fi', 'no', 'se', 'us', 'jp', 'cn', 'eu', 'CA', 'DE', 'FR', 'RU', 'GB', 'DK', 'FI', 'NO', 'SE', 'US', 'JP', 'CN', 'EU'];
Flag.propTypes = {
  theme: PropTypes.object.isRequired,
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  countryCode: PropTypes.oneOf(countryCodes),
  secondaryCountryCode: PropTypes.oneOf(countryCodes),
  size: PropTypes.number,
  style: PropTypes.object,
  round: PropTypes.bool,
  hideBorder: PropTypes.bool,
  borderColor: PropTypes.string
};
export { Flag as Component };
export default injectSheet(styles, {
  injectTheme: true
})(Flag);