function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import cn from 'classnames';
import CombinedFlag from './currencies';
import omit from '../../../utilities/omit';
import styles from './styles';

var Flag = function Flag(props) {
  var size = props.size,
      className = props.className,
      classes = props.classes,
      round = props.round;
  return React.createElement(CombinedFlag, _extends({}, omit(props, 'round'), {
    className: cn(className, classes.common, classes[size], _defineProperty({}, classes["rounded".concat(size.toUpperCase())], round))
  }));
};

Flag.defaultProps = {
  size: 'sm',
  round: false
};
Flag.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  round: PropTypes.bool,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg'])
};
export { Flag as Component };
export default injectSheet(styles)(Flag);