function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import cn from 'classnames';
import flags from '.';
import styles from './styles';

var SvgFlag = function SvgFlag(_ref) {
  var className = _ref.className,
      classes = _ref.classes,
      size = _ref.size,
      countryCode = _ref.countryCode,
      round = _ref.round,
      rest = _objectWithoutProperties(_ref, ["className", "classes", "size", "countryCode", "round"]);

  var Flag = flags[countryCode];

  if (!Flag) {
    return null;
  }

  if (round) {
    return React.createElement("span", {
      className: cn(classes.roundedContainer, classes["roundedContainer".concat(size.toUpperCase())])
    }, React.createElement(Flag, _extends({
      className: cn(className, classes.common, classes[size], classes["rounded".concat(size.toUpperCase())])
    }, rest)));
  }

  return React.createElement("span", {
    className: classes.container
  }, React.createElement(Flag, _extends({}, rest, {
    className: cn(className, classes.common, classes[size])
  })));
};

SvgFlag.defaultProps = {
  size: 'sm',
  round: false
};
SvgFlag.propTypes = {
  classes: PropTypes.object.isRequired,
  countryCode: PropTypes.string.isRequired,
  className: PropTypes.string,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  round: PropTypes.bool
};
export { SvgFlag as Component };
export default injectSheet(styles)(SvgFlag);