function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { shallow } from 'enzyme';
import { Component as SvgFlag } from './svg-flag';
import styles from './styles';
import { mockClasses } from '../../..';
var classes = mockClasses(styles);

var shallowComponent = function shallowComponent(props) {
  return shallow(React.createElement(SvgFlag, _extends({
    classes: classes,
    countryCode: "se"
  }, props)));
};

describe('<SvgFlag />', function () {
  test("has common class", function () {
    var wrapper = shallowComponent().children().first();
    expect(wrapper.hasClass('common')).toBe(true);
  });
  test('renders small flag by default', function () {
    var wrapper = shallowComponent().children().first();
    expect(wrapper.hasClass('sm')).toBe(true);
  });
  test("rounded container has roundedContainer classes", function () {
    var wrapper = shallowComponent({
      round: true,
      size: 'md'
    });
    expect(wrapper.hasClass('roundedContainer')).toBe(true);
    expect(wrapper.hasClass('roundedContainerMD')).toBe(true);
  });
  test("rounded medium flag has roundedMD class", function () {
    var wrapper = shallowComponent({
      round: true,
      size: 'md'
    });
    var Flag = wrapper.children().first();
    expect(Flag.hasClass('roundedMD')).toBe(true);
  });
});