import React from 'react';
import { shallow } from 'enzyme';
import { Icon } from '../..';
describe('<Icon />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = shallow(React.createElement(Icon.ArrowLeft, null));
  });
  test('should render an svg', function () {
    expect(wrapper.type()).toBe('svg');
  });
  test('should set default proportions', function () {
    expect(wrapper.prop('width')).toBe('1em');
    expect(wrapper.prop('height')).toBe('1em');
    expect(wrapper.prop('viewBox')).toBe('0 0 16 16');
  });
  test('should be able to override stroke', function () {
    var color = '#123456';
    wrapper = shallow(React.createElement(Icon.Cloud, {
      stroke: color
    }));
    expect(wrapper.find('g > g').prop('stroke')).toBe(color);
  });
  test('should be able to override fill', function () {
    var color = '#123456';
    wrapper = shallow(React.createElement(Icon.Trash, {
      fill: color
    }));
    expect(wrapper.find('g > g').prop('fill')).toBe(color);
  });
  test('should have pointerEvents set to none', function () {
    Object.keys(Icon).map(function (key) {
      var Component = Icon[key];
      var element = shallow(React.createElement(Component, null));
      return expect(element.props().style.pointerEvents).toBe('none');
    });
  });
});