function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import Icon from '../icon';
export default function Advice(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, Icon.defaultProps.style);

  return React.createElement("svg", _extends({
    style: style
  }, rest), React.createElement("g", {
    id: "Page-1",
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("g", {
    id: "Artboard",
    transform: "translate(-317.000000, -174.000000)",
    fill: stroke
  }, React.createElement("g", {
    id: "Group-Copy",
    transform: "translate(317.000000, 174.000000)"
  }, React.createElement("path", {
    d: "M1.2,0.8125 C0.9792,0.8125 0.8,0.9945 0.8,1.21875 L0.8,11.78125 C0.8,12.0055 0.9792,12.1875 1.2,12.1875 L14.8,12.1875 C15.0208,12.1875 15.2,12.0055 15.2,11.78125 L15.2,1.21875 C15.2,0.9945 15.0208,0.8125 14.8,0.8125 L1.2,0.8125 Z M14.8,13 L1.2,13 C0.5384,13 0,12.4531875 0,11.78125 L0,1.21875 C0,0.5468125 0.5384,0 1.2,0 L14.8,0 C15.4616,0 16,0.5468125 16,1.21875 L16,11.78125 C16,12.4531875 15.4616,13 14.8,13 Z",
    id: "Fill-982"
  }), React.createElement("path", {
    d: "M7.57142857,3 L2.42857143,3 C2.192,3 2,2.776 2,2.5 C2,2.224 2.192,2 2.42857143,2 L7.57142857,2 C7.808,2 8,2.224 8,2.5 C8,2.776 7.808,3 7.57142857,3",
    id: "Fill-983"
  }), React.createElement("path", {
    d: "M7.57142857,6 L2.42857143,6 C2.192,6 2,5.776 2,5.5 C2,5.224 2.192,5 2.42857143,5 L7.57142857,5 C7.808,5 8,5.224 8,5.5 C8,5.776 7.808,6 7.57142857,6",
    id: "Fill-984"
  }), React.createElement("path", {
    d: "M7.57142857,8 L2.42857143,8 C2.192,8 2,7.776 2,7.5 C2,7.224 2.192,7 2.42857143,7 L7.57142857,7 C7.808,7 8,7.224 8,7.5 C8,7.776 7.808,8 7.57142857,8",
    id: "Fill-986"
  }), React.createElement("path", {
    d: "M6.58333333,10 L2.41666667,10 C2.18666667,10 2,9.776 2,9.5 C2,9.224 2.18666667,9 2.41666667,9 L6.58333333,9 C6.81333333,9 7,9.224 7,9.5 C7,9.776 6.81333333,10 6.58333333,10",
    id: "Fill-987"
  }), React.createElement("path", {
    d: "M11.7985392,8.22239003 C11.6337693,8.07513687 11.3636827,8.07513687 11.1989129,8.22239003 L10.649397,8.71021333 L10.649397,6.22503304 L10.8090708,6.22503304 L11.498726,6.67132339 L12.1900798,6.22503304 L12.348055,6.22503304 L12.348055,8.71021333 L11.8002378,8.22239003 L11.7985392,8.22239003 Z M9.99796161,3.9022088 L10.4115848,3.63488767 L10.5712587,3.20143477 L11.0834041,3.20143477 L11.4978767,2.93260336 L11.9131986,3.20143477 L12.425344,3.20143477 L12.5850178,3.63488767 L12.9986411,3.9022088 L12.8406659,4.33641684 L12.9986411,4.76986974 L12.5850178,5.03719086 L12.425344,5.47064376 L11.9131986,5.47064376 L11.4978767,5.73947517 L11.0834041,5.47064376 L10.5712587,5.47064376 L10.4115848,5.03719086 L9.99796161,4.76986974 L10.1559368,4.33641684 L9.99796161,3.9022088 Z M13.9983013,3.61374363 L13.3069475,3.16820842 L13.0436555,2.44629035 L12.1900798,2.44629035 L11.498726,2 L10.8090708,2.44629035 L9.95464583,2.44629035 L9.69135383,3.16820842 L9,3.61374363 L9.26499066,4.33641684 L9,5.05833491 L9.69135383,5.50387012 L9.80261593,5.81121389 C9.80091728,5.82254106 9.80091728,5.83462337 9.80091728,5.84670568 L9.80091728,9.62242779 C9.80091728,9.77496696 9.90538475,9.91240325 10.0633599,9.97054937 C10.2230338,10.0294506 10.4047902,9.99773457 10.5270936,9.88899377 L11.4995753,9.02435341 L12.4737557,9.88899377 C12.5552913,9.96224278 12.6631561,10 12.7735689,10 C12.8287753,10 12.8831323,9.99093827 12.9366401,9.97054937 C13.0946153,9.91240325 13.1982334,9.77496696 13.1982334,9.62242779 L13.1982334,5.84670568 C13.1982334,5.83462337 13.1973841,5.82178592 13.1965347,5.81121389 L13.3086462,5.50387012 L14,5.05833491 L13.7350093,4.33641684 L14,3.61374363 L13.9983013,3.61374363 Z",
    id: "Fill-988"
  })))));
}
Advice.propTypes = _objectSpread({}, Icon.propTypes, {
  stroke: PropTypes.string,
  fill: PropTypes.string,
  strokeWidth: PropTypes.number
});
Advice.defaultProps = _objectSpread({}, Icon.defaultProps);