function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import Icon from '../icon';
export default function Portfolio(_ref) {
  var stroke = _ref.stroke,
      fill = _ref.fill,
      strokeWidth = _ref.strokeWidth,
      styleProp = _ref.style,
      rest = _objectWithoutProperties(_ref, ["stroke", "fill", "strokeWidth", "style"]);

  var style = _objectSpread({}, styleProp, Icon.defaultProps.style);

  return React.createElement("svg", _extends({
    style: style
  }, rest), React.createElement("g", {
    strokeWidth: strokeWidth,
    stroke: stroke,
    fill: "none",
    fillRule: "evenodd",
    transform: "translate(0, 0.5)"
  }, React.createElement("path", {
    d: "M5.12588235,1.94117647 L5.12588235,4.22 L1,4.22 C0.679674845,4.22 0.42,4.47967485 0.42,4.8 L0.42,14 C0.42,14.3203252 0.679674845,14.58 1,14.58 L15,14.58 C15.3203252,14.58 15.58,14.3203252 15.58,14 L15.58,4.8 C15.58,4.47967485 15.3203252,4.22 15,4.22 L10.8741176,4.22 L10.8741176,1.94117647 C10.8741176,1.65333865 10.640779,1.42 10.3529412,1.42 L5.64705882,1.42 C5.35922101,1.42 5.12588235,1.65333865 5.12588235,1.94117647 Z"
  }), React.createElement("path", {
    d: "M0.42,8.38 L15.58,8.38 L15.58,4.8 C15.58,4.47967485 15.3203252,4.22 15,4.22 L1,4.22 C0.679674845,4.22 0.42,4.47967485 0.42,4.8 L0.42,8.38 Z"
  }), React.createElement("rect", {
    fill: stroke,
    x: "7.19999695",
    y: "7",
    width: "1.67999995",
    height: "4",
    rx: "0.839999974"
  })));
}
Portfolio.propTypes = _objectSpread({}, Icon.propTypes, {
  stroke: PropTypes.string,
  fill: PropTypes.string,
  strokeWidth: PropTypes.number
});
Portfolio.defaultProps = Icon.defaultProps;