import PropTypes from 'prop-types';
import React from 'react';
import classNames from 'classnames';
import { withTheme } from 'react-jss';
import { Icon } from '../..';

function Checkbox(props) {
  var checked = props.checked,
      disabled = props.disabled,
      theme = props.theme;
  var classes = classNames('checkbox', {
    'checkbox--is-checked': checked,
    'checkbox--is-disabled': disabled
  }, props.className);
  var icon = React.createElement(Icon.Checkmark, {
    stroke: theme.palette.white,
    style: {
      display: 'block'
    }
  });
  return React.createElement("span", {
    className: classes
  }, checked ? icon : null);
}

Checkbox.propTypes = {
  checked: PropTypes.bool,
  disabled: PropTypes.bool,
  className: PropTypes.string,
  theme: PropTypes.shape()
};
export { Checkbox as Component };
export default withTheme(Checkbox);