function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { shallow } from 'enzyme';
import { Component as Checkbox } from './checkbox';

var renderComponent = function renderComponent(props) {
  return shallow(React.createElement(Checkbox, _extends({}, props, {
    theme: {
      palette: {
        color: {
          white: '#FFFFFF'
        }
      }
    }
  })));
};

describe('<Checkbox />', function () {
  test('has class checkbox', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('checkbox')).toBe(true);
  });
  test('has class checkbox--is-checked when checked is true', function () {
    var wrapper = renderComponent({
      checked: true
    });
    expect(wrapper.hasClass('checkbox--is-checked')).toBe(true);
  });
  test('has class checkbox--is-disabled when disabled is true', function () {
    var wrapper = renderComponent({
      disabled: true
    });
    expect(wrapper.hasClass('checkbox--is-disabled')).toBe(true);
  });
  test('renders checkmark when checked is true', function () {
    var wrapper = renderComponent({
      checked: true
    });
    expect(wrapper.find('Checkmark')).toHaveLength(1);
  });
  test('renders no checkmark when checked is false', function () {
    var wrapper = renderComponent({
      checked: false
    });
    expect(wrapper.find('Checkmark')).toHaveLength(0);
  });
});