function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';

var styles = function styles(theme) {
  var palette = theme.palette;
  return {
    'help-text': _objectSpread({
      display: 'block',
      width: '100%',
      textAlign: 'right',
      bottom: '-16px',
      color: palette.gray0
    }, theme.typography.tertiary()),
    success: {
      color: palette.positive
    },
    warning: {
      color: palette.negative
    },
    error: {
      color: palette.negative
    }
  };
};

function HelpText(_ref) {
  var _classNames;

  var classes = _ref.classes,
      children = _ref.children,
      hasSuccess = _ref.hasSuccess,
      hasWarning = _ref.hasWarning,
      hasError = _ref.hasError,
      isCheckbox = _ref.isCheckbox,
      isRadio = _ref.isRadio;
  var className = classNames(['help-text', classes['help-text']], (_classNames = {}, _defineProperty(_classNames, classes.success, hasSuccess), _defineProperty(_classNames, classes.warning, hasWarning), _defineProperty(_classNames, classes.error, hasError), _defineProperty(_classNames, 'help-text--checkbox-radio', isCheckbox || isRadio), _classNames));

  if (children) {
    return React.createElement("span", {
      className: className
    }, children);
  }

  return null;
}

HelpText.propTypes = {
  classes: PropTypes.object.isRequired,
  children: PropTypes.node,
  hasSuccess: PropTypes.bool,
  hasWarning: PropTypes.bool,
  hasError: PropTypes.bool,
  isCheckbox: PropTypes.bool,
  isRadio: PropTypes.bool
};
var Component = HelpText;
export { Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(HelpText);