function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { shallow } from 'enzyme';
import InputAddon from './input-addon';
var defaultProps = {
  content: 'addon'
};

var renderComponent = function renderComponent(props) {
  return shallow(React.createElement(InputAddon, _extends({}, defaultProps, props)));
};

describe('<InputAddon />', function () {
  test('has class input__addon', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('input__addon')).toBe(true);
  });
  test('has class input__addon--left if position is "left"', function () {
    var wrapper = renderComponent({
      position: 'left'
    });
    expect(wrapper.hasClass('input__addon--left')).toBe(true);
  });
  test('renders nothing when there is content', function () {
    var wrapper = renderComponent({
      content: undefined
    });
    expect(wrapper.type()).toBeNull();
  });
  test('renders content when it is set', function () {
    var content = 'content';
    var wrapper = renderComponent({
      content: content
    });
    expect(wrapper.text()).toBe(content);
  });
  test('renders the result of content() when content is a function', function () {
    var contentResult = 'result';
    var wrapper = renderComponent({
      content: function content() {
        return contentResult;
      }
    });
    expect(wrapper.text()).toBe(contentResult);
  });
});