function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import { kebabCase } from 'lodash';
import Checkbox from './checkbox';
import Radio from './radio';
import styles from './input-checkbox-radio-styles';
import HelpText from './help-text';
import omit from '../../utilities/omit';

var InputCheckboxRadio = function (_React$PureComponent) {
  _inherits(InputCheckboxRadio, _React$PureComponent);

  function InputCheckboxRadio(props, context) {
    var _this;

    _classCallCheck(this, InputCheckboxRadio);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(InputCheckboxRadio).call(this, props, context));
    _this.state = {
      checked: props.checked,
      disabled: props.disabled,
      hasSuccess: !!props.hasSuccess,
      hasWarning: !!props.hasWarning,
      hasError: !!props.hasError
    };
    _this.onChange = _this.onChange.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(InputCheckboxRadio, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      this.setState({
        checked: nextProps.checked ? nextProps.checked : false,
        disabled: nextProps.disabled ? nextProps.disabled : false,
        hasSuccess: !!nextProps.hasSuccess,
        hasWarning: !!nextProps.hasWarning,
        hasError: !!nextProps.hasError
      });
    }
  }, {
    key: "onChange",
    value: function onChange(event) {
      this.setState({
        checked: event.target.checked
      });

      if (this.props.onChange) {
        this.props.onChange(event);
      }
    }
  }, {
    key: "renderHelpText",
    value: function renderHelpText() {
      var props = {
        hasSuccess: this.state.hasSuccess,
        hasWarning: this.state.hasWarning,
        hasError: this.state.hasError,
        isCheckbox: this.props.type === 'checkbox',
        isRadio: this.props.type === 'radio'
      };

      if (!this.props.helpText) {
        return null;
      }

      return React.createElement(HelpText, props, this.props.helpText);
    }
  }, {
    key: "renderFakeInput",
    value: function renderFakeInput() {
      switch (this.props.type) {
        case 'checkbox':
          return React.createElement(Checkbox, this.state);

        case 'radio':
          return React.createElement(Radio, this.state);

        default:
          return null;
      }
    }
  }, {
    key: "renderInput",
    value: function renderInput() {
      return React.createElement("div", {
        className: "input-checkbox-radio__element"
      }, React.createElement("input", _extends({}, omit(this.props, 'hasSuccess', 'hasError', 'isCheckbox', 'isRadio', 'helpText', 'sheet', 'classes', 'theme', 'variant'), {
        type: this.props.type,
        checked: this.state.checked,
        disabled: this.state.disabled,
        value: this.props.value,
        onChange: this.onChange,
        "aria-labelledby": "".concat(kebabCase(this.props.label), "-label")
      })), this.renderFakeInput());
    }
  }, {
    key: "renderLabel",
    value: function renderLabel() {
      if (!this.props.label) return null;
      return React.createElement("span", {
        id: "".concat(kebabCase(this.props.label), "-label"),
        className: "input-checkbox-radio__label"
      }, this.props.label);
    }
  }, {
    key: "render",
    value: function render() {
      var classes = this.props.classes;
      var className = classNames(classes['input-checkbox-radio'], {
        'input-checkbox-radio--has-success': this.state.hasSuccess,
        'input-checkbox-radio--has-error': this.state.hasError,
        'input-checkbox-radio--is-disabled': this.state.disabled
      }, this.props.className);
      return React.createElement("span", null, React.createElement("label", {
        className: className
      }, this.renderInput(), this.renderLabel()), this.renderHelpText());
    }
  }]);

  return InputCheckboxRadio;
}(React.PureComponent);

InputCheckboxRadio.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  type: PropTypes.string,
  checked: PropTypes.bool,
  disabled: PropTypes.bool,
  value: PropTypes.string,
  label: PropTypes.node,
  onChange: PropTypes.func,
  hasSuccess: PropTypes.bool,
  hasError: PropTypes.bool,
  hasWarning: PropTypes.bool,
  helpText: PropTypes.node
};
InputCheckboxRadio.defaultProps = {
  checked: false,
  disabled: false
};
export { InputCheckboxRadio as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(InputCheckboxRadio);