function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import { kebabCase } from 'lodash';
import Label from './label';
import styles from './input-default-styles';
import HelpText from './help-text';
import InputAddon from './input-addon';
import NativeInput from './native-input';
import { isUndefined, hasValue } from './utils';
import omit from '../../utilities/omit';

var InputDefault = function (_React$PureComponent) {
  _inherits(InputDefault, _React$PureComponent);

  function InputDefault(props) {
    var _this;

    _classCallCheck(this, InputDefault);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(InputDefault).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "onFocus", function (event) {
      _this.setState({
        hasFocus: true
      });

      if (_this.props.onFocus) {
        _this.props.onFocus(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onBlur", function (event) {
      _this.setState({
        hasFocus: false
      });

      if (_this.props.onBlur) {
        _this.props.onBlur(event);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onChange", function (event) {
      var state = {};

      if (_this.props.valueFormatter) {
        var value = _this.props.valueFormatter(event.target.value);

        state.value = value;
        state.hasValue = hasValue(value);
      } else {
        state.value = event.target.value;
        state.hasValue = hasValue(event.target.value);
      }

      _this.setState(state);

      if (_this.props.onChange) {
        _this.props.onChange(event);
      }
    });

    _this.state = {
      value: isUndefined(props.value) ? '' : props.value,
      hasFocus: false,
      hasSuccess: !!props.hasSuccess,
      hasWarning: !!props.hasWarning,
      hasError: !!props.hasError,
      hasAddon: !!props.rightAddon || !!props.leftAddon
    };
    _this.state.hasValue = hasValue(_this.state.value);
    return _this;
  }

  _createClass(InputDefault, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(_ref) {
      var hasSuccess = _ref.hasSuccess,
          hasWarning = _ref.hasWarning,
          hasError = _ref.hasError,
          rightAddon = _ref.rightAddon,
          leftAddon = _ref.leftAddon,
          value = _ref.value;
      this.setState(function (prevState) {
        return {
          hasSuccess: !!hasSuccess,
          hasWarning: !!hasWarning,
          hasError: !!hasError,
          hasAddon: !!rightAddon || !!leftAddon,
          hasValue: hasValue(value),
          value: isUndefined(value) ? prevState.value : value
        };
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          classes = _this$props.classes,
          helpText = _this$props.helpText,
          id = _this$props.id,
          label = _this$props.label,
          style = _this$props.style,
          className = _this$props.className,
          placeholder = _this$props.placeholder,
          leftAddon = _this$props.leftAddon,
          rightAddon = _this$props.rightAddon,
          variant = _this$props.variant,
          type = _this$props.type,
          disabled = _this$props.disabled;
      var _this$state = this.state,
          hasSuccess = _this$state.hasSuccess,
          hasWarning = _this$state.hasWarning,
          hasError = _this$state.hasError,
          value = _this$state.value,
          hasFocus = _this$state.hasFocus,
          stateHasValue = _this$state.hasValue,
          hasAddon = _this$state.hasAddon;
      var elementId = id || kebabCase(label);
      var rootClassName = classNames(['input', classes.input], {
        'input--has-focus': hasFocus,
        'input--has-value': stateHasValue,
        'input--has-addon': hasAddon,
        'input--has-success': hasSuccess,
        'input--has-error': hasWarning || hasError,
        'input--is-disabled': disabled
      }, "input--".concat(kebabCase(type)), classes[variant], className);
      var helpTextModifiers = {
        hasSuccess: hasSuccess,
        hasWarning: hasWarning,
        hasError: hasError
      };
      var fieldProps = omit(this.props, 'valueFormatter', 'hasSuccess', 'hasWarning', 'hasError', 'helpText', 'leftAddon', 'rightAddon', 'options', 'classes', 'sheet', 'theme', 'variant', 'lineCount', 'id');
      return React.createElement("div", {
        className: rootClassName,
        style: style
      }, React.createElement("div", {
        className: "input__field"
      }, React.createElement(InputAddon, {
        content: leftAddon,
        position: "left"
      }), React.createElement(NativeInput, _extends({}, fieldProps, {
        id: elementId,
        type: type,
        value: value,
        placeholder: placeholder,
        onFocus: this.onFocus,
        onBlur: this.onBlur,
        onChange: this.onChange
      })), React.createElement(Label, {
        id: elementId,
        label: label,
        placeholder: placeholder,
        hasFocus: hasFocus,
        hasValue: stateHasValue
      }), React.createElement(InputAddon, {
        content: rightAddon,
        position: "right"
      })), React.createElement(HelpText, helpTextModifiers, helpText));
    }
  }]);

  return InputDefault;
}(React.PureComponent);

InputDefault.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  style: PropTypes.object,
  type: PropTypes.string,
  disabled: PropTypes.bool,
  label: PropTypes.node,
  placeholder: PropTypes.string,
  id: PropTypes.string,
  value: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.bool, PropTypes.array, PropTypes.object]),
  onFocus: PropTypes.func,
  onBlur: PropTypes.func,
  onChange: PropTypes.func,
  variant: PropTypes.oneOf(['primary', 'secondary']),
  valueFormatter: PropTypes.func,
  hasSuccess: PropTypes.bool,
  hasError: PropTypes.bool,
  hasWarning: PropTypes.bool,
  helpText: PropTypes.node,
  leftAddon: PropTypes.node,
  rightAddon: PropTypes.node,
  lineCount: PropTypes.number
};
InputDefault.defaultProps = {
  type: 'text',
  variant: 'primary',
  lineCount: 3
};
export { InputDefault as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(InputDefault);