function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import defaultStylesFn from './input-default-styles';
export default (function (theme) {
  var palette = theme.palette,
      transitions = theme.transitions,
      mixins = theme.mixins;
  var defaultStyles = defaultStylesFn(theme);
  var borderSize = 1;
  return {
    input: _objectSpread({}, defaultStyles.input),
    selectable: {},
    'select-wrapper': _objectSpread({}, mixins.basicBoxSizing, {
      position: 'relative',
      '& .input__element': {
        appearance: 'none',
        opacity: 0,
        paddingRight: 24
      },
      '& .input__placeholder': {
        lineHeight: '1.5em'
      },
      '& .input__placeholder, & .input__value-label': {
        position: 'absolute',
        left: 0,
        top: 0,
        width: '100%',
        overflow: 'hidden',
        paddingRight: 24,
        pointerEvents: 'none',
        whiteSpace: 'nowrap',
        textOverflow: 'ellipsis'
      },
      '& .input__placeholder:not($selectable)': {
        color: palette.gray0
      },
      '& .input__select-arrow': {
        position: 'absolute',
        display: 'block',
        right: '4px',
        top: '6px',
        height: '8px',
        transition: transitions.create(['transform']),
        transform: 'translateY(-4px)',
        pointerEvents: 'none'
      },
      '&.input--has-focus, &.input--has-value': {
        '.input__select-arrow': {
          transform: 'translateY(0)'
        },
        '.input__placeholder': {
          display: 'none'
        }
      },
      '&.input--is-disabled': {
        '& .input__element, & .input__placeholder': {
          cursor: 'not-allowed'
        }
      }
    }),
    primary: {
      '& .input__field': {
        position: 'relative',
        width: '100%',
        border: "".concat(borderSize, "px solid ").concat(palette.gray4),
        borderRadius: 0,
        padding: 8,
        paddingTop: 10,
        transition: transitions.create(['border-color'])
      }
    },
    secondary: {
      '& .input__field': {
        position: 'relative',
        width: '100%',
        padding: [8, 0],
        border: 'none',
        borderBottom: "".concat(borderSize, "px solid ").concat(palette.gray4),
        paddingTop: 10,
        transition: transitions.create(['border-color'])
      }
    }
  };
});