import PropTypes from 'prop-types';
import React from 'react';
import classNames from 'classnames';

function Radio(props) {
  var checked = props.checked,
      disabled = props.disabled;
  var classes = classNames('radio', {
    'radio--is-checked': checked,
    'radio--is-disabled': disabled
  }, props.className);
  return React.createElement("span", {
    className: classes
  });
}

Radio.propTypes = {
  checked: PropTypes.bool,
  disabled: PropTypes.bool,
  className: PropTypes.string
};
export default Radio;