import React from 'react';
import { shallow } from 'enzyme';
import Radio from './radio';

var renderComponent = function renderComponent(props) {
  return shallow(React.createElement(Radio, props));
};

describe('<Radio />', function () {
  test('has class radio', function () {
    var wrapper = renderComponent();
    expect(wrapper.hasClass('radio')).toBe(true);
  });
  test('has class radio--is-checked when checked is true', function () {
    var wrapper = renderComponent({
      checked: true
    });
    expect(wrapper.hasClass('radio--is-checked')).toBe(true);
  });
  test('has class radio--is-disabled when disabled is true', function () {
    var wrapper = renderComponent({
      disabled: true
    });
    expect(wrapper.hasClass('radio--is-disabled')).toBe(true);
  });
});