function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { kebabCase } from 'lodash';

var SelectOption = function SelectOption(_ref) {
  var label = _ref.label,
      value = _ref.value,
      optionKey = _ref.optionKey,
      options = _ref.options,
      rest = _objectWithoutProperties(_ref, ["label", "value", "optionKey", "options"]);

  if (options) {
    var key = optionKey || kebabCase(label);
    return React.createElement("optgroup", _extends({}, rest, {
      key: key,
      label: label
    }), options.map(function (option) {
      return React.createElement(SelectOption, _extends({
        key: option.key || kebabCase(option.label)
      }, option));
    }));
  }

  return React.createElement("option", _extends({}, rest, {
    value: value
  }), label);
};

SelectOption.propTypes = {
  label: PropTypes.string.isRequired,
  optionKey: PropTypes.string,
  value: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.object]),
  options: PropTypes.arrayOf(PropTypes.shape({
    label: PropTypes.string.isRequired,
    key: PropTypes.string,
    value: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.object]).isRequired
  }))
};
export default SelectOption;