import React from 'react';
import { shallow } from 'enzyme';
import SelectOption from './select-option';

var renderComponent = function renderComponent(props) {
  return shallow(React.createElement(SelectOption, props));
};

describe('<SelectOption />', function () {
  test('renders an option', function () {
    var wrapper = renderComponent();
    expect(wrapper.type()).toBe('option');
  });
  test('has a value attribute set to value', function () {
    var value = 'test123';
    var wrapper = renderComponent({
      value: value
    });
    expect(wrapper.prop('value')).toBe(value);
  });
  test('renders label as content', function () {
    var label = 'test123';
    var wrapper = renderComponent({
      label: label
    });
    expect(wrapper.text()).toBe(label);
  });
  test('renders an optgroup if options is defined', function () {
    var options = [{
      label: 'A',
      value: 'B'
    }];
    var wrapper = renderComponent({
      options: options,
      label: 'C'
    });
    expect(wrapper.type()).toBe('optgroup');
  });
});