import React from 'react';
import { shallow } from 'enzyme';
import { mockClasses } from '../..';
import { Component as LabeledValue, styles } from './labeled-value';
describe('<LabeledValue />', function () {
  var classes = mockClasses(styles);
  var wrapper;
  beforeEach(function () {
    wrapper = shallow(React.createElement(LabeledValue, {
      classes: classes,
      className: "testclass",
      label: "label"
    }, "myvalue"));
  });
  test('should render a <div />', function () {
    expect(wrapper.type()).toBe('div');
  });
  test('should have class root', function () {
    expect(wrapper.hasClass(classes.root)).toBe(true);
  });
  test('should have input classname', function () {
    expect(wrapper.hasClass('testclass')).toBe(true);
  });
  test('should render input child as value', function () {
    expect(wrapper.find("span.".concat(classes.value)).childAt(0).text()).toBe('myvalue');
  });
  test('should render input label', function () {
    expect(wrapper.find("span.".concat(classes.label)).childAt(0).text()).toBe('label');
  });
  test('should have value node with md as default size', function () {
    var valueNode = wrapper.find("span.".concat(classes.value)).first();
    expect(valueNode.hasClass(classes['value-md'])).toBe(true);
  });
  ['xs', 'sm', 'md', 'lg'].forEach(function (size) {
    test("value should have class \"value-".concat(size, "\" if prop size is ").concat(size), function () {
      wrapper.setProps({
        size: size
      });
      var valueNode = wrapper.find("span.".concat(classes.value)).first();
      expect(valueNode.hasClass(classes["value-".concat(size)])).toBe(true);
    });
  });
});