function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import NordnetLogo from './nordnetLogo';

function Logo(_ref) {
  var onlyIcon = _ref.onlyIcon,
      height = _ref.height,
      iconColor = _ref.iconColor,
      textColor = _ref.textColor,
      rest = _objectWithoutProperties(_ref, ["onlyIcon", "height", "iconColor", "textColor"]);

  var logoProps = _objectSpread({
    height: height,
    width: onlyIcon ? height : height * 4.89,
    fill: iconColor,
    stroke: textColor,
    viewBox: onlyIcon ? '0 0 64 64' : undefined,
    style: {
      overflow: 'hidden'
    }
  }, rest);

  return React.createElement(NordnetLogo, logoProps);
}

Logo.defaultProps = {
  iconColor: '#00A9EC',
  textColor: '#222222',
  onlyIcon: false,
  height: 27
};
Logo.propTypes = {
  className: PropTypes.string,
  onlyIcon: PropTypes.bool,
  style: PropTypes.object,
  iconColor: PropTypes.string,
  textColor: PropTypes.string,
  height: PropTypes.number
};
export default Logo;