import React from 'react';
import { shallow } from 'enzyme';
import Logo from './logo';
describe('<Logo />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = shallow(React.createElement(Logo, null));
  });
  test('should render a NordnetLogo', function () {
    expect(wrapper.find('NordnetLogo')).toHaveLength(1);
  });
  test('should have a default height', function () {
    expect(wrapper.prop('height')).toBe(27);
  });
  test('should be possible to customize the height', function () {
    var customHeight = 200;
    var newElement = shallow(React.createElement(Logo, {
      height: customHeight
    }));
    expect(newElement.prop('height')).toBe(customHeight);
  });
  test('should be possible to get just the icon and not the text', function () {
    var newElement = shallow(React.createElement(Logo, {
      onlyIcon: true
    }));
    expect(newElement.prop('viewBox')).toBe('0 0 64 64');
  });
});