function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { shallow } from 'enzyme';
import { Button } from '../../..';
import ButtonNode from '.';
describe('<ButtonNode />', function () {
  var defaultProps = {
    disabled: false,
    url: null,
    getNode: null,
    defaultNode: null,
    defaultProps: {}
  };

  var shallowComponent = function shallowComponent(customProps) {
    return shallow(React.createElement(ButtonNode, _extends({}, defaultProps, customProps)));
  };

  test('should render a default button', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find('button').props().type).toBe('button');
  });
  test('should render a default link', function () {
    var wrapper = shallowComponent({
      url: '?page=4'
    });
    expect(wrapper.find('a').props().href).toBe('?page=4');
  });
  test('should render a default button if disabled', function () {
    var wrapper = shallowComponent({
      url: '?page=4',
      disabled: true
    });
    expect(wrapper.find('button').props().disabled).toBe(true);
  });
  test('should render a default button with type prop if disabled', function () {
    var wrapper = shallowComponent({
      url: '?page=4',
      disabled: true
    });
    expect(wrapper.find('button').props().type).toBe('button');
  });
  test('should render Button component', function () {
    var wrapper = shallowComponent({
      node: Button
    });
    expect(wrapper.find(Button)).toHaveLength(1);
  });
  test('should render Button component from getNode function', function () {
    var wrapper = shallowComponent({
      defaultNode: Button,
      getNode: function getNode() {
        return React.createElement(Button, null, "test");
      }
    });
    expect(wrapper.find(Button).childAt(0).text()).toBe('test');
  });
});