function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import { Icon } from '../..';
import Stepper from './stepper';
import Range from './range';
import styles from './pagination-styles';

var Pagination = function (_Component) {
  _inherits(Pagination, _Component);

  function Pagination() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Pagination);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Pagination)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {});

    _defineProperty(_assertThisInitialized(_this), "calcPagesCount", function () {
      var _this$props = _this.props,
          total = _this$props.total,
          limit = _this$props.limit;
      return Math.ceil(total / limit);
    });

    _defineProperty(_assertThisInitialized(_this), "handlePreviousPage", function (e) {
      var selected = _this.state.selected;

      if (selected > 1) {
        _this.handlePageSelected(selected - 1, 'PREV_PAGE', e);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "handleNextPage", function (e) {
      var selected = _this.state.selected;

      var pagesCount = _this.calcPagesCount();

      if (selected < pagesCount) {
        _this.handlePageSelected(selected + 1, 'NEXT_PAGE', e);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "handlePageSelected", function (number, action, e) {
      var changeHandler = _this.props.changeHandler;

      _this.setState({
        selected: number
      });

      changeHandler(number, action, e);
    });

    return _this;
  }

  _createClass(Pagination, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          classes = _this$props2.classes,
          title = _this$props2.title,
          buttonTextPrevious = _this$props2.buttonTextPrevious,
          buttonTextNext = _this$props2.buttonTextNext,
          selectedSiblings = _this$props2.selectedSiblings,
          anchors = _this$props2.anchors,
          pageLabelText = _this$props2.pageLabelText,
          pageLabelTextSelected = _this$props2.pageLabelTextSelected,
          urlGenerator = _this$props2.urlGenerator,
          getNode = _this$props2.getNode;
      var selected = this.state.selected;
      var pagesCount = this.calcPagesCount();

      if (Number.isNaN(pagesCount) || pagesCount <= 1) {
        return null;
      }

      return React.createElement("nav", {
        className: classes.root,
        role: "navigation",
        "aria-label": title
      }, React.createElement(Stepper, {
        clickHandler: this.handlePreviousPage,
        disabled: selected === 1,
        url: urlGenerator(selected - 1),
        getNode: getNode
      }, React.createElement(Icon.ArrowLeft, {
        className: classes.stepperIcon
      }), React.createElement("span", {
        className: classes.stepperText
      }, buttonTextPrevious)), React.createElement(Range, {
        anchors: anchors,
        selected: selected,
        selectedSiblings: selectedSiblings,
        pagesCount: pagesCount,
        selectHandler: this.handlePageSelected,
        pageLabelText: pageLabelText,
        pageLabelTextSelected: pageLabelTextSelected,
        urlGenerator: urlGenerator,
        getNode: getNode
      }), React.createElement(Stepper, {
        clickHandler: this.handleNextPage,
        disabled: selected === pagesCount,
        url: urlGenerator(selected + 1),
        getNode: getNode
      }, React.createElement(Icon.ArrowRight, {
        className: classes.stepperIcon
      }), React.createElement("span", {
        className: classes.stepperText
      }, buttonTextNext)));
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(nextProps, prevState) {
      var selectedFromParent = parseInt(nextProps.selected, 10);

      if (!prevState || selectedFromParent !== prevState.selectedProp) {
        return {
          selected: selectedFromParent,
          selectedProp: selectedFromParent
        };
      }

      return null;
    }
  }]);

  return Pagination;
}(Component);

Pagination.propTypes = {
  classes: PropTypes.object.isRequired,
  total: PropTypes.number.isRequired,
  limit: PropTypes.number,
  changeHandler: PropTypes.func,
  title: PropTypes.string,
  buttonTextPrevious: PropTypes.string,
  buttonTextNext: PropTypes.string,
  pageLabelText: PropTypes.string,
  pageLabelTextSelected: PropTypes.string,
  anchors: PropTypes.number,
  selected: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  selectedSiblings: PropTypes.number,
  urlGenerator: PropTypes.func,
  getNode: PropTypes.func
};
Pagination.defaultProps = {
  selected: 1,
  selectedSiblings: 2,
  anchors: 1,
  limit: 10,
  pageLabelText: 'Go to Page',
  pageLabelTextSelected: 'Current Page, Page',
  buttonTextPrevious: 'Previous',
  buttonTextNext: 'Next',
  title: 'Pagination',
  changeHandler: function changeHandler() {},
  urlGenerator: function urlGenerator() {
    return null;
  },
  getNode: null
};
var enhance = injectSheet(styles);
export { Pagination as Component, styles };
export default enhance(Pagination);