import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import { Button } from '../../..';
import ButtonNode from '../button-node';
import styles from './stepper-styles';

var Stepper = function Stepper(_ref) {
  var classes = _ref.classes,
      disabled = _ref.disabled,
      clickHandler = _ref.clickHandler,
      children = _ref.children,
      url = _ref.url,
      getNode = _ref.getNode;
  var stepperProps = {
    className: classes.button,
    onClick: clickHandler,
    variant: 'link',
    modifier: 'action'
  };
  return React.createElement(ButtonNode, {
    node: Button,
    getNode: getNode,
    url: url,
    disabled: disabled,
    defaultProps: stepperProps
  }, children);
};

Stepper.propTypes = {
  classes: PropTypes.object.isRequired,
  disabled: PropTypes.bool.isRequired,
  clickHandler: PropTypes.func.isRequired,
  children: PropTypes.node.isRequired,
  url: PropTypes.string,
  getNode: PropTypes.func
};
Stepper.defaultProps = {
  url: null,
  getNode: null
};
var enhance = injectSheet(styles);
export { Stepper as Component, styles };
export default enhance(Stepper);