function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { shallow } from 'enzyme';
import { Button, mockClasses } from '../../..';
import { Component as Stepper, styles } from './stepper';
import ButtonNode from '../button-node';
describe('<Stepper />', function () {
  var classes = mockClasses(styles);
  var defaultProps = {
    classes: classes,
    clickHandler: function clickHandler() {},
    disabled: false,
    url: '?page=4',
    getNode: function getNode() {}
  };

  var shallowComponent = function shallowComponent(customProps) {
    return shallow(React.createElement(Stepper, _extends({}, defaultProps, customProps)));
  };

  test('should render ButtonNode component', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(ButtonNode)).toHaveLength(1);
  });
  test('should have node prop as Button component', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(ButtonNode).props().node).toBe(Button);
  });
  test('should have getNode prop in ButtonNode component', function () {
    var testFunc = function testFunc() {
      return true;
    };

    var wrapper = shallowComponent({
      getNode: testFunc
    });
    expect(wrapper.find(ButtonNode).props().getNode).toBe(testFunc);
  });
  test('should render url prop to ButtonNode component', function () {
    var wrapper = shallowComponent({
      url: 'www.test.com'
    });
    expect(wrapper.find(ButtonNode).props().url).toBe('www.test.com');
  });
  test('should render disabled prop to ButtonNode component', function () {
    var wrapper = shallowComponent({
      disabled: true
    });
    expect(wrapper.find(ButtonNode).props().disabled).toBe(true);
  });
  test('should have variant in defaultProps', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(ButtonNode).props().defaultProps.variant).toBe('link');
  });
  test('should have modifier in defaultProps', function () {
    var wrapper = shallowComponent();
    expect(wrapper.find(ButtonNode).props().defaultProps.modifier).toBe('action');
  });
});