function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import { kebabCase } from 'lodash';
import styles from './pane-styles';
import { deprecatedComponent } from '../deprecate';

var Pane = function (_React$PureComponent) {
  _inherits(Pane, _React$PureComponent);

  function Pane(props, context) {
    var _this;

    _classCallCheck(this, Pane);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Pane).call(this, props, context));
    _this.state = {
      activeTab: props.activeTab
    };
    _this.handleTabClick = _this.handleTabClick.bind(_assertThisInitialized(_this));
    _this.classes = _this.props.classes;
    return _this;
  }

  _createClass(Pane, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.activeTab !== nextProps.activeTab && nextProps.activeTab !== this.state.activeTab) {
        this.setState({
          activeTab: nextProps.activeTab
        });
      }
    }
  }, {
    key: "handleTabClick",
    value: function handleTabClick(index) {
      this.setState({
        activeTab: index
      });
    }
  }, {
    key: "renderTabs",
    value: function renderTabs() {
      var _this2 = this;

      return React.createElement("ul", {
        className: this.classes.tabs
      }, this.props.tabs.map(function (tab, index) {
        return React.createElement("li", {
          key: "".concat(kebabCase(tab.label), "_").concat(index),
          className: classNames(_this2.classes.tab, _this2.classes[_this2.props.size], _defineProperty({}, _this2.classes.active, _this2.state.activeTab === index)),
          onClick: function onClick() {
            return _this2.handleTabClick(index);
          }
        }, tab.label);
      }));
    }
  }, {
    key: "renderBody",
    value: function renderBody() {
      var _this3 = this;

      if (this.props.tabs && this.props.tabs.length > 0) {
        return React.createElement("div", null, this.props.tabs.map(function (tab, index) {
          return React.createElement("div", {
            key: "".concat(kebabCase(tab.label), "_body_").concat(index),
            style: {
              display: _this3.state.activeTab === index ? 'block' : 'none'
            }
          }, tab.body);
        }));
      }

      return null;
    }
  }, {
    key: "render",
    value: function render() {
      var className = classNames(this.classes.pane, this.props.className);

      if (this.props.tabs && this.props.tabs.length > 0) {
        return React.createElement("div", {
          className: className
        }, this.renderTabs(), this.renderBody());
      }

      return null;
    }
  }]);

  return Pane;
}(React.PureComponent);

Pane.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  activeTab: PropTypes.number,
  tabs: PropTypes.arrayOf(PropTypes.shape({
    label: PropTypes.node,
    body: PropTypes.node
  })),
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg'])
};
Pane.defaultProps = {
  size: 'md',
  activeTab: 0
};
export { Pane as Component, styles };
export default injectSheet(styles)(deprecatedComponent('Pane', 'See https://github.com/nordnet/nordnet-ui-kit/blob/v3.0.0/docs/migrations/v3.0.0.md for migration guide.')(Pane));