function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import styles from './popup-menu.styles';

var PopupMenuItem = function PopupMenuItem(_ref) {
  var node = _ref.node,
      children = _ref.children,
      topBorder = _ref.topBorder,
      linkTo = _ref.linkTo,
      onClick = _ref.onClick,
      onKeyDown = _ref.onKeyDown,
      listItemRef = _ref.listItemRef,
      disabled = _ref.disabled,
      classes = _ref.classes,
      onFocus = _ref.onFocus,
      className = _ref.className;
  var Element = disabled ? 'button' : node;
  var elementProps = Element === 'button' ? {
    type: 'button',
    disabled: disabled
  } : {
    to: linkTo
  };
  return React.createElement("li", {
    className: cn(classes.item, className)
  }, topBorder && React.createElement("hr", {
    className: classes.hr
  }), React.createElement("span", {
    ref: function ref(_ref2) {
      return _ref2 && listItemRef && listItemRef(_ref2.childNodes[0]);
    }
  }, React.createElement(Element, _extends({}, elementProps, {
    className: classes.link,
    onClick: onClick,
    onFocus: onFocus,
    onKeyDown: onKeyDown
  }), children)));
};

PopupMenuItem.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  node: PropTypes.oneOfType([PropTypes.string, PropTypes.func]),
  onClick: PropTypes.func,
  linkTo: PropTypes.string,
  topBorder: PropTypes.bool,
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.string, PropTypes.number]),
  disabled: PropTypes.bool,
  onFocus: PropTypes.func,
  onKeyDown: PropTypes.func,
  listItemRef: PropTypes.func
};
PopupMenuItem.defaultProps = {
  onClick: function onClick() {},
  node: 'button',
  children: '',
  linkTo: '#',
  topBorder: false,
  disabled: false,
  onFocus: null,
  onKeyDown: null,
  listItemRef: null
};
export { PopupMenuItem as Component, styles };
export default injectSheet(styles)(PopupMenuItem);