function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Children, Component, cloneElement } from 'react';
import PropTypes from 'prop-types';
import { TransitionGroup, CSSTransition } from 'react-transition-group';
import keyCodes from './keyCodes';

var PopupMenuList = function (_Component) {
  _inherits(PopupMenuList, _Component);

  function PopupMenuList(props) {
    var _this;

    _classCallCheck(this, PopupMenuList);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(PopupMenuList).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "onBlur", function (e) {
      var _assertThisInitialize = _assertThisInitialized(_this),
          listElement = _assertThisInitialize.listElement;

      e.persist();
      setTimeout(function () {
        if (e.target && !listElement.contains(document.activeElement) && listElement !== document.activeElement) {
          _this.focusIndex = -1;

          _this.props.onBlur();
        }
      }, 0);
    });

    _defineProperty(_assertThisInitialized(_this), "onKeyDown", function (e) {
      var _assertThisInitialize2 = _assertThisInitialized(_this),
          listItemElements = _assertThisInitialize2.listItemElements;

      if (e.keyCode === keyCodes.ARROW_DOWN) {
        if (listItemElements[_this.focusIndex + 1]) {
          _this.focusIndex += 1;

          listItemElements[_this.focusIndex].focus();
        } else if (listItemElements[0]) {
          _this.focusIndex = 0;

          listItemElements[_this.focusIndex].focus();
        }

        e.preventDefault();
      } else if (e.keyCode === keyCodes.ARROW_UP) {
        if (_this.focusIndex === 0) {
          _this.focusIndex = -1;

          _this.props.yieldFocus();
        } else if (listItemElements[_this.focusIndex - 1]) {
          _this.focusIndex -= 1;

          listItemElements[_this.focusIndex].focus();
        }

        e.preventDefault();
      } else if (e.keyCode === keyCodes.ESC) {
        listItemElements[_this.focusIndex].blur();
      }

      _this.props.onKeyDown(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onListItemFocus", function (index) {
      return function () {
        if (_this.listItemElements[index]) {
          _this.focusIndex = index;

          _this.listItemElements[index].focus();
        }
      };
    });

    _defineProperty(_assertThisInitialized(_this), "setListItemElement", function (index) {
      return function (listItemElement) {
        _this.listItemElements[index] = listItemElement;

        if (index === 0) {
          _this.props.firstListItemRef(listItemElement);
        }
      };
    });

    _defineProperty(_assertThisInitialized(_this), "setListElement", function (listElement) {
      _this.listElement = listElement;
    });

    _this.listItemElements = [];
    _this.focusIndex = -1;
    _this.listElement = null;
    return _this;
  }

  _createClass(PopupMenuList, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          width = _this$props.width,
          classes = _this$props.classes,
          children = _this$props.children,
          enter = _this$props.enter,
          exit = _this$props.exit,
          maxHeight = _this$props.maxHeight,
          isOpen = _this$props.isOpen,
          ariaLabelledBy = _this$props['aria-labelledby'],
          popupMenuDropdownZIndex = _this$props.popupMenuDropdownZIndex;
      var itemContainerStyle = maxHeight === 'none' ? {} : {
        maxHeight: maxHeight,
        overflowY: 'auto'
      };
      var notDisabledIndex = 0;
      return React.createElement(TransitionGroup, null, isOpen && React.createElement(CSSTransition, {
        classNames: classes.menuSlideDown,
        timeout: {
          exit: exit,
          enter: enter
        }
      }, React.createElement("div", {
        className: classes.menuPopup,
        style: {
          width: width,
          zIndex: popupMenuDropdownZIndex
        }
      }, React.createElement("div", {
        className: classes.menuItemContainer,
        style: itemContainerStyle
      }, React.createElement("ul", {
        className: classes.menuItems,
        "aria-labelledby": ariaLabelledBy,
        ref: this.setListElement,
        onBlur: this.onBlur
      }, Children.map(children, function (child) {
        if (child.props.disabled) return child;
        var childWithCallbackProps = cloneElement(child, {
          listItemRef: _this2.setListItemElement(notDisabledIndex),
          onFocus: _this2.onListItemFocus(notDisabledIndex),
          onKeyDown: _this2.onKeyDown
        });
        notDisabledIndex += 1;
        return childWithCallbackProps;
      }))))));
    }
  }]);

  return PopupMenuList;
}(Component);

PopupMenuList.propTypes = {
  isOpen: PropTypes.bool.isRequired,
  onBlur: PropTypes.func.isRequired,
  onKeyDown: PropTypes.func.isRequired,
  firstListItemRef: PropTypes.func.isRequired,
  yieldFocus: PropTypes.func.isRequired,
  width: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).isRequired,
  classes: PropTypes.object.isRequired,
  'aria-labelledby': PropTypes.string.isRequired,
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)]).isRequired,
  enter: PropTypes.number.isRequired,
  exit: PropTypes.number.isRequired,
  maxHeight: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).isRequired,
  popupMenuDropdownZIndex: PropTypes.number.isRequired
};
export default PopupMenuList;