function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import { camelCase } from 'lodash';
import cn from 'classnames';
import styles from './popup-menu.styles';
import { Icon } from '../..';
import keyCodes from './keyCodes';
import PopupMenuList from './popup-menu-list';

var PopupMenu = function (_Component) {
  _inherits(PopupMenu, _Component);

  function PopupMenu() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, PopupMenu);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(PopupMenu)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      isOpen: false,
      hasFocus: false
    });

    _defineProperty(_assertThisInitialized(_this), "onKeyDown", function (e) {
      if (e.keyCode === keyCodes.ARROW_DOWN && _this.state.hasFocus && _this.firstListElement) {
        e.preventDefault();

        _this.firstListElement.focus();

        _this.setState({
          hasFocus: false
        });
      }

      if (e.keyCode === keyCodes.ESC && _this.state.isOpen) {
        _this.onToggle();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onFocus", function () {
      return _this.setState({
        hasFocus: true
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onBlur", function () {
      return _this.setState({
        hasFocus: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onToggle", function () {
      var isOpen = _this.state.isOpen;

      if (!isOpen) {
        document.addEventListener('click', _this.documentClickOutsideListener);
      } else {
        document.removeEventListener('click', _this.documentClickOutsideListener);
      }

      _this.props.onToggle(!isOpen);

      _this.setState(function (prevState) {
        return {
          isOpen: !prevState.isOpen
        };
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onBlurList", function () {
      if (_this.state.isOpen && !_this.state.hasFocus) {
        _this.onToggle();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "setFirstListItemRef", function (listItem) {
      _this.firstListElement = listItem;
    });

    _defineProperty(_assertThisInitialized(_this), "setButtonRef", function (buttonElement) {
      _this.buttonElement = buttonElement;
    });

    _defineProperty(_assertThisInitialized(_this), "setContainerRef", function (containerElement) {
      _this.containerElement = containerElement;
    });

    _defineProperty(_assertThisInitialized(_this), "documentClickOutsideListener", function (e) {
      if (e.target && _this.containerElement && !_this.containerElement.contains(e.target)) {
        _this.onToggle();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "takeFocus", function () {
      if (_this.buttonElement) {
        _this.buttonElement.focus();

        _this.onFocus();
      }
    });

    return _this;
  }

  _createClass(PopupMenu, [{
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      document.removeEventListener('click', this.documentClickOutsideListener);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          width = _this$props.width,
          toggleButton = _this$props.toggleButton,
          classes = _this$props.classes,
          className = _this$props.className,
          children = _this$props.children,
          enter = _this$props.enter,
          exit = _this$props.exit,
          maxHeight = _this$props.maxHeight,
          buttonLabel = _this$props.buttonLabel,
          buttonID = _this$props.buttonID,
          disabled = _this$props.disabled,
          theme = _this$props.theme,
          popupMenuDropdownZIndex = _this$props.popupMenuDropdownZIndex;
      var isOpen = this.state.isOpen;
      var open = !disabled && isOpen;
      var label = null;
      if (typeof buttonLabel === 'string') label = buttonLabel;else if (_typeof(buttonLabel) === 'object' && buttonLabel !== null) {
        label = open ? buttonLabel.close : buttonLabel.open;
      }
      var id = buttonID || camelCase(label);
      return React.createElement("span", {
        className: cn(classes.menuContainer, className),
        ref: this.setContainerRef
      }, React.createElement("button", {
        type: "button",
        "aria-expanded": open,
        "aria-label": label,
        id: id,
        className: classes.menuButton,
        onClick: function onClick() {
          if (_this2.buttonElement) _this2.buttonElement.focus();

          _this2.onToggle();
        },
        disabled: disabled,
        ref: this.setButtonRef,
        onKeyDown: this.onKeyDown,
        onFocus: this.onFocus,
        onBlur: this.onBlur
      }, toggleButton || React.createElement(Icon.VerticalEllipsis, {
        height: 28,
        width: 28,
        stroke: disabled ? theme.palette.gray4 : 'currentColor',
        fill: disabled ? theme.palette.gray4 : 'currentColor'
      })), React.createElement(PopupMenuList, {
        "aria-labelledby": id,
        classes: classes,
        isOpen: open,
        onBlur: this.onBlurList,
        onKeyDown: this.onKeyDown,
        firstListItemRef: this.setFirstListItemRef,
        yieldFocus: this.takeFocus,
        enter: enter,
        exit: exit,
        width: width,
        maxHeight: maxHeight,
        popupMenuDropdownZIndex: popupMenuDropdownZIndex
      }, children));
    }
  }]);

  return PopupMenu;
}(Component);

PopupMenu.propTypes = {
  theme: PropTypes.object.isRequired,
  width: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  onToggle: PropTypes.func,
  buttonLabel: PropTypes.oneOfType([PropTypes.string, PropTypes.shape({
    open: PropTypes.string,
    close: PropTypes.string
  })]),
  buttonID: function buttonID(props, propName, componentName) {
    if (props[propName] && typeof props[propName] !== 'string') {
      return new Error("Invalid prop `".concat(propName, "` of type `").concat(_typeof(props[propName]), "` supplied to `").concat(componentName, "`, expected `string`."));
    }

    if (props.buttonLabel && !props[propName]) {
      return new Error('If `buttonLabel` prop is used, a `buttonID` prop must be provided as well.');
    }
  },
  children: PropTypes.node.isRequired,
  enter: PropTypes.number,
  exit: PropTypes.number,
  toggleButton: PropTypes.node,
  disabled: PropTypes.bool,
  maxHeight: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  popupMenuDropdownZIndex: PropTypes.number
};
PopupMenu.defaultProps = {
  width: 200,
  onToggle: function onToggle() {},
  buttonLabel: null,
  enter: 100,
  exit: 100,
  toggleButton: null,
  maxHeight: 'none',
  disabled: false,
  popupMenuDropdownZIndex: 1
};
export { PopupMenu as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(PopupMenu);