function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import { times as _times } from 'lodash';
import styles from './progress-bar-styles';

function ProgressBar(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      variant = _ref.variant,
      size = _ref.size,
      value = _ref.value,
      max = _ref.max,
      printNumbers = _ref.printNumbers,
      highlightActive = _ref.highlightActive,
      clickables = _ref.clickables,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "className", "variant", "size", "value", "max", "printNumbers", "highlightActive", "clickables", "theme", "sheet"]);

  var getElementType = function getElementType(clickable) {
    if (clickable && clickable.href) {
      return 'a';
    }

    if (clickable && (clickable.onClick || clickable.disabled)) {
      return 'button';
    }

    return 'span';
  };

  var containerClasses = classNames(classes.progressBarContainer, className);
  return React.createElement("div", _extends({}, rest, {
    className: containerClasses
  }), React.createElement("div", {
    "aria-hidden": clickables.length === 0 ? 'true' : 'false',
    className: classNames(classes.progressBar)
  }, _times(max, function (i) {
    var _classNames;

    var Element = getElementType(clickables[i]);

    var _ref2 = clickables[i] || {},
        label = _ref2.label,
        reached = _ref2.reached,
        active = _ref2.active,
        clickablesRest = _objectWithoutProperties(_ref2, ["label", "reached", "active"]);

    var elementClassNames = classNames(classes.progressStep, (_classNames = {}, _defineProperty(_classNames, classes.clickable, Element !== 'span'), _defineProperty(_classNames, classes.primary, true), _defineProperty(_classNames, classes.reached, typeof reached !== 'undefined' ? reached : i < value), _defineProperty(_classNames, classes.active, typeof active !== 'undefined' ? active : highlightActive && i === value - 1), _classNames));
    return React.createElement(Element, _extends({
      key: i,
      className: elementClassNames
    }, clickablesRest), printNumbers && !label ? React.createElement("span", null, i + 1) : null, label ? React.createElement("span", null, label) : null);
  })), React.createElement("progress", {
    value: value,
    max: max,
    className: classNames(classes.ariaProgressBar)
  }));
}

ProgressBar.defaultProps = {
  variant: 'primary',
  size: 'xs',
  value: 0,
  printNumbers: false,
  highlightActive: false,
  clickables: []
};
ProgressBar.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  variant: PropTypes.oneOf(['primary']),
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  value: PropTypes.number,
  max: PropTypes.number.isRequired,
  printNumbers: PropTypes.bool,
  highlightActive: PropTypes.bool,
  clickables: PropTypes.arrayOf(PropTypes.object)
};
export { ProgressBar as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(ProgressBar);