function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import PropTypes from 'prop-types';
import React from 'react';
import injectSheet from 'react-jss';
import cn from 'classnames';
var styles = {
  sameRow: {
    display: 'inline-block'
  },
  margin: {
    marginRight: 20
  }
};

var RadioGroup = function (_React$Component) {
  _inherits(RadioGroup, _React$Component);

  function RadioGroup() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, RadioGroup);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(RadioGroup)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      selectedValue: _this.props.selectedValue
    });

    _defineProperty(_assertThisInitialized(_this), "handleOnChange", function (event) {
      var selectedValue = event.target.value;

      _this.setState({
        selectedValue: selectedValue
      });
    });

    return _this;
  }

  _createClass(RadioGroup, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.selectedValue && nextProps.selectedValue !== this.state.selectedValue) {
        this.setState({
          selectedValue: nextProps.selectedValue
        });
      }
    }
  }, {
    key: "componentWillUpdate",
    value: function componentWillUpdate(nextProps, nextState) {
      if (this.state.selectedValue !== nextState.selectedValue) {
        if (this.props.onChange) {
          this.props.onChange({
            target: {
              value: nextState.selectedValue
            }
          });
        }
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          name = _this$props.name,
          orientation = _this$props.orientation,
          classes = _this$props.classes;
      var selectedValue = this.state.selectedValue;
      var childArray = Array.isArray(children) ? children : [children];
      var newProps = {
        onChange: this.handleOnChange,
        name: name && name.length ? name : ''
      };
      return React.createElement("div", null, childArray.map(function (child, index) {
        var _cn;

        return React.cloneElement(child, Object.assign(newProps, {
          className: cn((_cn = {}, _defineProperty(_cn, classes.sameRow, orientation === 'horizontal'), _defineProperty(_cn, classes.margin, index !== childArray.length - 1), _cn)),
          checked: child.props.value === selectedValue
        }));
      }));
    }
  }]);

  return RadioGroup;
}(React.Component);

RadioGroup.propTypes = {
  selectedValue: PropTypes.string,
  name: PropTypes.string.isRequired,
  onChange: PropTypes.func,
  children: PropTypes.node.isRequired,
  orientation: PropTypes.oneOf(['vertical', 'horizontal']),
  classes: PropTypes.shape().isRequired
};
RadioGroup.defaultProps = {
  orientation: 'vertical'
};
export { RadioGroup as Component, styles };
export default injectSheet(styles)(RadioGroup);