function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import { Icon as UiKitIcon } from '../..';
import styles from './rating.styles';

var Rating = function Rating(_ref) {
  var _ref$icon = _ref.icon,
      Icon = _ref$icon === void 0 ? UiKitIcon.Star : _ref$icon,
      size = _ref.size,
      rating = _ref.rating,
      maxRating = _ref.maxRating,
      minRating = _ref.minRating,
      classes = _ref.classes;
  return React.createElement("div", {
    className: classes.rating
  }, Number.isInteger(rating) && rating >= minRating ? _toConsumableArray(Array(maxRating)).map(function (_, index) {
    var _cn;

    var classNames = cn((_cn = {}, _defineProperty(_cn, classes.active, index < rating), _defineProperty(_cn, classes.inactive, index >= rating), _defineProperty(_cn, classes.ratingIcon, true), _cn));
    return React.createElement(Icon, {
      key: index,
      className: classNames,
      fill: "currentColor",
      stroke: "currentColor",
      width: size,
      height: size
    });
  }) : '–');
};

Rating.defaultProps = {
  maxRating: 5,
  minRating: 0,
  size: 16
};
Rating.propTypes = {
  rating: PropTypes.number.isRequired,
  maxRating: PropTypes.number,
  minRating: PropTypes.number,
  icon: PropTypes.func,
  size: PropTypes.number,
  classes: PropTypes.shape().isRequired
};
export { Rating as Component, styles };
export default injectSheet(styles)(Rating);