function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import styles from './segmented-control-styles';
import { deprecatedProps } from '../deprecate';

var SegmentedControl = function (_React$PureComponent) {
  _inherits(SegmentedControl, _React$PureComponent);

  function SegmentedControl(props, context) {
    var _this;

    _classCallCheck(this, SegmentedControl);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(SegmentedControl).call(this, props, context));

    _defineProperty(_assertThisInitialized(_this), "childSelectedState", function () {
      if (_this.props.children.reduce) {
        if (_this.props.type === 'radio') {
          return _this.props.children.reduce(function (previous, child) {
            return _objectSpread({}, previous, _defineProperty({}, child.props.value, _this.state.selected === child.props.value));
          }, {});
        }

        if (_this.props.type === 'checkbox') {
          return _this.props.children.reduce(function (previous, child) {
            return _objectSpread({}, previous, _defineProperty({}, child.props.value, _this.state[child.props.value]));
          }, {});
        }
      } else {
        var childValue = _this.props.children.props.value;
        return _defineProperty({}, childValue, _this.state[childValue]);
      }

      return null;
    });

    _defineProperty(_assertThisInitialized(_this), "handleFocus", function (index) {
      return function (e) {
        var focus = e.type === 'focus' ? index : '';

        _this.setState({
          focus: focus
        });
      };
    });

    _defineProperty(_assertThisInitialized(_this), "handleChange", function (e) {
      var index = e.currentTarget.value;

      var callOnChange = function callOnChange() {
        if (_this.props.onChange) {
          _this.props.onChange(_this.childSelectedState());
        }
      };

      if (_this.props.type === 'radio') {
        _this.setState({
          selected: index
        }, callOnChange);
      } else if (_this.props.type === 'checkbox') {
        _this.setState(function (prevState) {
          return _defineProperty({}, index, !prevState[index]);
        }, callOnChange);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "renderChild", function (child) {
      var _cn;

      var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      var childValue = (child.props || {}).value;
      var selected;

      if (_this.props.type === 'radio') {
        selected = childValue === _this.state.selected;
      } else if (_this.props.type === 'checkbox') {
        selected = _this.state[childValue];
      }

      var usedClassName = cn(_this.props.classes.label, _this.props.variant, (_cn = {}, _defineProperty(_cn, _this.props.classes.selected, selected), _defineProperty(_cn, _this.props.classes.buttonLeft, index === 0), _defineProperty(_cn, _this.props.classes.buttonRight, _this.props.children.map ? index === _this.props.children.length - 1 : true), _defineProperty(_cn, _this.props.classes.focus, index === _this.state.focus), _defineProperty(_cn, _this.props.classes.radio, _this.props.type === 'radio'), _defineProperty(_cn, _this.props.classes.checkbox, _this.props.type === 'checkbox'), _cn));

      var handleFocus = _this.handleFocus(index);

      var inputId = "sc-".concat(_this.props.name, "-").concat(index);
      return React.createElement("span", {
        className: usedClassName,
        key: "sc-".concat(_this.props.name, "-").concat(childValue)
      }, React.createElement("input", {
        type: _this.props.type,
        id: inputId,
        name: "sc-".concat(_this.props.name),
        value: childValue || index,
        checked: selected,
        onChange: _this.handleChange,
        onFocus: handleFocus,
        onBlur: handleFocus
      }), React.createElement("label", {
        htmlFor: inputId
      }, child));
    });

    if (_this.props.type === 'radio') {
      _this.state = {
        selected: props.value
      };
    } else if (_this.props.type === 'checkbox') {
      if (_this.props.children.reduce) {
        _this.state = _this.props.children.reduce(function (previous, child) {
          return _objectSpread({}, previous, _defineProperty({}, child.props.value, !!child.props.checked));
        }, {});
      } else {
        var childProps = _this.props.children.props;
        _this.state = _defineProperty({}, childProps.value, !!childProps.checked);
      }
    }

    return _this;
  }

  _createClass(SegmentedControl, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.type === 'radio' && nextProps.value !== this.props.value && nextProps.value !== this.state.selected) {
        this.setState({
          selected: nextProps.value
        });
        this.handleChange({
          currentTarget: {
            value: nextProps.value
          }
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      return React.createElement("span", {
        style: this.props.style,
        className: cn(this.props.classes.root, this.props.className)
      }, this.props.children.map ? this.props.children.map(this.renderChild) : this.renderChild(this.props.children));
    }
  }]);

  return SegmentedControl;
}(React.PureComponent);

SegmentedControl.defaultProps = {
  variant: 'primary'
};
SegmentedControl.propTypes = {
  classes: PropTypes.object.isRequired,
  children: PropTypes.node,
  onChange: PropTypes.func,
  className: PropTypes.string,
  style: PropTypes.object,
  name: PropTypes.string,
  type: PropTypes.oneOf(['radio', 'checkbox']).isRequired,
  value: PropTypes.string,
  variant: PropTypes.oneOf(['primary', 'secondary'])
};
export { SegmentedControl as Component, styles };
export default injectSheet(styles)(deprecatedProps('SegmentedControl', [{
  prop: 'variant',
  message: 'variant="secondary" in SegmentedControl is deprecated. Use another Tab component instead. See https://github.com/nordnet/nordnet-ui-kit/blob/v3.0.0/docs/migrations/v3.0.0.md'
}])(SegmentedControl));