import React from 'react';
import { shallow } from 'enzyme';
import SharevilleLogo from './shareville-logo';
describe('<SharevilleLogo />', function () {
  var wrapper;
  beforeEach(function () {
    wrapper = shallow(React.createElement(SharevilleLogo, null));
  });
  test('should render a SharevilleLogo', function () {
    expect(wrapper.find('.svLogoGradientWtClass-1')).toHaveLength(1);
  });
  test('should have a default height', function () {
    expect(wrapper.prop('height')).toBe(27);
  });
  test('should be possible to customize the height', function () {
    var customHeight = 200;
    var newElement = shallow(React.createElement(SharevilleLogo, {
      height: customHeight
    }));
    expect(newElement.prop('height')).toBe(customHeight);
  });
  test('should be possible to get just the icon and not the text', function () {
    var newElement = shallow(React.createElement(SharevilleLogo, {
      onlyIcon: true
    }));
    expect(newElement.prop('viewBox')).toBe('0 0 166.54 203.5');
  });
});