function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export default (function (_ref) {
  var palette = _ref.palette,
      typography = _ref.typography,
      mixins = _ref.mixins,
      transitions = _ref.transitions;
  return {
    root: {
      padding: [10, 0],
      borderBottom: "1px solid ".concat(palette.gray6),
      width: '100%'
    },
    noSeparator: {
      borderBottom: 'none'
    },
    wrapper: {
      display: 'flex',
      width: '100%',
      alignItems: 'center'
    },
    mainSection: {
      width: '100%'
    },
    title: _objectSpread(_defineProperty({
      alignItems: 'center',
      padding: [8, 0],
      border: 'none',
      borderRadius: 0,
      outline: 'none',
      cursor: 'pointer',
      backgroundColor: palette.white,
      color: palette.gray0,
      width: '100%',
      textAlign: 'left'
    }, mixins.media('md'), {
      cursor: 'auto'
    }), typography.title3()),
    titleContent: {
      display: 'flex',
      justifyContent: 'space-between'
    },
    loading: {
      cursor: 'auto'
    },
    titleLeft: {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center'
    },
    titleRight: {
      display: 'flex',
      alignItems: 'center'
    },
    chevron: {
      margin: [0, 4, 0, 10]
    },
    icon: {
      marginRight: 10
    },
    desktopOnly: _defineProperty({}, mixins.maxMedia('md'), {
      display: 'none'
    }),
    mobileOnly: _defineProperty({}, mixins.media('md'), {
      display: 'none'
    }),
    children: _defineProperty({
      maxHeight: 0,
      overflow: 'hidden',
      transition: transitions.create(['max-height'], {
        duration: transitions.duration.shorter
      })
    }, mixins.media('md'), {
      maxHeight: 'none',
      overflow: 'visible'
    }),
    toggled: {
      maxHeight: 'none',
      overflow: 'visible'
    }
  };
});