function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import Icon from '../icon/icons';
import Spinner from '../spinner';
import styles from './subsection-styles';

var Subsection = function (_React$Component) {
  _inherits(Subsection, _React$Component);

  function Subsection(props) {
    var _this;

    _classCallCheck(this, Subsection);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Subsection).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "toggle", function (toggled) {
      _this.setState({
        toggleActive: true
      }, function () {
        setTimeout(function () {
          return _this.setState({
            toggleActive: false,
            toggled: toggled
          });
        }, _this.state.toggleDuration);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleToggle", function () {
      if (!_this.props.loading) {
        _this.toggle(!_this.state.toggled);
      }
    });

    _this.state = {
      toggleActive: false,
      toggleDuration: _this.props.theme.transitions.duration.shorter * 1.1,
      toggled: _this.props.toggled
    };
    return _this;
  }

  _createClass(Subsection, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.toggled !== nextProps.toggled) {
        this.toggle(nextProps.toggled);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          Title = _this$props.title,
          CustomIcon = _this$props.icon,
          children = _this$props.children,
          loading = _this$props.loading,
          noSeparator = _this$props.noSeparator,
          estimatedHeight = _this$props.estimatedHeight,
          classes = _this$props.classes;
      var _this$state = this.state,
          toggled = _this$state.toggled,
          toggleActive = _this$state.toggleActive;
      return React.createElement("div", {
        className: cn(classes.root, _defineProperty({}, classes.noSeparator, noSeparator))
      }, React.createElement("div", {
        className: classes.wrapper
      }, CustomIcon && React.createElement("div", {
        className: cn(classes.icon, classes.desktopOnly)
      }, React.createElement(CustomIcon, null)), React.createElement("div", {
        className: classes.mainSection
      }, React.createElement("button", {
        className: cn(classes.title, _defineProperty({}, classes.loading, loading)),
        onClick: this.handleToggle,
        type: "button"
      }, React.createElement("div", {
        className: classes.titleContent
      }, React.createElement("div", {
        className: classes.titleLeft
      }, CustomIcon && React.createElement("div", {
        className: cn(classes.icon, classes.mobileOnly)
      }, React.createElement(CustomIcon, null)), React.createElement(Title, null)), React.createElement("div", {
        className: classes.titleRight
      }, loading && React.createElement(Spinner, null), !loading && React.createElement("div", {
        className: cn(classes.chevron, classes.mobileOnly)
      }, toggled ? React.createElement(Icon.ChevronUp, null) : React.createElement(Icon.ChevronDown, null))))), React.createElement("div", {
        style: toggleActive ? {
          maxHeight: estimatedHeight,
          overflow: 'hidden'
        } : {},
        className: cn(classes.children, _defineProperty({}, classes.toggled, toggled))
      }, children))));
    }
  }]);

  return Subsection;
}(React.Component);

Subsection.propTypes = {
  title: PropTypes.func.isRequired,
  icon: PropTypes.func,
  toggled: PropTypes.bool,
  loading: PropTypes.bool,
  estimatedHeight: PropTypes.number,
  noSeparator: PropTypes.bool,
  children: PropTypes.node,
  classes: PropTypes.object.isRequired,
  theme: PropTypes.object.isRequired
};
Subsection.defaultProps = {
  icon: null,
  toggled: false,
  loading: false,
  estimatedHeight: 100,
  noSeparator: false,
  children: null
};
var enhance = injectSheet(styles, {
  injectTheme: true
});
export { Subsection as Component, styles };
export default enhance(Subsection);