function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var sizes = function sizes(_ref) {
  var typography = _ref.typography;
  return {
    '&.xs': _objectSpread({}, typography.tertiary()),
    '&.sm': _objectSpread({}, typography.tertiary()),
    '&.md': _objectSpread({}, typography.secondary()),
    '&.lg': _objectSpread({}, typography.primary())
  };
};

var modifierItem = function modifierItem(color) {
  return {
    color: color
  };
};

var modifiers = function modifiers(palette) {
  return {
    '&.success': modifierItem(palette.positive),
    '&.warning': modifierItem(palette.index),
    '&.danger': modifierItem(palette.negative)
  };
};

var capitalize = function capitalize(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
};

var borderPosition = function borderPosition(position, palette) {
  return _defineProperty({}, "&.border".concat(capitalize(position)), _defineProperty({}, "border".concat(capitalize(position)), "1px solid ".concat(palette.gray6)));
};

var borders = function borders(palette) {
  var combinedBorders = {};
  ['top', 'right', 'bottom', 'left'].forEach(function (position) {
    combinedBorders = Object.assign(combinedBorders, borderPosition(position, palette));
  });
  return _objectSpread({
    '&.border': {
      border: "1px solid ".concat(palette.gray7)
    }
  }, combinedBorders);
};

export default {
  sizes: sizes,
  modifiers: modifiers,
  borders: borders
};