function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import styleUtils from '../style-utilities';
export default (function (theme) {
  var _objectSpread2;

  var palette = theme.palette,
      typography = theme.typography,
      mixins = theme.mixins,
      transitions = theme.transitions;
  return {
    td: _objectSpread({}, mixins.basicBoxSizing, styleUtils.sizes({
      typography: typography
    }), styleUtils.modifiers(palette), styleUtils.borders(palette), (_objectSpread2 = {
      padding: 0,
      minWidth: 20,
      maxHeight: 50,
      borderWidth: 1,
      textAlign: 'left',
      transition: transitions.create(['max-height', 'border-width'])
    }, _defineProperty(_objectSpread2, mixins.maxMedia('md'), {
      display: 'inline-block',
      flexGrow: 1,
      flexBasis: 0,
      maxWidth: '100%',
      '&.hasWidth': {
        flexBasis: 'auto',
        flexGrow: 0
      }
    }), _defineProperty(_objectSpread2, '&$collapsed', _defineProperty({}, mixins.maxMedia('md'), {
      maxHeight: 0,
      borderWidth: 0,
      overflow: 'hidden'
    })), _defineProperty(_objectSpread2, mixins.media('md'), {
      borderWidth: 0
    }), _objectSpread2)),
    collapsed: {},
    ellipsis: {
      whiteSpace: 'nowrap',
      overflow: 'hidden',
      textOverflow: 'ellipsis'
    },
    hiddenOnMobile: _defineProperty({}, mixins.maxMedia('md'), {
      display: 'none'
    }),
    hiddenOnDesktop: _defineProperty({}, mixins.media('md'), {
      display: 'none'
    }),
    child: _defineProperty({
      display: 'block',
      margin: [8, 4],
      height: 'calc(100% - 16px)',
      position: 'relative',
      '&::before': _objectSpread({
        display: 'block',
        content: 'attr(data-title)'
      }, typography.caption())
    }, mixins.media('md'), {
      height: '100%',
      '&::before': {
        content: 'none'
      }
    }),
    'align-left': {
      textAlign: 'left'
    },
    'align-right': {
      textAlign: 'right'
    },
    'align-center': {
      textAlign: 'center'
    },
    'align-left--mobile': _defineProperty({}, mixins.maxMedia('md'), {
      textAlign: 'left'
    }),
    'align-right--mobile': _defineProperty({}, mixins.maxMedia('md'), {
      textAlign: 'right'
    }),
    'align-center--mobile': _defineProperty({}, mixins.maxMedia('md'), {
      textAlign: 'center'
    })
  };
});