function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import styles from './table-cell-styles';

function TableCell(_ref) {
  var _classNames;

  var tagName = _ref.tagName,
      classes = _ref.classes,
      className = _ref.className,
      children = _ref.children,
      styleProp = _ref.style,
      size = _ref.size,
      width = _ref.width,
      collapsed = _ref.collapsed,
      modifier = _ref.modifier,
      border = _ref.border,
      borderTop = _ref.borderTop,
      borderRight = _ref.borderRight,
      borderBottom = _ref.borderBottom,
      borderLeft = _ref.borderLeft,
      alignMobile = _ref.alignMobile,
      align = _ref.align,
      ellipsis = _ref.ellipsis,
      title = _ref.title,
      flexOrder = _ref.flexOrder,
      flexBasisMobile = _ref.flexBasisMobile,
      hiddenOnDesktop = _ref.hiddenOnDesktop,
      hiddenOnMobile = _ref.hiddenOnMobile,
      unstyledChild = _ref.unstyledChild,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["tagName", "classes", "className", "children", "style", "size", "width", "collapsed", "modifier", "border", "borderTop", "borderRight", "borderBottom", "borderLeft", "alignMobile", "align", "ellipsis", "title", "flexOrder", "flexBasisMobile", "hiddenOnDesktop", "hiddenOnMobile", "unstyledChild", "theme", "sheet"]);

  var usedClassName = classNames(classes.td, size, (_classNames = {}, _defineProperty(_classNames, classes.hiddenOnMobile, hiddenOnMobile), _defineProperty(_classNames, classes.hiddenOnDesktop, hiddenOnDesktop), _defineProperty(_classNames, classes["align-".concat(align)], align), _defineProperty(_classNames, classes["align-".concat(alignMobile, "--mobile")], alignMobile), _defineProperty(_classNames, classes.collapsed, collapsed), _defineProperty(_classNames, modifier, modifier), _defineProperty(_classNames, "border", border), _defineProperty(_classNames, "borderTop", borderTop), _defineProperty(_classNames, "borderRight", borderRight), _defineProperty(_classNames, "borderBottom", borderBottom), _defineProperty(_classNames, "borderLeft", borderLeft), _classNames), className);

  var style = _objectSpread({
    width: "".concat(width).concat(typeof width === 'number' ? '%' : ''),
    flexBasis: "".concat(flexBasisMobile).concat(typeof flexBasisMobile === 'number' ? '%' : ''),
    order: "".concat(flexOrder)
  }, styleProp);

  var Tag = tagName;
  return React.createElement(Tag, _extends({}, rest, {
    className: usedClassName,
    style: style
  }), React.createElement("div", {
    className: classNames(_defineProperty({}, classes.child, !unstyledChild), _defineProperty({}, classes.ellipsis, ellipsis)),
    "data-title": title
  }, children || "\xA0"));
}

TableCell.defaultProps = {
  border: false,
  borderTop: false,
  borderRight: false,
  borderBottom: false,
  borderLeft: false,
  ellipsis: true,
  hiddenOnDesktop: false,
  hiddenOnMobile: false,
  collapsed: false,
  unstyledChild: false
};
TableCell.propTypes = {
  tagName: PropTypes.string.isRequired,
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  children: PropTypes.node,
  style: PropTypes.object,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  width: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  collapsed: PropTypes.bool,
  modifier: PropTypes.oneOf(['success', 'warning', 'danger']),
  border: PropTypes.bool,
  borderTop: PropTypes.bool,
  borderRight: PropTypes.bool,
  borderBottom: PropTypes.bool,
  borderLeft: PropTypes.bool,
  align: PropTypes.oneOf(['left', 'right', 'center']),
  alignMobile: PropTypes.oneOf(['left', 'right', 'center']),
  ellipsis: PropTypes.bool,
  title: PropTypes.string,
  flexOrder: PropTypes.number,
  flexBasisMobile: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  hiddenOnDesktop: PropTypes.bool,
  hiddenOnMobile: PropTypes.bool,
  unstyledChild: PropTypes.bool
};
export { TableCell as Component, styles };
export default injectSheet(styles, {
  injectTheme: true
})(TableCell);