import React from 'react';
import { shallow } from 'enzyme';
import { mockClasses } from '../../..';
import { Component as TableCell, styles } from './table-cell';
describe('<TableCell />', function () {
  var classes = mockClasses(styles);
  var wrapper;
  beforeEach(function () {
    wrapper = shallow(React.createElement(TableCell, {
      tagName: "td",
      classes: classes
    }));
  });
  test('should render a <td />', function () {
    expect(wrapper.type()).toBe('td');
  });
  test("should render a component with the ".concat(classes.td, " class"), function () {
    expect(wrapper.hasClass(classes.td)).toBe(true);
  });
  test('should render a component with ellipsis class by default', function () {
    expect(wrapper.find('div.ellipsis')).toHaveLength(1);
  });
  test('should not render a component with td--ellipsis, when ellipsis have false input', function () {
    wrapper = shallow(React.createElement(TableCell, {
      tagName: "td",
      classes: classes,
      ellipsis: false
    }));
    expect(wrapper.find('div.ellipsis')).toHaveLength(0);
  });
});