function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import styles from './table-styles';

function Table(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      children = _ref.children,
      size = _ref.size,
      minWidth = _ref.minWidth,
      style = _ref.style,
      tableLayoutFixed = _ref.tableLayoutFixed,
      maxHeight = _ref.maxHeight,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "className", "children", "size", "minWidth", "style", "tableLayoutFixed", "maxHeight", "theme", "sheet"]);

  var usedClassName = classNames(classes.table, size, _defineProperty({}, classes.tableLayoutFixed, tableLayoutFixed), className);
  var rootStyle = Object.assign(maxHeight ? {
    maxHeight: maxHeight,
    overflowY: 'scroll'
  } : {});
  return React.createElement("div", {
    className: classes.root,
    style: rootStyle
  }, React.createElement("table", _extends({}, rest, {
    style: style,
    className: usedClassName
  }), children));
}

Table.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  children: PropTypes.node,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  minWidth: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  style: PropTypes.object,
  tableLayoutFixed: PropTypes.bool,
  maxHeight: PropTypes.number
};
Table.defaultProps = {
  size: 'sm',
  minWidth: 700,
  tableLayoutFixed: false,
  maxHeight: null
};
export default injectSheet(styles, {
  injectTheme: true
})(Table);