function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import styleUtils from '../style-utilities';

var normal = function normal(_ref) {
  var mixins = _ref.mixins,
      typography = _ref.typography,
      palette = _ref.palette;
  return {
    thead: _objectSpread({
      width: '100%'
    }, styleUtils.sizes({
      typography: typography
    }), mixins.basicBoxSizing, {
      fontWeight: typography.primary({
        weight: 'bold'
      }).fontWeight,
      borderBottom: "2px solid ".concat(palette.gray0),
      '& th': {
        '@media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none)': {
          borderBottom: "2px solid ".concat(palette.gray0)
        }
      }
    }),
    hiddenOnMobile: _defineProperty({}, mixins.maxMedia('md'), {
      display: 'none'
    }),
    sticky: {
      border: 0,
      '& th': {
        position: 'sticky',
        fallbacks: {
          position: 'relative'
        },
        top: 0,
        zIndex: 1,
        backgroundColor: palette.white
      }
    },
    stickyBorder: {
      border: 0,
      '& th:before': {
        content: '""',
        position: 'absolute',
        left: 0,
        bottom: 0,
        height: '100%',
        width: '100%',
        borderBottom: "2px solid ".concat(palette.gray0),
        '@media screen and (-ms-high-contrast: active), screen and (-ms-high-contrast: none)': {
          borderBottom: 0
        }
      }
    }
  };
};

var stickyOffset = function stickyOffset(theme) {
  return _objectSpread({}, normal(theme), {
    stickyOffset: {
      '& th': {
        top: function top(props) {
          return props.stickyOffset;
        }
      }
    }
  });
};

export { normal as default, stickyOffset };