function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import classNames from 'classnames';
import styles, { stickyOffset as stickyOffsetStyles } from './thead-styles';

function Thead(_ref) {
  var _classNames;

  var classes = _ref.classes,
      className = _ref.className,
      children = _ref.children,
      size = _ref.size,
      hiddenOnMobile = _ref.hiddenOnMobile,
      sticky = _ref.sticky,
      stickyBorder = _ref.stickyBorder,
      stickyOffset = _ref.stickyOffset,
      theme = _ref.theme,
      sheet = _ref.sheet,
      rest = _objectWithoutProperties(_ref, ["classes", "className", "children", "size", "hiddenOnMobile", "sticky", "stickyBorder", "stickyOffset", "theme", "sheet"]);

  var usedClassName = classNames(classes.thead, size, (_classNames = {}, _defineProperty(_classNames, classes.hiddenOnMobile, hiddenOnMobile), _defineProperty(_classNames, classes.sticky, sticky), _defineProperty(_classNames, classes.stickyBorder, stickyBorder), _defineProperty(_classNames, classes.stickyOffset, stickyOffset), _classNames), className);
  return React.createElement("thead", _extends({}, rest, {
    className: usedClassName
  }), children);
}

Thead.defaultProps = {
  hiddenOnMobile: false,
  sticky: false,
  stickyBorder: false,
  stickyOffset: 0
};
Thead.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  children: PropTypes.node,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg']),
  hiddenOnMobile: PropTypes.bool,
  sticky: PropTypes.bool,
  stickyBorder: PropTypes.bool,
  stickyOffset: PropTypes.number
};
var Normal = injectSheet(styles, {
  injectTheme: true
})(Thead);
var Sticky = injectSheet(stickyOffsetStyles, {
  injectTheme: true
})(Thead);

var Wrapper = function Wrapper(props) {
  return props.stickyOffset ? React.createElement(Sticky, props) : React.createElement(Normal, props);
};

Wrapper.propTypes = {
  stickyOffset: Thead.propTypes.stickyOffset
};
export default Wrapper;