function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import styles from './tab-styles';

var getElementType = function getElementType(href) {
  return href ? 'a' : 'button';
};

var Tab = function (_Component) {
  _inherits(Tab, _Component);

  function Tab() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Tab);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Tab)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "handleClick", function (e) {
      var _this$props = _this.props,
          index = _this$props.index,
          changeHandler = _this$props.changeHandler;
      e.preventDefault();
      changeHandler(index);
    });

    return _this;
  }

  _createClass(Tab, [{
    key: "getDefaultHref",
    value: function getDefaultHref() {
      var _this$props2 = this.props,
          href = _this$props2.href,
          singlePanel = _this$props2.singlePanel,
          index = _this$props2.index;

      if (href) {
        return href;
      }

      return singlePanel ? null : "#tabs-tab-".concat(index);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props3 = this.props,
          classes = _this$props3.classes,
          children = _this$props3.children,
          selected = _this$props3.selected,
          variant = _this$props3.variant,
          index = _this$props3.index,
          className = _this$props3.className;
      var href = this.getDefaultHref();
      var Element = getElementType(href);
      return React.createElement("li", {
        className: cn(classes.root, classes[variant], className),
        role: "presentation"
      }, React.createElement(Element, {
        id: "tabs-tab-".concat(index),
        className: classes.tab,
        href: href,
        role: "tab",
        type: Element === 'button' ? 'button' : null,
        "aria-selected": selected,
        onClick: this.handleClick
      }, children));
    }
  }]);

  return Tab;
}(Component);

Tab.propTypes = {
  classes: PropTypes.object.isRequired,
  children: PropTypes.node.isRequired,
  href: PropTypes.string,
  selected: PropTypes.bool.isRequired,
  variant: PropTypes.string.isRequired,
  index: PropTypes.number.isRequired,
  singlePanel: PropTypes.bool,
  changeHandler: PropTypes.func,
  className: PropTypes.string
};
Tab.defaultProps = {
  changeHandler: function changeHandler() {},
  href: null,
  singlePanel: false,
  className: ''
};
export { Tab as Component, styles };
export default injectSheet(styles)(Tab);