import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import styles from './tabpanel-styles';

var Tabpanel = function Tabpanel(_ref) {
  var classes = _ref.classes,
      selected = _ref.selected,
      singlePanel = _ref.singlePanel,
      id = _ref.id,
      index = _ref.index,
      children = _ref.children,
      className = _ref.className;
  return React.createElement("section", {
    className: cn(classes.root, className),
    id: id || "tabs-tabpanel-".concat(index),
    role: "tabpanel",
    "aria-labelledby": singlePanel ? null : "tabs-tab-".concat(index),
    hidden: singlePanel ? null : !selected
  }, children);
};

Tabpanel.propTypes = {
  classes: PropTypes.object.isRequired,
  children: PropTypes.node.isRequired,
  selected: PropTypes.bool.isRequired,
  singlePanel: PropTypes.bool,
  id: PropTypes.string,
  index: PropTypes.number.isRequired,
  className: PropTypes.string
};
Tabpanel.defaultProps = {
  singlePanel: false,
  id: null,
  className: ''
};
export { Tabpanel as Component, styles };
export default injectSheet(styles)(Tabpanel);