function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import injectSheet from 'react-jss';
import cn from 'classnames';
import { Tab, Tabpanel } from '../..';
import styles from './tabs-styles';
import { deprecatedComponent } from '../deprecate';

var Tabs = function (_Component) {
  _inherits(Tabs, _Component);

  function Tabs() {
    _classCallCheck(this, Tabs);

    return _possibleConstructorReturn(this, _getPrototypeOf(Tabs).apply(this, arguments));
  }

  _createClass(Tabs, [{
    key: "injectContextProps",
    value: function injectContextProps(displayName) {
      var _this$props = this.props,
          childrenFromProp = _this$props.children,
          value = _this$props.value,
          variant = _this$props.variant,
          singlePanel = _this$props.singlePanel,
          onChange = _this$props.onChange;
      var index = 0;
      return React.Children.map(childrenFromProp, function (child) {
        if (child.type.InnerComponent.name !== displayName || !React.isValidElement(child)) {
          return null;
        }

        var childrenWithContext = React.cloneElement(child, {
          selected: value === index,
          index: index,
          variant: variant,
          singlePanel: singlePanel,
          changeHandler: child.type.InnerComponent.name === Tab.InnerComponent.name ? onChange : null
        });
        index += 1;
        return childrenWithContext;
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          classes = _this$props2.classes,
          className = _this$props2.className,
          variant = _this$props2.variant;
      var tabs = this.injectContextProps(Tab.InnerComponent.name);
      var tabpanels = this.injectContextProps(Tabpanel.InnerComponent.name);
      return React.createElement("div", null, React.createElement("ul", {
        className: cn(classes.list, classes[variant], className),
        role: "tablist"
      }, tabs), tabpanels);
    }
  }]);

  return Tabs;
}(Component);

Tabs.defaultProps = {
  variant: 'primary',
  className: null,
  onChange: function onChange() {},
  singlePanel: false
};
Tabs.propTypes = {
  classes: PropTypes.object.isRequired,
  className: PropTypes.string,
  value: PropTypes.number.isRequired,
  variant: PropTypes.oneOf(['primary', 'secondary', 'tertiary']),
  singlePanel: PropTypes.bool,
  onChange: PropTypes.func,
  children: PropTypes.node.isRequired
};
export { Tabs as Component, styles };
export default injectSheet(styles)(deprecatedComponent('Tabs', 'See https://github.com/nordnet/nordnet-ui-kit/blob/v3.0.0/docs/migrations/v3.0.0.md for migration guide.')(Tabs));