function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { wrapInMobileMediaQuery, wrapInDesktopMediaQuery } from './wrapStylesInMediaQueries';
var zIndexTooltip = 2;

var containerPlacementStyles = function containerPlacementStyles() {
  var _ref;

  var txt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  return _ref = {}, _defineProperty(_ref, "&$below".concat(txt, ":after, &$above").concat(txt, ":after"), {
    width: '100%',
    height: 8,
    left: 0
  }), _defineProperty(_ref, "&$below".concat(txt, ":after"), {
    bottom: -4
  }), _defineProperty(_ref, "&$above".concat(txt, ":after"), {
    top: -8
  }), _defineProperty(_ref, "&$right".concat(txt, ":after, &$left").concat(txt, ":after"), {
    height: '100%',
    width: 8
  }), _defineProperty(_ref, "&$left".concat(txt, ":after"), {
    left: -8
  }), _ref;
};

var popupPlacementStyles = function popupPlacementStyles(palette) {
  var _ref2;

  var txt = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  return _ref2 = {}, _defineProperty(_ref2, "&$above".concat(txt), {
    left: '50%',
    bottom: '100%',
    transform: 'translateX(-50%)',
    marginBottom: 8,
    '&:before': {
      bottom: -8,
      borderTop: "8px solid ".concat(palette.gray0),
      borderRight: '8px solid transparent',
      borderLeft: '8px solid transparent'
    }
  }), _defineProperty(_ref2, "&$below".concat(txt), {
    left: '50%',
    transform: 'translateX(-50%)',
    marginTop: 8,
    '&:before': {
      top: -8,
      borderLeft: '8px solid transparent',
      borderRight: '8px solid transparent',
      borderBottom: "8px solid ".concat(palette.gray0)
    }
  }), _defineProperty(_ref2, "&$left".concat(txt), {
    right: 8,
    top: '50%',
    marginRight: '100%',
    transform: 'translate(0, -50%)',
    '&:before': {
      left: 'inherit',
      right: -8,
      marginTop: -6,
      top: '50%',
      content: '""',
      borderTop: '6px solid transparent',
      borderBottom: '6px solid transparent',
      borderLeft: "6px solid ".concat(palette.gray0)
    }
  }), _defineProperty(_ref2, "&$right".concat(txt), {
    left: 8,
    top: '50%',
    marginLeft: '100%',
    transform: 'translate(0, -50%)',
    '&:before': {
      right: 'inherit',
      left: -2,
      marginTop: -6,
      top: '50%',
      content: '""',
      borderTop: '6px solid transparent',
      borderBottom: '6px solid transparent',
      borderRight: "6px solid ".concat(palette.gray0)
    }
  }), _ref2;
};

export default (function (theme) {
  var _ref3;

  var palette = theme.palette,
      transitions = theme.transitions,
      mixins = theme.mixins,
      typography = theme.typography;
  return _ref3 = {
    tooltip: _objectSpread({}, mixins.basicBoxSizing, {
      color: palette.gray0,
      position: 'relative',
      display: 'inline-block'
    }),
    above: {},
    below: {},
    left: {},
    right: {},
    aboveMobile: {},
    belowMobile: {},
    leftMobile: {},
    rightMobile: {},
    aboveDesktop: {},
    belowDesktop: {},
    leftDesktop: {},
    rightDesktop: {},
    container: _objectSpread({
      cursor: 'pointer',
      display: 'flex',
      ' .icon': {
        verticalAlign: 'text-bottom'
      },
      '&:after': {
        position: 'absolute',
        content: '""'
      }
    }, containerPlacementStyles(), wrapInMobileMediaQuery(mixins, containerPlacementStyles('Mobile')), wrapInDesktopMediaQuery(mixins, containerPlacementStyles('Desktop'))),
    popup: _objectSpread({
      transition: transitions.create(['opacity']),
      position: 'absolute',
      zIndex: zIndexTooltip,
      whiteSpace: 'nowrap',
      '&:before': {
        position: 'absolute',
        left: '50%',
        transform: 'translateX(-50%)',
        display: 'block',
        content: '""',
        width: 0,
        height: 0,
        zIndex: zIndexTooltip
      }
    }, popupPlacementStyles(palette), wrapInMobileMediaQuery(mixins, popupPlacementStyles(palette, 'Mobile')), wrapInDesktopMediaQuery(mixins, popupPlacementStyles(palette, 'Desktop'))),
    popupFixed: {
      whiteSpace: 'inherit'
    },
    popupContent: _objectSpread({
      width: '100%',
      textAlign: 'left',
      padding: '4px 16px',
      color: palette.gray7,
      background: palette.gray0,
      borderRadius: 0,
      overflowWrap: 'normal',
      wordBreak: 'normal',
      wordWrap: 'normal'
    }, typography.tertiary()),
    popupContentVertical: {
      position: 'absolute'
    }
  }, _defineProperty(_ref3, mixins.maxMedia('md'), {
    popupContentVerticalMobile: {
      position: 'absolute'
    }
  }), _defineProperty(_ref3, mixins.media('md'), {
    popupContentVerticalDesktop: {
      position: 'absolute'
    }
  }), _defineProperty(_ref3, "popupContentAbove", {
    bottom: 0
  }), _defineProperty(_ref3, mixins.maxMedia('md'), {
    popupContentAboveMobile: {
      bottom: 0
    }
  }), _defineProperty(_ref3, mixins.media('md'), {
    popupContentAboveDesktop: {
      bottom: 0
    }
  }), _defineProperty(_ref3, "popupContentFixed", {
    overflowWrap: 'break-word',
    wordBreak: 'break-word',
    wordWrap: 'break-word'
  }), _defineProperty(_ref3, "popupDesktopOnly", _defineProperty({}, mixins.maxMedia('md'), {
    display: 'none'
  })), _ref3;
});