import transitions from './transitions';
import createTypography from './typography';
import createBreakpoints from './breakpoints';
import { createPalette } from './palette';
import createMixins from './mixins';
export function createTheme() {
  var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var _config$palette = config.palette,
      palette = _config$palette === void 0 ? createPalette({
    type: 'dark',
    a11yColors: config.a11yColors
  }) : _config$palette,
      _config$breakpoints = config.breakpoints,
      breakpoints = _config$breakpoints === void 0 ? createBreakpoints() : _config$breakpoints,
      _config$mixins = config.mixins,
      mixins = _config$mixins === void 0 ? createMixins(breakpoints) : _config$mixins,
      _config$typography = config.typography,
      typography = _config$typography === void 0 ? createTypography() : _config$typography;
  var theme = {
    palette: palette,
    typography: typography,
    mixins: mixins,
    breakpoints: breakpoints,
    transitions: transitions
  };
  return theme;
}
export default createTheme;