import omit from './omit';
var obj = {
  a: 1,
  b: 2,
  c: 3
};
describe('omit', function () {
  test('should handle empty object', function () {
    expect(omit({}, 'a')).toEqual({});
  });
  test('should handle no key arguments', function () {
    expect(omit(obj)).toEqual(obj);
  });
  test('should be a pure function', function () {
    expect(omit(obj, 'a')).not.toBe(obj);
  });
  test('should be able to remove a single key', function () {
    expect(omit(obj, 'a')).toEqual({
      b: 2,
      c: 3
    });
  });
  test('should be able to remove multiple keys', function () {
    expect(omit(obj, 'a', 'b')).toEqual({
      c: 3
    });
  });
  test('should not produce errors for keys not in object', function () {
    expect(omit(obj, 'a', 'b', 'z')).toEqual({
      c: 3
    });
  });
});